commit MozillaFirefox for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package MozillaFirefox for openSUSE:Factory
checked in at Fri Sep 9 11:04:07 CEST 2011.




--- MozillaFirefox/MozillaFirefox.changes   2011-08-13 08:47:54.0 
+0200
+++ /mounts/work_src_done/STABLE/MozillaFirefox/MozillaFirefox.changes  
2011-09-07 18:08:33.0 +0200
@@ -1,0 +2,15 @@
+Wed Sep  7 14:30:34 UTC 2011 - pce...@suse.com
+
+- security update to 6.0.2 (bnc#714931)
+  * Complete blocking of certificates issued by DigiNotar
+(bmo#683449)
+
+---
+Fri Sep  2 14:40:07 UTC 2011 - pce...@suse.com
+
+- security update to 6.0.1 (bnc#714931)
+  * MFSA 2011-34
+Protection against fraudulent DigiNotar certificates
+(bmo#682927)
+
+---
@@ -4,2 +19,14 @@
-- update to 6.0 (bnc#711954)
-  * included security fixes
+- update to 6.0 (bnc#712224)
+  included security fixes MFSA 2011-29
+  * CVE-2011-2989/CVE-2011-2991/CVE-2011-2992/CVE-2011-2985
+Miscellaneous memory safety hazards
+  * CVE-2011-2993 (bmo#657267)
+Unsigned scripts can call script inside signed JAR
+  * CVE-2011-2988 (bmo#665934)
+Heap overflow in ANGLE library
+  * CVE-2011-0084 (bmo#648094)
+Crash in SVGTextElement.getCharNumAtPosition()
+  * CVE-2011-2990
+Credential leakage using Content Security Policy reports
+  * CVE-2011-2986 (bmo#655836)
+Cross-origin data theft using canvas and Windows D2D

calling whatdependson for head-i586


Old:

  firefox-6.0-source.tar.bz2
  l10n-6.0.tar.bz2

New:

  firefox-6.0.2-source.tar.bz2
  l10n-6.0.2.tar.bz2



Other differences:
--
++ MozillaFirefox.spec ++
--- /var/tmp/diff_new_pack.2Ed8bP/_old  2011-09-09 11:03:58.0 +0200
+++ /var/tmp/diff_new_pack.2Ed8bP/_new  2011-09-09 11:03:58.0 +0200
@@ -19,7 +19,7 @@
 # norootforbuild
 
 %define major 6
-%define mainver %major.0
+%define mainver %major.0.2
 
 Name:   MozillaFirefox
 BuildRequires:  Mesa-devel autoconf213 fdupes gcc-c++ libcurl-devel 
libgnomeui-devel libidl-devel libnotify-devel python startup-notification-devel 
unzip update-desktop-files yasm zip
@@ -35,7 +35,7 @@
 License:MPLv1.1 or GPLv2+ or LGPLv2+
 Version:%{mainver}
 Release:1
-%define releasedate 2011081200
+%define releasedate 2011090700
 Provides:   web_browser
 Provides:   firefox = %{version}-%{release}
 Provides:   firefox = %{mainver}

++ create-tar.sh ++
--- /var/tmp/diff_new_pack.2Ed8bP/_old  2011-09-09 11:03:58.0 +0200
+++ /var/tmp/diff_new_pack.2Ed8bP/_new  2011-09-09 11:03:58.0 +0200
@@ -1,8 +1,8 @@
 #!/bin/bash
 
 BRANCH=releases/mozilla-release
-RELEASE_TAG=FIREFOX_6_0_RELEASE
-VERSION=6.0
+RELEASE_TAG=FIREFOX_6_0_2_RELEASE
+VERSION=6.0.2
 
 # mozilla
 hg clone http://hg.mozilla.org/$BRANCH mozilla

++ firefox-6.0-source.tar.bz2 - firefox-6.0.2-source.tar.bz2 ++
MozillaFirefox/firefox-6.0-source.tar.bz2 
/mounts/work_src_done/STABLE/MozillaFirefox/firefox-6.0.2-source.tar.bz2 
differ: char 11, line 1


++ l10n-6.0.tar.bz2 - l10n-6.0.2.tar.bz2 ++
MozillaFirefox/l10n-6.0.tar.bz2 
/mounts/work_src_done/STABLE/MozillaFirefox/l10n-6.0.2.tar.bz2 differ: char 11, 
line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit MozillaThunderbird for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package MozillaThunderbird for 
openSUSE:Factory
checked in at Fri Sep 9 11:04:39 CEST 2011.




--- MozillaThunderbird/MozillaThunderbird.changes   2011-08-17 
21:45:19.0 +0200
+++ /mounts/work_src_done/STABLE/MozillaThunderbird/MozillaThunderbird.changes  
2011-09-07 19:38:25.0 +0200
@@ -1,0 +2,15 @@
+Wed Sep  7 14:30:34 UTC 2011 - pce...@suse.com
+
+- security update to 6.0.2 (bnc#714931)
+  * Complete blocking of certificates issued by DigiNotar
+(bmo#683449)
+
+---
+Fri Sep  2 14:40:07 UTC 2011 - pce...@suse.com
+
+- security update to 6.0.1 (bnc#714931)
+  * MFSA 2011-34
+Protection against fraudulent DigiNotar certificates
+(bmo#682927)
+
+---

calling whatdependson for head-i586


Old:

  l10n-6.0.tar.bz2
  thunderbird-6.0-source.tar.bz2

New:

  l10n-6.0.2.tar.bz2
  thunderbird-6.0.2-source.tar.bz2



Other differences:
--
++ MozillaThunderbird.spec ++
--- /var/tmp/diff_new_pack.eWVeNk/_old  2011-09-09 11:04:29.0 +0200
+++ /var/tmp/diff_new_pack.eWVeNk/_new  2011-09-09 11:04:29.0 +0200
@@ -24,10 +24,10 @@
 BuildRequires:  mozilla-nss-devel = 3.12.8
 BuildRequires:  nss-shared-helper-devel
 License:MPLv1.1 or GPLv2+ or LGPLv2+
-%define mainversion 6.0
+%define mainversion 6.0.2
 Version:%{mainversion}
-Release:2
-%define releasedate 2011081200
+Release:1
+%define releasedate 2011090700
 Provides:   thunderbird = %{version}
 Summary:The Stand-Alone Mozilla Mail Component
 Url:http://www.mozilla.org/products/thunderbird/
@@ -141,7 +141,7 @@
 
 %package -n enigmail
 Version:1.3
-Release:1
+Release:2
 License:MPLv1.1 or GPLv2+
 Summary:OpenPGP addon for Thunderbird and SeaMonkey
 Group:  Productivity/Networking/Email/Clients

++ compare-locales.tar.bz2 ++

++ create-tar.sh ++
--- /var/tmp/diff_new_pack.eWVeNk/_old  2011-09-09 11:04:29.0 +0200
+++ /var/tmp/diff_new_pack.eWVeNk/_new  2011-09-09 11:04:29.0 +0200
@@ -2,8 +2,8 @@
 
 
 BRANCH=releases/comm-release
-RELEASE_TAG=THUNDERBIRD_6_0_RELEASE
-VERSION=6.0
+RELEASE_TAG=THUNDERBIRD_6_0_2_RELEASE
+VERSION=6.0.2
 
 echo cloning $BRANCH...
 hg clone http://hg.mozilla.org/$BRANCH thunderbird

++ l10n-6.0.tar.bz2 - l10n-6.0.2.tar.bz2 ++
MozillaThunderbird/l10n-6.0.tar.bz2 
/mounts/work_src_done/STABLE/MozillaThunderbird/l10n-6.0.2.tar.bz2 differ: char 
11, line 1

++ thunderbird-6.0-source.tar.bz2 - thunderbird-6.0.2-source.tar.bz2 ++
MozillaThunderbird/thunderbird-6.0-source.tar.bz2 
/mounts/work_src_done/STABLE/MozillaThunderbird/thunderbird-6.0.2-source.tar.bz2
 differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit NetworkManager for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package NetworkManager for openSUSE:Factory
checked in at Fri Sep 9 11:04:57 CEST 2011.




--- NetworkManager/NetworkManager.changes   2011-08-30 19:04:39.0 
+0200
+++ /mounts/work_src_done/STABLE/NetworkManager/NetworkManager.changes  
2011-09-06 22:07:00.0 +0200
@@ -1,0 +2,20 @@
+Tue Sep  6 18:38:58 UTC 2011 - vu...@opensuse.org
+
+- Apply shared library packaging policy (bnc#689039):
+  + Create libnm-util2, libnm-glib4, libnm-glib-vpn1 subpackages.
+  + Add Provides/Obsoletes for NetworkManager-glib to libnm-glib4.
+  + Changes NetworkManager-glib Requires in devel subpackage to
+libnm-util2, libnm-glib4 and libnm-glib-vpn1 Requires.
+  + Remove NetworkManager-glib Requires from main subpackage: there
+is no reason to have an explicit Requires for the libraries.
+- Merge doc subpackage in devel subpackage, with appropriate
+  Provides/Obsoletes.
+- Rename nm-system-settings.conf source to NetworkManager.conf, to
+  follow the new non-deprecated scheme for configuration. Note that
+  this uses the same format, so there's nothing to adapt. If users
+  have an old modified version of nm-system-settings.conf, then it
+  will still be used. Fix bnc#689042.
+- Mark %{_sysconfdir}/NetworkManager/NetworkManager.conf with
+  %config(noreplace).
+
+---

calling whatdependson for head-i586


Old:

  nm-system-settings.conf

New:

  NetworkManager.conf



Other differences:
--
++ NetworkManager.spec ++
--- /var/tmp/diff_new_pack.LSd2nj/_old  2011-09-09 11:04:52.0 +0200
+++ /var/tmp/diff_new_pack.LSd2nj/_new  2011-09-09 11:04:52.0 +0200
@@ -23,13 +23,13 @@
 Name:   NetworkManager
 Url:http://www.gnome.org/projects/NetworkManager/
 Version:0.9.0
-Release:2
+Release:4
 License:GPLv2+
 Group:  Productivity/Networking/System
 Summary:Network Link Manager and User Applications
 Source0:
http://download.gnome.org/sources/NetworkManager/0.9/%{name}-%{version}.tar.bz2
 Source1:nfs
-Source2:nm-system-settings.conf
+Source2:NetworkManager.conf
 Source99:   NetworkManager-rpmlintrc
 # PATCH-FEATURE-OPENSUSE systemd-network-config.patch -- don't try to start NM 
under systemd if it is disabled in system configuration
 Patch0: systemd-network-config.patch
@@ -55,7 +55,6 @@
 BuildRequires:  pkgconfig(polkit-gobject-1)
 BuildRequires:  pkgconfig(systemd)
 BuildRequires:  pkgconfig(uuid)
-Requires:   %{name}-glib = %{version}
 Requires:   dhcp-client
 Requires:   iproute2
 Requires:   iputils
@@ -87,33 +86,44 @@
 Summary:Libraries and headers for adding NetworkManager support to 
applications
 Group:  Development/Libraries/Other
 Requires:   %{name} = %{version}
-Requires:   %{name}-glib = %{version}
+Requires:   libnm-util2 = %{version}
+Requires:   libnm-glib4 = %{version}
+Requires:   libnm-glib-vpn1 = %{version}
+Provides:   %{name}-doc = %{version}
+Obsoletes:  %{name}-doc  %{version}
 
 %description devel
 This package contains various headers accessing some NetworkManager
 functionality from applications.
 
-%package glib
+%package -n libnm-util2
 License:GPLv2+
-Summary:Libraries for adding NetworkManager support to applications 
that use glib
-Group:  Development/Libraries/GNOME
+Summary:Convenience library for clients of NetworkManager
+Group:  System/Libraries
 
-%description glib
+%description -n libnm-util2
 This package contains the libraries that make it easier to use some
 Network Manager functionality from applications that use glib.
 
-%package doc
+%package -n libnm-glib4
 License:GPLv2+
-Summary:Network Link Manager and User Applications
-Group:  Productivity/Networking/System
+Summary:Convenience library for clients of NetworkManager
+Group:  System/Libraries
+Provides:   %{name}-glib = %{version}
+Obsoletes:  %{name}-glib  %{version}
 
-%description doc
-NetworkManager attempts to keep an active network connection available
-at all times.  The point of NetworkManager is to make networking
-configuration and setup as painless and automatic as possible. If
-using DHCP, NetworkManager is intended to replace default routes,
-obtain IP addresses from a DHCP server, and change name servers
-whenever it sees fit.
+%description -n libnm-glib4
+This package contains the libraries that make it easier to use some
+Network Manager functionality from applications that use glib.
+
+%package -n libnm-glib-vpn1
+License:GPLv2+
+Summary:Convenience library for NetworkManager VPN plugins
+Group:  System/Libraries
+
+%description -n libnm-glib-vpn1
+This package contains the 

commit accerciser for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package accerciser for openSUSE:Factory
checked in at Fri Sep 9 11:05:13 CEST 2011.




--- GNOME/accerciser/accerciser.changes 2011-07-26 09:34:09.0 +0200
+++ /mounts/work_src_done/STABLE/accerciser/accerciser.changes  2011-09-06 
21:53:10.0 +0200
@@ -1,0 +2,37 @@
+Mon Sep  5 20:49:25 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + bgo#657803: Missing part in pygi port
+  + bgo#625902, bgo#658191: Port to GSettings
+  + bgo#658196: Refresh node popup menu from accessible treeview
+isn't working
+  + Updated translations.
+- Drop gconf2-devel BuildRequires: it's not needed anymore with the
+  port to GSettings.
+- Replace GConf2 schemas handling with GSettings schemas handling,
+  with %glib2_gsettings_schema_* macros.
+
+---
+Wed Aug 31 12:57:52 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Ported from pygtk to gtk3 using gobject-based introspection
+bindings.
+  + Updated translations.
+- Remove python-gtk and python-wnck BuildRequires: they are not
+  needed with the port to introspection-based bindings.
+- Add pkgconfig(atspi-2), pkgconfig(gtk+-3.0),
+  pkgconfig(pygobject-3.0) BuildRequires: new dependencies.
+- Remove python-gconf, python-gnome, python-gtk,
+  python-gtksourceview, python-rsvg, python-wnck Requires as
+  accerciser has been ported to introspection-based bindings.
+  However, add python-gobject Requires which is still clearly
+  needed.
+
+---
+Tue Aug 16 04:19:48 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  accerciser-3.1.4.tar.bz2

New:

  accerciser-3.1.91.tar.bz2



Other differences:
--
++ accerciser.spec ++
--- /var/tmp/diff_new_pack.94OO5E/_old  2011-09-09 11:05:07.0 +0200
+++ /var/tmp/diff_new_pack.94OO5E/_new  2011-09-09 11:05:07.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   accerciser
 Summary:Accessibility debugging tool
-Version:3.1.4
+Version:3.1.91
 Release:1
 License:BSD3c(or similar) ; LGPLv2.1+
 Group:  Development/Tools/Other
@@ -28,31 +28,25 @@
 Source0:
http://download.gnome.org/sources/accerciser/3.1/%{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  fdupes
-BuildRequires:  gconf2-devel
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  intltool
 # pyatspi is a virtual name that is provided by the default at-spi stack
 BuildRequires:  pyatspi
-BuildRequires:  python-gtk
-BuildRequires:  python-wnck
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(atspi-2) = 2.1.5
+BuildRequires:  pkgconfig(gtk+-3.0) = 3.1.13
+BuildRequires:  pkgconfig(pygobject-3.0) = 2.90.3
 Requires:   IPython
 # pyatspi is a virtual name that is provided by the default at-spi stack
 Requires:   pyatspi
-Requires:   python-gconf
-# This is for the gnome python module, not for the meta-package
-Requires:   python-gnome
-Requires:   python-gtk
-Requires:   python-gtksourceview
-Requires:   python-rsvg
-Requires:   python-wnck
+Requires:   python-gobject
 Recommends: %{name}-lang
 %py_requires
 %if %suse_version = 1110
 %define python_sitelib %{py_sitedir}
 %endif
-%gconf_schemas_prereq
+%glib2_gsettings_schema_requires
 
 %description
 Accerciser is an interactive Python accessibility explorer for the
@@ -80,28 +74,23 @@
 %{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
 %endif
 %suse_update_desktop_file -r -N Accerciser -G Accesibility Debugger 
accerciser Utility GNOME Accessibility
-%find_gconf_schemas
 %find_lang %{name} %{?no_lang_C}
 %fdupes $RPM_BUILD_ROOT
 
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%pre -f %{name}.schemas_pre
-
 %post
+%glib2_gsettings_schema_post
 %desktop_database_post
 %icon_theme_cache_post
 
-%preun -f %{name}.schemas_preun
-
 %postun
+%glib2_gsettings_schema_postun
 %desktop_database_postun
 %icon_theme_cache_postun
 
-%posttrans -f %{name}.schemas_posttrans
-
-%files -f %{name}.schemas_list
+%files
 %defattr(-, root, root)
 %doc AUTHORS COPYING NEWS README
 %dir %{_datadir}/gnome/
@@ -110,7 +99,8 @@
 %doc %{_datadir}/gnome/help/%{name}/C/
 %{_bindir}/%{name}
 %{python_sitelib}/%{name}
-%{_datadir}/%{name}
+%{_datadir}/%{name}/
+%{_datadir}/glib-2.0/schemas/org.a11y.Accerciser.gschema.xml
 %{_datadir}/icons/hicolor/*/apps/%{name}.png
 %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
 %{_datadir}/man/man1/%{name}.1.gz

++ accerciser-3.1.4.tar.bz2 - accerciser-3.1.91.tar.bz2 ++
 22853 lines of diff (skipped)



commit accountsservice for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package accountsservice for openSUSE:Factory
checked in at Fri Sep 9 11:05:25 CEST 2011.




--- GNOME/accountsservice/accountsservice.changes   2011-07-20 
18:43:15.0 +0200
+++ /mounts/work_src_done/STABLE/accountsservice/accountsservice.changes
2011-09-05 08:53:23.0 +0200
@@ -1,0 +2,15 @@
+Mon Sep  5 06:30:54 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.6.14:
+  + Ignore extraneous SetAutomaticLogin(false) calls for a user
+  + Monitor /etc/gdm/custom.conf for changes in autologin config
+  + Fix fast user switching
+  + Fix docs to build
+  + Updated translations.
+- Rebase accountsservice-sysconfig.patch, and add gnome-common
+  BuildRequires and call to gnome-autogen.sh since it's easier to
+  rebase the patch without Makefile.in.
+- Add gobject-introspection-devel BuildRequires to build
+  introspection data.
+
+---

calling whatdependson for head-i586


Old:

  accountsservice-0.6.13.tar.xz

New:

  accountsservice-0.6.14.tar.xz



Other differences:
--
++ accountsservice.spec ++
--- /var/tmp/diff_new_pack.ASNUEQ/_old  2011-09-09 11:05:21.0 +0200
+++ /var/tmp/diff_new_pack.ASNUEQ/_new  2011-09-09 11:05:21.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   accountsservice
-Version:0.6.13
-Release:2
+Version:0.6.14
+Release:1
 License:GPLv3+
 Summary:D-Bus Service to Manipulate User Account Information
 Url:http://www.fedoraproject.org/wiki/Features/UserAccountDialog
@@ -28,6 +28,9 @@
 # WARNING: do not remove/significantly change patch0 without updating the 
relevant patch in gdm too
 # PATCH-FIX-OPENSUSE accountsservice-sysconfig.patch bnc#688071 
vu...@opensuse.org -- Read/write autologin configuration from sysconfig, like 
gdm (see gdm-sysconfig-settings.patch)
 Patch0: accountsservice-sysconfig.patch
+# needed for patch0
+BuildRequires:  gnome-common
+BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool
 # Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
 BuildRequires:  xz
@@ -74,7 +77,10 @@
 %patch0 -p1
 
 %build
-%configure --disable-static
+# needed for patch0
+NOCONFIGURE=1 gnome-autogen.sh
+%configure \
+--disable-static
 make %{?jobs:-j%jobs}
 
 %install
@@ -107,12 +113,14 @@
 %files -n libaccountsservice0
 %defattr(-,root,root,-)
 %{_libdir}/*.so.0*
+%{_libdir}/girepository-1.0/AccountsService-1.0.typelib
 
 %files devel
 %defattr(-,root,root,-)
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/accountsservice.pc
 %{_includedir}/accountsservice-1.0/
+%{_datadir}/gir-1.0/AccountsService-1.0.gir
 
 %files lang -f accounts-service.lang
 

++ accountsservice-sysconfig.patch ++
--- /var/tmp/diff_new_pack.ASNUEQ/_old  2011-09-09 11:05:21.0 +0200
+++ /var/tmp/diff_new_pack.ASNUEQ/_new  2011-09-09 11:05:21.0 +0200
@@ -1,4 +1,4 @@
-commit 17b2f0915c0ee6e3bb1e3800691bd8d8843aad49
+commit c3360e3878722b0fefdda02a320f6fb76a41b7da
 Author: Vincent Untz vu...@gnome.org
 Date:   Wed Jul 20 16:48:41 2011 +0200
 
@@ -18,7 +18,7 @@
daemon.h\
daemon.c\
 diff --git a/src/daemon.c b/src/daemon.c
-index ec319a9..3291de8 100644
+index 79915a7..389d9fc 100644
 --- a/src/daemon.c
 +++ b/src/daemon.c
 @@ -46,6 +46,7 @@
@@ -29,7 +29,7 @@
  
  #define PATH_PASSWD /etc/passwd
  #define PATH_SHADOW /etc/shadow
-@@ -455,7 +456,7 @@ reload_autologin_timeout (Daemon *daemon)
+@@ -457,7 +458,7 @@ reload_autologin_timeout (Daemon *daemon)
  daemon-priv-autologin_id = 0;
  
  if (!load_autologin (daemon, name, enabled, error)) {
@@ -38,7 +38,7 @@
  g_error_free (error);
  g_free (name);
  
-@@ -1200,6 +1201,43 @@ daemon_local_check_auth (Daemon*daemon,
+@@ -1257,6 +1258,43 @@ daemon_local_check_auth (Daemon*daemon,
  g_object_unref (subject);
  }
  
@@ -82,24 +82,24 @@
  gboolean
  load_autologin (Daemon  *daemon,
  gchar  **name,
-@@ -1211,6 +1249,8 @@ load_autologin (Daemon  *daemon,
+@@ -1267,6 +1305,8 @@ load_autologin (Daemon  *daemon,
  GError *local_error;
  gchar *string;
  
 +return load_autologin_suse (daemon, name, enabled, error);
 +
- filename = /etc/gdm/custom.conf;
- 
  keyfile = g_key_file_new ();
-@@ -1261,6 +1301,8 @@ save_autologin (Daemon  *daemon,
+ if (!g_key_file_load_from_file (keyfile,
+ PATH_GDM_CUSTOM,
+@@ -1314,6 +1354,8 @@ save_autologin (Daemon  *daemon,
  gchar *data;
  gboolean result;
  
 +return save_autologin_suse (daemon, name, enabled, error);
 +
- filename = 

commit alacarte for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package alacarte for openSUSE:Factory
checked in at Fri Sep 9 11:05:38 CEST 2011.




--- GNOME/alacarte/alacarte.changes 2011-07-22 13:45:05.0 +0200
+++ /mounts/work_src_done/STABLE/alacarte/alacarte.changes  2011-08-18 
19:13:31.0 +0200
@@ -1,0 +2,7 @@
+Thu Aug 18 17:12:48 UTC 2011 - dims...@opensuse.org
+
+- Replace gnome-menus-devel BuildRequires with
+  pkgconfig(libgnome-menu) to help the build find the correct
+  version of gnome-menus.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ alacarte.spec ++
--- /var/tmp/diff_new_pack.0femhs/_old  2011-09-09 11:05:32.0 +0200
+++ /var/tmp/diff_new_pack.0femhs/_new  2011-09-09 11:05:32.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   alacarte
 Version:0.13.2
-Release:11
+Release:13
 Url:http://www.realistanew.com/projects/alacarte
 Group:  System/GUI/GNOME
 License:LGPLv2.1+
@@ -32,12 +32,12 @@
 Patch1: alacarte_system_edit_mode.patch
 BuildRequires:  fdupes
 BuildRequires:  glib2-devel
-BuildRequires:  gnome-menus-devel
 BuildRequires:  intltool
 BuildRequires:  python
 BuildRequires:  python-gtk
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(libgnome-menu)
 Requires:   python-gnome-menus python-gtk python-xml
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit anjuta for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package anjuta for openSUSE:Factory
checked in at Fri Sep 9 11:05:55 CEST 2011.




--- GNOME/anjuta/anjuta.changes 2011-08-02 14:45:23.0 +0200
+++ /mounts/work_src_done/STABLE/anjuta/anjuta.changes  2011-09-06 
22:03:51.0 +0200
@@ -1,0 +2,32 @@
+Tue Sep  6 09:04:24 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + More improvements in vala plugin
+  + Fix up problems with gtk+ 3.0
+  + Bugs fixed: bgo#638525, bgo#657491, bgo#657513, bgo#657589,
+bgo#655756, bgo#656123, bgo#657590, bgo#657022.
+- Remove unneeded call to mime-info-to-mime in %install.
+
+---
+Wed Aug 31 16:09:46 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Some seldom used debugger menu items were removed
+  + A lot of fixes to the vala support
+  + vala-0.14 (= 0.13.3) is now required
++ Bugs fixed: bgo#656584, bgo#642187, bgo#657023, bgo#566704,
+  bgo#652047, bgo#656585, bgo#657134, bgo#653259.
+- Drop anjuta-support-libgda-5.0.patch: fixed upstream.
+- Remove gnome-common BuildRequires and call to gnome-autogen.sh
+  now that there is no patch requiring this.
+
+---
+Sat Aug 13 17:20:48 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Bugs fixed: bgo#654881, bgo#651151, bgo#654502, bgo#655743,
+bgo#655998, bgo#655584.
+- Drop anjuta-gtk_hv_box.patch: Fixed upstream.
+- Add a hack to install anjuta_logo.png properly in the manual.
+
+---

calling whatdependson for head-i586


Old:

  anjuta-3.1.4.tar.bz2
  anjuta-gtk_hv_box.patch
  anjuta-libvala-0.14.patch
  anjuta-support-libgda-5.0.patch

New:

  anjuta-3.1.91.tar.bz2



Other differences:
--
++ anjuta.spec ++
--- /var/tmp/diff_new_pack.TA2Vgx/_old  2011-09-09 11:05:48.0 +0200
+++ /var/tmp/diff_new_pack.TA2Vgx/_new  2011-09-09 11:05:48.0 +0200
@@ -18,25 +18,21 @@
 
 
 Name:   anjuta
-Version:3.1.4
+Version:3.1.91
 Release:1
+# FIXME: (should be fixed in  3.1.91) Check if the anjuta_logo.png install 
hack is still needed. See https://bugzilla.gnome.org/show_bug.cgi?id=656470. 
Last checked in version 3.1.91.
 License:GPLv2+
 Summary:Versatile Integrated Development Environment for GNOME
 Url:http://anjuta.sourceforge.net/
 Group:  Development/Tools/IDE
 Source: 
http://download.gnome.org/sources/anjuta/3.1/%{name}-%{version}.tar.bz2
 Source1:%{name}-rpmlintrc
-# PATCH-FEATURE-UPSTREAM anjuta-support-libgda-5.0.patch bgo#652047 
dims...@opensuse.org -- Also support building with libgda-5.0.
-Patch0: anjuta-support-libgda-5.0.patch
-# PATCH-FIX-UPSTREAM anjuta-gtk_hv_box.patch bgo#655743 dims...@opensuse.org 
-- Stop using deprecated GtkHBox and GtkVBox.
-Patch1: anjuta-gtk_hv_box.patch
 BuildRequires:  autogen
 BuildRequires:  binutils-devel
 BuildRequires:  bison
 BuildRequires:  fdupes
 BuildRequires:  flex
 BuildRequires:  gcc-c++
-BuildRequires:  gnome-common
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gnome-icon-theme
 BuildRequires:  gobject-introspection-devel
@@ -60,10 +56,10 @@
 BuildRequires:  pkgconfig(gtk+-3.0)
 BuildRequires:  pkgconfig(gtksourceview-3.0)
 BuildRequires:  pkgconfig(libdevhelp-3.0)
-BuildRequires:  pkgconfig(libgda-5.0)
+BuildRequires:  pkgconfig(libgda-5.0) = 4.99.0
 BuildRequires:  pkgconfig(libgraph)
 BuildRequires:  pkgconfig(libgvc)
-BuildRequires:  pkgconfig(libvala-0.14)
+BuildRequires:  pkgconfig(libvala-0.14) = 0.13.3
 BuildRequires:  pkgconfig(libxml-2.0)
 BuildRequires:  pkgconfig(neon)
 BuildRequires:  pkgconfig(vte-2.90)
@@ -129,13 +125,9 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
-%patch1 -p1
 translation-update-upstream
 
 %build
-# Needed by patch0
-NOCONFIGURE=1 gnome-autogen.sh
 %configure\
 --disable-static \
 --disable-scrollkeeper
@@ -148,7 +140,6 @@
 %endif
 # These should go to defaultdocdir.
 rm -r %{buildroot}%{_datadir}/doc
-DESTDIR=%{buildroot} mime-info-to-mime
 %suse_update_desktop_file anjuta
 %find_lang anjuta %{?no_lang_C}
 # There's no translation for those yet. If build fails because of non-packaged
@@ -156,6 +147,10 @@
 #%%find_lang anjuta-build-tutorial %{?no_lang_C} anjuta.lang
 #%%find_lang anjuta-faqs %{?no_lang_C} anjuta.lang
 %find_lang anjuta-manual %{?no_lang_C} anjuta.lang
+# anjuta_logo is wrongly linked from help, 
https://bugzilla.gnome.org/show_bug.cgi?id=656470
+for lang in %{buildroot}/%{_datadir}/gnome/help/anjuta-manual/*; do
+  cp --remove-destination 
%{buildroot}%{_datadir}/pixmaps/anjuta/anjuta_logo.png $lang/anjuta_logo.png
+done
 find %{buildroot} -type f -name *.la -delete -print
 %fdupes %{buildroot}
 

++ 

commit apparmor for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package apparmor for openSUSE:Factory
checked in at Fri Sep 9 11:06:31 CEST 2011.




--- apparmor/apparmor.changes   2011-08-02 11:53:57.0 +0200
+++ /mounts/work_src_done/STABLE/apparmor/apparmor.changes  2011-09-07 
17:13:33.0 +0200
@@ -1,0 +2,19 @@
+Mon Aug 22 11:54:21 UTC 2011 - opens...@cboltz.de
+
+- install SubDomain.pm compat module (bnc#713408)
+
+---
+Wed Aug  3 02:46:08 CEST 2011 - je...@suse.de
+
+- Update to 2.6.1.
+  - One patch eliminated
+  - Lots of minor fixes
+  - Split out more common abstractions
+- Add check_for_apparmor() helper.
+
+---
+Tue Aug  2 17:07:43 CEST 2011 - je...@suse.de
+
+- dhcpd: Fix apparmor profile (bnc#692428)
+
+---
@@ -8,0 +28,5 @@
+Sun Jul 17 20:04:18 UTC 2011 - andrea.turr...@gmail.com
+ 
+- Fixed typos in descriptions and summaries of apparmor.spec
+ 
+---
@@ -12,0 +37,5 @@
+
+---
+Tue Jun 21 09:54:28 UTC 2011 - co...@novell.com
+
+- move the requires and prerequires to the right package

calling whatdependson for head-i586


Old:

  apparmor-2.6.0.tar.bz2
  apparmor-no-caching-test

New:

  apparmor-2.6.0-dhcpd
  apparmor-2.6.1.tar.bz2
  apparmor-compat-routines



Other differences:
--
++ apparmor.spec ++
--- /var/tmp/diff_new_pack.yei52D/_old  2011-09-09 11:06:13.0 +0200
+++ /var/tmp/diff_new_pack.yei52D/_new  2011-09-09 11:06:13.0 +0200
@@ -45,8 +45,8 @@
   %define distro suse
 %endif
 Summary:AppArmor userlevel parser utility
-Version:2.6.0
-Release:58
+Version:2.6.1
+Release:1
 Group:  Productivity/Networking/Security
 Source0:apparmor-%{version}.tar.bz2
 Source1:%{name}-profile-editor.png
@@ -54,7 +54,6 @@
 Source3:update-trans.sh
 
 Patch1: apparmor-scripts
-Patch2: apparmor-no-caching-test
 Patch3: apparmor-utils-add-log-types
 Patch4: apparmor-utils-filenames-in-slash
 Patch5: apparmor-utils-string-split
@@ -75,6 +74,8 @@
 Patch20:apparmor-profiles-dhclient
 Patch21:apparmor-utils-subdomain-compat
 Patch22:apparmor-securityfs-systemd.patch
+Patch23:apparmor-2.6.0-dhcpd
+Patch24:apparmor-compat-routines
 License:GPLv2+
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Url:https://launchpad.net/apparmor
@@ -99,12 +100,6 @@
 BuildRequires:  ruby-devel swig
 %endif
 
-%if %{with pam}
-BuildRequires:  pam-devel
-Requires:   pam pam-config
-PreReq: pam pam-config
-%endif
-
 %if %{with apache}
 BuildRequires:  apache2-devel
 %endif
@@ -246,7 +241,7 @@
 
 %description -n perl-apparmor
 This package provides the perl interface to AppArmor. It is used for perl
-applications interfacing with AppArmor, including the AppArmor utiltities.
+applications interfacing with AppArmor, including the AppArmor utilities.
 
 Authors:
 
@@ -365,8 +360,11 @@
 
 %package -n pam_apparmor
 License:GPLv2 ; LGPLv2.1+
-Summary:PAM module to for AppArmor change_hat
+Summary:PAM module for AppArmor change_hat
 Group:  Productivity/Security
+BuildRequires:  pam-devel
+Requires:   pam pam-config
+PreReq: pam pam-config
 
 %description -n pam_apparmor
 The pam_apparmor module provides the means for any PAM applications
@@ -422,7 +420,7 @@
 Group:  System/GUI/GNOME
 
 %description -n apparmorapplet-gnome
-This taskbar applet recieves AppArmor events over DBUS, and notifies
+This taskbar applet receives AppArmor events over DBUS, and notifies
 the user when AppArmor prevents an application from functioning.
 
 
@@ -448,7 +446,6 @@
 %prep
 %setup -q -n %{name}-%{version}
 %patch1 -p1
-%patch2 -p1
 %patch3 -p1
 %patch4 -p1
 %patch5 -p1
@@ -469,6 +466,8 @@
 %patch20 -p1
 %patch21 -p1
 %patch22 -p1
+%patch23 -p1
+%patch24 -p1
 
 %build
 export SUSE_ASNEEDED=0

++ apparmor-2.5.1-edirectory-profile ++
--- /var/tmp/diff_new_pack.yei52D/_old  2011-09-09 11:06:13.0 +0200
+++ /var/tmp/diff_new_pack.yei52D/_new  2011-09-09 11:06:13.0 +0200
@@ -17,7 +17,7 @@
 
 --- a/profiles/apparmor.d/abstractions/nameservice
 +++ b/profiles/apparmor.d/abstractions/nameservice
-@@ -70,6 +70,9 @@
+@@ -72,6 +72,9 @@
# kerberos
#include abstractions/kerberosclient
  

++ apparmor-2.5.1-ldapclient-profile ++
--- /var/tmp/diff_new_pack.yei52D/_old  2011-09-09 11:06:13.0 +0200
+++ /var/tmp/diff_new_pack.yei52D/_new  2011-09-09 11:06:13.0 +0200
@@ -48,7 +48,7 @@
# db backend
/var/lib/misc/*.db  r,
  

commit at-spi2-atk for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package at-spi2-atk for openSUSE:Factory
checked in at Fri Sep 9 11:07:15 CEST 2011.




--- GNOME/at-spi2-atk/at-spi2-atk.changes   2011-07-26 09:31:28.0 
+0200
+++ /mounts/work_src_done/STABLE/at-spi2-atk/at-spi2-atk.changes
2011-09-06 08:12:37.0 +0200
@@ -1,0 +2,23 @@
+Tue Sep  6 06:11:45 UTC 2011 - vu...@opensuse.org
+
+- Update to version 2.1.91:
+  + bgo#645321: Use an array of bytes rather than a string for the
+atk-bridge location in the schema.
+
+---
+Wed Aug 31 12:54:30 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.1.90:
+  + Try to use the new AtkWindow interface to register for window
+events.
+
+---
+Tue Aug 16 04:31:47 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.1.5:
+  + Use libatspi constants rather than keeping duplicate copies of
+the constants in at-spi2-atk.
+  + Fixed some problems when shutting down and restarting the
+module.
+
+---

calling whatdependson for head-i586


Old:

  at-spi2-atk-2.1.4.tar.bz2

New:

  at-spi2-atk-2.1.91.tar.bz2



Other differences:
--
++ at-spi2-atk.spec ++
--- /var/tmp/diff_new_pack.7JOkoj/_old  2011-09-09 11:07:10.0 +0200
+++ /var/tmp/diff_new_pack.7JOkoj/_new  2011-09-09 11:07:10.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   at-spi2-atk
-Version:2.1.4
+Version:2.1.91
 Release:1
 Summary:Assistive Technology Service Provider Interface - GTK+ module
 License:GPLv2+
@@ -26,12 +26,12 @@
 Url:http://www.gnome.org/
 Source0:
http://download.gnome.org/sources/at-spi2-atk/2.1/%{name}-%{version}.tar.bz2
 Source99:   %{name}-rpmlintrc
-BuildRequires:  atk-devel
+BuildRequires:  atk-devel = 2.1.5
 BuildRequires:  fdupes
 BuildRequires:  gtk2-devel
 BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
-BuildRequires:  pkgconfig(atspi-2)
+BuildRequires:  pkgconfig(atspi-2) = 2.1.4
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ at-spi2-atk-2.1.4.tar.bz2 - at-spi2-atk-2.1.91.tar.bz2 ++
 5140 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit atftp for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package atftp for openSUSE:Factory
checked in at Fri Sep 9 11:07:51 CEST 2011.




--- atftp/atftp.changes 2010-10-30 01:24:23.0 +0200
+++ /mounts/work_src_done/STABLE/atftp/atftp.changes2011-09-06 
15:00:03.0 +0200
@@ -1,0 +2,5 @@
+Tue Sep  6 11:55:01 UTC 2011 - vci...@suse.com
+
+- added missing PreReq: pwdutils (bnc#683140)
+
+---

calling whatdependson for head-i586




Other differences:
--
++ atftp.spec ++
--- /var/tmp/diff_new_pack.2f3qkB/_old  2011-09-09 11:07:41.0 +0200
+++ /var/tmp/diff_new_pack.2f3qkB/_new  2011-09-09 11:07:41.0 +0200
@@ -22,7 +22,7 @@
 Name:   atftp
 Summary:Advanced TFTP Server and Client
 Version:0.7.0
-Release:140
+Release:145
 License:GPLv2+
 Group:  System/Daemons
 Url:ftp://ftp.mamalinux.com/pub/atftp/
@@ -40,6 +40,7 @@
 Patch8: atftpd-0.7_circumvent_tftp_size_restrictions.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: %insserv_prereq  %fillup_prereq
+PreReq: pwdutils
 BuildRequires:  pwdutils
 BuildRequires:  pcre-devel readline-devel tcpd-devel
 Conflicts:  tftp
@@ -54,13 +55,6 @@
 multithreaded and will eventually support multicast, allowing faster
 boot of hundreds of machines simultaneously.
 
-
-
-Authors:
-
-Jean-Pierre Lefebvrehe...@step.polymtl.ca
-Remi Lefebvre   r...@debian.org
-
 %prep
 %setup -q -n %{name}-%{pkg_version}
 %patch1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit atk for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package atk for openSUSE:Factory
checked in at Fri Sep 9 11:08:03 CEST 2011.




--- GNOME/atk/atk.changes   2011-07-25 07:58:50.0 +0200
+++ /mounts/work_src_done/STABLE/atk/atk.changes2011-09-05 
20:37:59.0 +0200
@@ -1,0 +2,17 @@
+Mon Sep  5 18:37:25 UTC 2011 - vu...@opensuse.org
+
+- Update to version 2.1.91:
+  + Documentation updates.
+  + Updated translations.
+
+---
+Tue Aug 16 20:51:39 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.1.5:
+  + bgo#638924: Add AtkWindow
+  + Fixing out of tree compilation on Win32
+  + Update README.txt
+  + Fixing release number of the new ATK roles added
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  atk-2.1.0.tar.bz2

New:

  atk-2.1.91.tar.bz2



Other differences:
--
++ atk.spec ++
--- /var/tmp/diff_new_pack.iq3ABt/_old  2011-09-09 11:07:59.0 +0200
+++ /var/tmp/diff_new_pack.iq3ABt/_new  2011-09-09 11:07:59.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   atk
 Summary:An Accessibility ToolKit
-Version:2.1.0
+Version:2.1.91
 Release:1
 Url:http://www.gtk.org/
 License:LGPLv2.1+

++ atk-2.1.0.tar.bz2 - atk-2.1.91.tar.bz2 ++
 24085 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit avahi for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package avahi for openSUSE:Factory
checked in at Fri Sep 9 11:08:32 CEST 2011.




avahi-mono.changes: same change
--- avahi/avahi-qt4.changes 2010-03-15 18:31:12.0 +0100
+++ /mounts/work_src_done/STABLE/avahi/avahi-qt4.changes2011-08-12 
20:54:08.0 +0200
@@ -1,0 +2,5 @@
+Fri Aug 12 18:57:25 UTC 2011 - andrea.turr...@gmail.com
+
+- Fixed typo in avahi-qt4.spec.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ avahi-glib2.spec ++
--- /var/tmp/diff_new_pack.zMSAYT/_old  2011-09-09 11:08:25.0 +0200
+++ /var/tmp/diff_new_pack.zMSAYT/_new  2011-09-09 11:08:25.0 +0200
@@ -31,7 +31,7 @@
 %define build_qt3 0
 %define build_qt4 0
 Version:0.6.30
-Release:2
+Release:3
 %if !%build_glib2  !%build_mono  !%build_qt3  !%build_qt4
 # Create split spec files only when building per partes:
 #%(sh %{_sourcedir}/%{_name}_spec-prepare.sh %{_sourcedir} %{name})
@@ -135,6 +135,7 @@
 %if %build_core
 
 %package -n libavahi-client3
+
 License:LGPLv2.1+
 Summary:D-BUS Service for Zeroconf and Bonjour
 Group:  System/Libraries
@@ -153,6 +154,7 @@
 across LAN segments.
 
 %package -n libavahi-common3
+
 License:LGPLv2.1+
 Summary:D-BUS Service for Zeroconf and Bonjour
 Group:  System/Libraries
@@ -171,6 +173,7 @@
 across LAN segments.
 
 %package -n libavahi-core7
+
 License:LGPLv2.1+
 Summary:D-BUS Service for Zeroconf and Bonjour
 Group:  System/Libraries
@@ -189,6 +192,7 @@
 across LAN segments.
 
 %package -n libdns_sd
+
 License:LGPLv2.1+
 Summary:mDNSResponder Compatibility Package for D-BUS Service for 
Zeroconf/Bonjour
 Group:  System/Libraries
@@ -227,6 +231,7 @@
 correct mDNS reflection across LAN segments.
 
 %package -n libhowl0
+
 License:LGPLv2.1+
 Summary:Howl Compatibility Package for D-BUS Service for 
Zeroconf/Bonjour
 Group:  System/Libraries
@@ -250,6 +255,7 @@
 correct mDNS reflection across LAN segments.
 
 %package -n python-avahi
+
 License:LGPLv2.1+
 Summary:A set of Avahi utilities written in Python
 PreReq: coreutils
@@ -274,6 +280,7 @@
 elsewhere, like correct mDNS reflection across LAN segments.
 
 %package utils
+
 License:LGPLv2.1+
 Summary:Command Line Utilities for D-BUS Service for Zeroconf and 
Bonjour
 Requires:   %{_name} = %{version}
@@ -293,6 +300,7 @@
 across LAN segments.
 
 %package -n libavahi-devel
+
 License:LGPLv2.1+
 Summary:Include Files and Libraries Mandatory for Development
 #
@@ -316,6 +324,7 @@
 correct mDNS reflection across LAN segments.
 
 %package compat-mDNSResponder-devel
+
 License:LGPLv2.1+
 Summary:mDNSResponder Compatibility Package for D-BUS Service for 
Zeroconf/Bonjour
 Requires:   libavahi-devel = %{version} libdns_sd = %{version}
@@ -339,6 +348,7 @@
 correct mDNS reflection across LAN segments.
 
 %package compat-howl-devel
+
 License:LGPLv2.1+
 Summary:Howl Compatibility Package for D-BUS Service for 
Zeroconf/Bonjour
 Requires:   libavahi-devel = %{version} libhowl0 = %{version}
@@ -591,6 +601,7 @@
 %if %build_qt4
 
 %package -n libavahi-qt4-1
+
 License:LGPLv2.1+
 Summary:Qt4 Bindings for avahi, the D-BUS Service for Zeroconf and 
Bonjour
 Group:  System/GUI/KDE
@@ -614,6 +625,7 @@
 correct mDNS reflection across LAN segments.
 
 %package -n libavahi-qt4-devel
+
 License:LGPLv2.1+
 Summary:Include Files and Libraries Mandatory for Development
 Requires:   libavahi-devel = %{version} libavahi-qt4-1 = %{version} 
libqt4-devel
@@ -641,6 +653,7 @@
 %if %build_mono
 
 %package -n avahi-mono
+
 License:LGPLv2.1+
 Summary:Mono Bindings for avahi, the D-BUS Service for Zeroconf and 
Bonjour
 Requires:   gtk-sharp2 libavahi-client3 = %{version} libavahi-common3 = 
%{version} libavahi-ui0 = %{version} libavahi-glib1 = %{version}

++ avahi-mono.spec ++
--- /var/tmp/diff_new_pack.zMSAYT/_old  2011-09-09 11:08:25.0 +0200
+++ /var/tmp/diff_new_pack.zMSAYT/_new  2011-09-09 11:08:25.0 +0200
@@ -31,7 +31,7 @@
 %define build_qt3 0
 %define build_qt4 0
 Version:0.6.30
-Release:2
+Release:3
 %if !%build_glib2  !%build_mono  !%build_qt3  !%build_qt4
 # Create split spec files only when building per partes:
 #%(sh %{_sourcedir}/%{_name}_spec-prepare.sh %{_sourcedir} %{name})
@@ -134,6 +134,7 @@
 %if %build_core
 
 %package -n libavahi-client3
+
 License:LGPLv2.1+
 Summary:D-BUS Service for Zeroconf and Bonjour
 Group:  System/Libraries
@@ -152,6 +153,7 @@
 across LAN segments.
 
 %package -n 

commit banshee for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package banshee for openSUSE:Factory
checked in at Fri Sep 9 11:08:57 CEST 2011.




--- banshee/banshee.changes 2011-08-03 14:10:19.0 +0200
+++ /mounts/work_src_done/STABLE/banshee/banshee.changes2011-09-07 
02:11:49.0 +0200
@@ -1,0 +2,47 @@
+Mon Aug 29 04:19:49 UTC 2011 - nmarq...@opensuse.org
+
+- Update to version 2.1.3:
+  + New Features:
+- New custom support for the Barnes  Noble Nook
+- Support default internet radio stations. At first start, XSPF
+  playlists in $datadir/banshee/stations/ are imported
+  automatically. We don't provide default radio stations
+  ourselves but this allows distros or other third parties to
+  do so.
+  + Enhancements:
+- bgo#549173: Add Stop when finished option in the
+  notification popup menu
+- bgo#636071: Get info from the database or the file when
+  opening a URI
+- bgo#639805: Hide labels in the source pane when the group is
+  empty
+- bgo#647306: Add support for the Notion Ink Adam tablet
+- bgo#651497: Motorola Atrix support
+- bgo#653255: Samsung Galaxy S2 support
+- bgo#653284: Remove keyboard shortcut for toggling scrobbling
+- bgo#653997: Samsung Galaxy Ace support
+- bgo#656526: Add Smiley Face Curve default equalizer
+- bgo#656670: Cache the ArtworkID in the database for faster
+  startup
+- Various enhancements to our experimental GStreamer# backend,
+  bringing it close to feature parity with our current C
+  backend.
+  + Bugs fixed, including:
+- bgo#587264: Fix metadata fetching from MusicBrainz
+- bgo#647111: Put the Audio CD source label in the right place
+- bgo#647202: Fix space usage reporting for some DAP devices
+- bgo#648498: Make sure the MPRIS sends the new metadata on
+  track change
+- bgo#650011: Fix items disappearing in playlists when
+  re-connecting iPod
+- bgo#650184: Fix XSPF playlist importing error
+- bgo#651914: Fix Least Favorite smart playlist to not pick
+  unrated songs
+- bgo#654524: Fix the SetPosition method in the MPRIS interface
+- bgo#656176: Don't ignore the last value of the
+  .is_audio_player file
+- bgo#656246: Fix random crash while changing tracks
+- EqualizerSetting: Set the amplifier level for default
+  equalizers
+
+---

calling whatdependson for head-i586


Old:

  banshee-2.1.0.tar.bz2

New:

  banshee-2.1.3.tar.bz2



Other differences:
--
++ banshee.spec ++
--- /var/tmp/diff_new_pack.NHGjLO/_old  2011-09-09 11:08:50.0 +0200
+++ /var/tmp/diff_new_pack.NHGjLO/_new  2011-09-09 11:08:50.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   banshee
-Version:2.1.0
+Version:2.1.3
 Release:1
 License:MIT
 Summary:A media playback and management application

++ banshee-2.1.0.tar.bz2 - banshee-2.1.3.tar.bz2 ++
 65003 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit cairo for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package cairo for openSUSE:Factory
checked in at Fri Sep 9 11:09:14 CEST 2011.




--- GNOME/cairo/cairo.changes   2011-02-22 15:20:01.0 +0100
+++ /mounts/work_src_done/STABLE/cairo/cairo.changes2011-09-02 
18:03:14.0 +0200
@@ -1,0 +2,6 @@
+Mon Aug 29 12:06:00 UTC 2011 - co...@novell.com
+
+- Add cairo-fix-libs.patch: disable lto for cairo-sphinx as it
+  breaks with -Wl,--as-needed.
+
+---

calling whatdependson for head-i586


New:

  cairo-fix-libs.patch



Other differences:
--
++ cairo.spec ++
--- /var/tmp/diff_new_pack.3Uce0j/_old  2011-09-09 11:09:08.0 +0200
+++ /var/tmp/diff_new_pack.3Uce0j/_new  2011-09-09 11:09:08.0 +0200
@@ -21,7 +21,8 @@
 
 Name:   cairo
 Version:1.10.2
-Release:8
+Release:9
+# FIXME: on update, check that cairo-fix-libs.patch (patch1) is still needed 
(nobody has the right fix for upstream :/)
 License:LGPLv2.1+ ; MPL ..
 Summary:Vector Graphics Library with Cross-Device Output Support
 Url:http://cairographics.org/
@@ -30,6 +31,8 @@
 Source99:   baselibs.conf
 # PATCH-FIX-UPSTREAM cairo-modules-no-version.patch dims...@opensuse.org -- 
Build modules with -module -avoid-version.
 Patch0: cairo-modules-no-version.patch
+# PATCH-FIX-OPENSUSE cairo-fix-libs.patch co...@suse.de -- Fix build with 
newer ld
+Patch1: cairo-fix-libs.patch
 # These libraries are needed only for tests.
 # Do not enable tests in build systems, it causes build loop!
 #BuildRequires:  librsvg-devel poppler-devel
@@ -144,6 +147,7 @@
 %prep
 %setup -q
 %patch0 -p1
+%patch1 -p1
 
 %build
 NOCONFIGURE=1 ./autogen.sh
@@ -166,7 +170,7 @@
 %endif
 --disable-gtk-doc \
 --disable-static
-%{__make} %{?jobs:-j %jobs}
+%{__make} %{?jobs:-j %jobs} V=1
 
 %install
 %makeinstall

++ cairo-fix-libs.patch ++
Index: cairo-1.10.2/util/cairo-sphinx/Makefile.am
===
--- cairo-1.10.2.orig/util/cairo-sphinx/Makefile.am 2011-08-29 
13:44:11.0 +0200
+++ cairo-1.10.2/util/cairo-sphinx/Makefile.am  2011-08-29 14:03:37.386026554 
+0200
@@ -16,7 +16,7 @@ cairo_sphinx_la_LIBADD = -ldl
 
 cairo_sphinx_SOURCES = sphinx.c
 cairo_sphinx_CPPFLAGS = $(AM_CPPFLAGS) -DLIBDIR=\$(cairolibdir)\
-cairo_sphinx_CFLAGS = $(CAIRO_CFLAGS) $(real_pthread_CFLAGS)  $(glib_CFLAGS)
+cairo_sphinx_CFLAGS = $(CAIRO_CFLAGS) $(real_pthread_CFLAGS)  $(glib_CFLAGS) 
-fno-lto
 cairo_sphinx_LDADD = \
$(real_pthread_LIBS)\
 $(top_builddir)/util/cairo-script/libcairo-script-interpreter.la \





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit caribou for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package caribou for openSUSE:Factory
checked in at Fri Sep 9 11:09:31 CEST 2011.




--- GNOME/caribou/caribou.changes   2011-08-23 13:06:32.0 +0200
+++ /mounts/work_src_done/STABLE/caribou/caribou.changes2011-09-06 
21:59:33.0 +0200
@@ -1,0 +2,20 @@
+Tue Sep  6 10:10:02 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.3.91:
+  + Update Antler to latest GTK+ 3.2 shenanigans.
+  + Require pygobject 3.0.
+  + Fixes to bugs that were.
+  + Updated translations.
+- Add explicit pkgconfig() BuildRequires for existing dependencies:
+  libxml-2.0, x11, xtst.
+- Remove now unneeded pkgconfig(pygobject-2.0) BuildRequires.
+- Remove now unneeded python-virtkey Requires.
+- Also build the GTK+ 2 module since there's no reason to not use
+  the on-screen keyboard from GTK+ 2:
+  + Add pkgconfig(gtk+-2.0) BuildRequires.
+  + Pass --enable-gtk2-module to configure, instead of
+--disable-gtk2-module.
+- Split GTK+ 2/3 modules in gtk2-module and gtk3-module
+  subpackages.
+
+---
@@ -17,2 +37,3 @@
-- Recommend -lang package from the main package.
-- Pass --enable-gtk3-modules and --disable-gtk2-module to configure
+- Add lang subpackage Recommends from the main package.
+- Pass --enable-gtk3-module and --disable-gtk2-module to
+  configure.

calling whatdependson for head-i586


Old:

  caribou-0.3.5.tar.bz2

New:

  caribou-0.3.91.tar.bz2



Other differences:
--
++ caribou.spec ++
--- /var/tmp/diff_new_pack.THP8MP/_old  2011-09-09 11:09:25.0 +0200
+++ /var/tmp/diff_new_pack.THP8MP/_new  2011-09-09 11:09:25.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   caribou
-Version:0.3.5
-Release:2
+Version:0.3.91
+Release:1
 License:LGPLv2.1+
 Summary:On-screen Keyboard for GNOME
 Url:http://live.gnome.org/Caribou
@@ -33,15 +33,17 @@
 BuildRequires:  intltool
 BuildRequires:  python-xml
 BuildRequires:  update-desktop-files
-BuildRequires:  vala
+BuildRequires:  vala = 0.13
 BuildRequires:  pkgconfig(clutter-1.0)
 BuildRequires:  pkgconfig(gee-1.0)
+BuildRequires:  pkgconfig(gtk+-2.0)
 BuildRequires:  pkgconfig(gtk+-3.0)
 BuildRequires:  pkgconfig(libxklavier)
-BuildRequires:  pkgconfig(pygobject-2.0)
-BuildRequires:  pkgconfig(pygobject-3.0)
+BuildRequires:  pkgconfig(libxml-2.0)
+BuildRequires:  pkgconfig(pygobject-3.0) = 2.90.3
+BuildRequires:  pkgconfig(x11)
+BuildRequires:  pkgconfig(xtst)
 Requires:   python-atspi
-Requires:   python-virtkey
 Requires:   python-xml
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -54,6 +56,32 @@
 for Caribou is to create a usable solution for people whose primary way
 of accessing a computer is a switch device.
 
+%package gtk2-module
+License:LGPLv2.1+
+Summary:On-screen Keyboard for GNOME -- GTK+ 2 Module
+Group:  System/GUI/GNOME
+Requires:   %{name} = %{version}
+Supplements:packageand(%{name}:gtk2)
+
+%description gtk2-module
+Caribou is a text entry and UI navigation application being developed
+as an alternative to the Gnome On-screen Keyboard. The overarching goal
+for Caribou is to create a usable solution for people whose primary way
+of accessing a computer is a switch device.
+
+%package gtk3-module
+License:LGPLv2.1+
+Summary:On-screen Keyboard for GNOME -- GTK+ 3 Module
+Group:  System/GUI/GNOME
+Requires:   %{name} = %{version}
+Supplements:packageand(%{name}:gtk3)
+
+%description gtk3-module
+Caribou is a text entry and UI navigation application being developed
+as an alternative to the Gnome On-screen Keyboard. The overarching goal
+for Caribou is to create a usable solution for people whose primary way
+of accessing a computer is a switch device.
+
 %package -n libcaribou0
 License:LGPLv2.1+
 Summary:On-screen Keyboard for GNOME -- Library
@@ -84,7 +112,7 @@
 %configure \
 --disable-static \
 --enable-gtk3-module \
---disable-gtk2-module
+--enable-gtk2-module
 make %{?_smp_mflags}
 
 %install
@@ -122,10 +150,17 @@
 %{_datadir}/dbus-1/services/org.gnome.Caribou.Antler.service
 %{_datadir}/glib-2.0/schemas/org.gnome.antler.gschema.xml
 %{_datadir}/glib-2.0/schemas/org.gnome.caribou.gschema.xml
-%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
 %{_libexecdir}/antler-keyboard
 %{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
 
+%files gtk2-module
+%defattr(-, root, root)
+%{_libdir}/gtk-2.0/modules/libcaribou-gtk-module.so
+
+%files gtk3-module
+%defattr(-, root, root)
+%{_libdir}/gtk-3.0/modules/libcaribou-gtk-module.so
+
 %files -n libcaribou0
 %defattr(-, root, root)
 %{_libdir}/libcaribou.so.*

++ caribou-0.3.5.tar.bz2 - caribou-0.3.91.tar.bz2 ++
 12131 lines of diff 

commit cheese for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package cheese for openSUSE:Factory
checked in at Fri Sep 9 11:09:47 CEST 2011.




--- GNOME/cheese/cheese.changes 2011-07-18 09:22:41.0 +0200
+++ /mounts/work_src_done/STABLE/cheese/cheese.changes  2011-09-06 
22:32:02.0 +0200
@@ -1,0 +2,24 @@
+Tue Sep  6 20:24:05 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91.1:
+  + Fix soversion downgrade in 3.1.91.
+  + Updated translations.
+- Change lib_major and lib_gtk_major macros to follow upstream
+  soversion change.
+
+---
+Tue Sep  6 06:45:51 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + help: Added Mallard help, removed DocBook help
+  + cheese-effects: implement loading cheese effects in libcheese
+  + cheese-camera: fix leaks
+  + libcheese: aligned button to center
+  + ui: handle delete-event signal at Preferences dialog
+(bgo#647229)
+  + Integrate fixes from 3.0.x branch.
+  + Updated documentation.
+- Change lib_major and lib_gtk_major macros to follow upstream
+  soversion change, although it's going backwards.
+
+---

calling whatdependson for head-i586


Old:

  cheese-3.0.2.tar.bz2

New:

  cheese-3.1.91.1.tar.bz2



Other differences:
--
++ cheese.spec ++
--- /var/tmp/diff_new_pack.gdTa6P/_old  2011-09-09 11:09:42.0 +0200
+++ /var/tmp/diff_new_pack.gdTa6P/_new  2011-09-09 11:09:42.0 +0200
@@ -20,13 +20,13 @@
 %define lib_gtk_major 20
 
 Name:   cheese
-Version:3.0.2
+Version:3.1.91.1
 Release:1
 License:GPLv2+
 Summary:Webcam Booth for GNOME
 Url:http://www.gnome.org/projects/cheese
 Group:  Productivity/Graphics/Other
-Source0:
http://download.gnome.org/sources/cheese/3.0/%{name}-%{version}.tar.bz2
+Source0:
http://download.gnome.org/sources/cheese/3.1/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gobject-introspection-devel
@@ -173,9 +173,6 @@
 %dir %{_datadir}/gnome/help/
 %dir %{_datadir}/gnome/help/%{name}/
 %doc %{_datadir}/gnome/help/%{name}/C/
-%dir %{_datadir}/omf/
-%dir %{_datadir}/omf/%{name}/
-%doc %{_datadir}/omf/%{name}/%{name}-C.omf
 %{_bindir}/cheese
 %{_datadir}/applications/cheese.desktop
 %{_datadir}/cheese/

++ cheese-3.0.2.tar.bz2 - cheese-3.1.91.1.tar.bz2 ++
 35490 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit cherrytree for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package cherrytree for openSUSE:Factory
checked in at Fri Sep 9 11:09:58 CEST 2011.




--- GNOME/cherrytree/cherrytree.changes 2011-07-21 10:34:53.0 +0200
+++ /mounts/work_src_done/STABLE/cherrytree/cherrytree.changes  2011-09-05 
09:47:56.0 +0200
@@ -1,0 +2,11 @@
+Mon Sep  5 07:43:54 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.23:
+  + The limit of undoable steps per node is now configurable (lower
+the limit to save ram).
+  + Add iterated find dialog.
+  + Add timestamp insert utility.
+  + Various bug fixes.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  cherrytree-0.22.2.tar.gz

New:

  cherrytree-0.23.tar.gz



Other differences:
--
++ cherrytree.spec ++
--- /var/tmp/diff_new_pack.bgNjPD/_old  2011-09-09 11:09:54.0 +0200
+++ /var/tmp/diff_new_pack.bgNjPD/_new  2011-09-09 11:09:54.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   cherrytree
-Version:0.22.2
+Version:0.23
 Release:1
 License:GPL-2.0+
 Summary:A hierarchical note taking application

++ cherrytree-0.22.2.tar.gz - cherrytree-0.23.tar.gz ++
 23875 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit claws-mail for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package claws-mail for openSUSE:Factory
checked in at Fri Sep 9 11:10:10 CEST 2011.




--- claws-mail/claws-mail.changes   2011-08-27 13:54:27.0 +0200
+++ /mounts/work_src_done/STABLE/claws-mail/claws-mail.changes  2011-09-05 
10:19:03.0 +0200
@@ -1,0 +2,13 @@
+Mon Sep  5 07:48:31 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.7.10:
+  + The name of the account is now included within the Network Log
+output.
+  + Right-clicking a message in the Message List no longer opens
+the message.
+  + Several bug fixes (see NEWS for details).
+  + Updated manuals.
+  + Updated translations.
+- Drop claws-mail-gdk.patch: fixed upstream.
+
+---

calling whatdependson for head-i586


Old:

  claws-mail-3.7.9.tar.bz2
  claws-mail-gdk.patch

New:

  claws-mail-3.7.10.tar.bz2



Other differences:
--
++ claws-mail.spec ++
--- /var/tmp/diff_new_pack.Av6uLT/_old  2011-09-09 11:10:05.0 +0200
+++ /var/tmp/diff_new_pack.Av6uLT/_new  2011-09-09 11:10:05.0 +0200
@@ -19,16 +19,14 @@
 
 
 Name:   claws-mail
-Version:3.7.9
-Release:4
+Version:3.7.10
+Release:1
 License:GPLv3+
 Group:  Productivity/Networking/Email/Clients
 Url:http://www.claws-mail.org/
 Summary:A lightweight and highly configurable email client
-Source0:
http://prdownloads.sourceforge.net/sylpheed-claws/%{name}-%{version}.tar.bz2
+Source0:
http://downloads.sourceforge.net/project/sylpheed-claws/Claws%20Mail/3.7.10/%{name}-%{version}.tar.bz2
 Patch0: claws-mail-python.diff
-# PATCH-FIX-UPSTREAM claws-mail-gdk.patch bnc#693197 dims...@opensuse.org -- 
Fix crash with libnotify enabled.
-Patch1: claws-mail-gdk.patch
 BuildRequires:  NetworkManager-devel
 BuildRequires:  compface
 BuildRequires:  db-devel
@@ -97,7 +95,6 @@
 %prep
 %setup -q
 %patch0
-%patch1
 
 %build
 %configure \

++ claws-mail-3.7.9.tar.bz2 - claws-mail-3.7.10.tar.bz2 ++
claws-mail/claws-mail-3.7.9.tar.bz2 
/mounts/work_src_done/STABLE/claws-mail/claws-mail-3.7.10.tar.bz2 differ: char 
11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit claws-mail-extra-plugins for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package claws-mail-extra-plugins for 
openSUSE:Factory
checked in at Fri Sep 9 11:10:31 CEST 2011.




--- claws-mail-extra-plugins/claws-mail-extra-plugins.changes   2011-05-16 
13:03:33.0 +0200
+++ 
/mounts/work_src_done/STABLE/claws-mail-extra-plugins/claws-mail-extra-plugins.changes
  2011-09-05 15:31:14.0 +0200
@@ -1,0 +2,43 @@
+Mon Sep  5 07:58:56 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.7.10:
+  + Fancy:
+- Show a message when navigation is blocked by preferences.
+- Add configurable proxy support.
+- Add option to enable/disable java applets.
+- Code cleanups.
+  + GData:
+- New plugin that provides access to the GData protocol.
+- Currently, the only implemented functionality is to include
+  Google Contacts into the Tab-address completion.
+  + GeoLocation:
+- Add support for libchamplain 0.6 and 0.8.
+- Check for initialization errors in clutter-gtk.
+  + gtkhtml2_viewer:
+- Do not ignore message encoding.
+- Code cleanups.
+  + notification:
+- Add support for libnotify = 0.7.
+- Add support libindicate 0.5.
+- Set attention hint whenever new messages are present.
+- Code cleanups.
+  + RSSyl:
+- Fix usage of isspace().
+- Code cleanups.
+  + vcalendar:
+- Fix segfault when parsing of event XML fails.
+- Code cleanups.
+  + Updated translations.
+- Add pkgconfig(libgdata) BuildRequires for the new GData plugin,
+  and enable the build of the plugin on 11.4 only (with a
+  build_gdata macro), as the libgdata version in Factory is too
+  recent (and glib2 is too old on 11.3).
+- Update claws-mail-extra-plugins-fancy-build.patch: this was fixed
+  upstream, except that the fix won't work for 11.4, so tweak the
+  patch appropriately.
+- Move hack to patch the geolocation plugin to support later
+  versions of libchamplain from %build to %prep, and adapt it after
+  changes upstream: only small bits are needed for 11.3 and 11.4
+  now.
+
+---

calling whatdependson for head-i586


Old:

  claws-mail-extra-plugins-3.7.9.tar.bz2

New:

  claws-mail-extra-plugins-3.7.10.tar.bz2



Other differences:
--
++ claws-mail-extra-plugins.spec ++
--- /var/tmp/diff_new_pack.E0QSGt/_old  2011-09-09 11:10:22.0 +0200
+++ /var/tmp/diff_new_pack.E0QSGt/_new  2011-09-09 11:10:22.0 +0200
@@ -15,26 +15,31 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
 
-# Thus we only build up to 11.4
 %if 0%{?suse_version} = 1140
 %define build_geolocation 1
 %else
 %define build_geolocation 0
 %endif
 
+# The right combination of libraries is only in 11.4 for now
+%if 0%{?suse_version} == 1140
+%define build_gdata 1
+%else
+%define build_gdata 0
+%endif
+
 Name:   claws-mail-extra-plugins
-Version:3.7.9
-Release:2
-# NOTE: Try to enable geolocation plugin again. Last checked for 3.7.9 on 12.1.
+Version:3.7.10
+Release:1
+# NOTE: Try to enable gdata and geolocation plugins again. Last checked for 
3.7.10 on 12.1.
 Summary:Plugins for Claws Mail
 License:GPLv2+
 Group:  Productivity/Networking/Email/Clients
 Url:http://claws-mail.org
-Source0:
http://prdownloads.sourceforge.net/claws-mail/claws-mail-extra-plugins-%{version}.tar.bz2
+Source0:
http://downloads.sourceforge.net/project/sylpheed-claws/extra%20plugins/3.7.10/%{name}-%{version}.tar.bz2
 Patch0: claws-mail-extra-plugins-libytnef_shlib.patch
-# PATCH-FIX-UPSTREAM claws-mail-extra-plugins-fancy-build.patch -- Fix build 
with latest webkit by adding missing include.
+# PATCH-FIX-OPENSUSE claws-mail-extra-plugins-fancy-build.patch -- Fix build 
of fancy plugin on 11.4
 Patch1: claws-mail-extra-plugins-fancy-build.patch
 BuildRequires:  claws-mail-devel = 3.7.2
 BuildRequires:  db-devel
@@ -53,6 +58,10 @@
 BuildRequires:  perl = 5.8
 BuildRequires:  pkgconfig
 BuildRequires:  python-gtk-devel
+%if %{build_gdata}
+BuildRequires:  pkgconfig(libgdata) = 0.6.4
+BuildRequires:  pkgconfig(libgdata)  0.9.0
+%endif
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Requires:   perl = %{perl_version}
 Requires:   %{name}-lang = %{version}
@@ -96,13 +105,24 @@
 pushd tnef_parse*
 %patch0 -p2
 popd
-%if 0%{?suse_version}  1130
+%if 0%{?suse_version} == 1140
 pushd fancy-*
-%patch1 -p1
+%patch1 -p0
 popd
+# Patch geolocation plugin to accept libchamplain 0.8.0
+grep -q champlain-gtk-0.8  0.8.0 geolocation_plugin-0.0.6/configure
+sed -i s:champlain-gtk-0.8  0.8.0:champlain-gtk-0.8 = 0.8.0:g 
geolocation_plugin-0.0.6/configure
+%endif
+%if 0%{?suse_version} == 1130
+# Patch geolocation plugin to accept weird version of clutter-gtk in 11.3
+clutterpc=$(basename $(rpm -ql 

commit clutter for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package clutter for openSUSE:Factory
checked in at Fri Sep 9 11:10:51 CEST 2011.




--- GNOME/clutter/clutter.changes   2011-07-27 15:48:23.0 +0200
+++ /mounts/work_src_done/STABLE/clutter/clutter.changes2011-09-06 
08:12:15.0 +0200
@@ -1,0 +2,52 @@
+Tue Sep  6 05:50:29 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.7.14:
+  + Use newer version of ATK
+  + Allow using Layout Managers with generic containers
+  + Cookbook updates
+  + Improve examples in the API reference
+  + Ensure thread safety of the repaint functions add/removal
+  + Make the ClutterText:line-wrap property work again
+  + Disable redirection to offscreen buffer by default
+  + Bugs fixed: bgo#657681, bco#2339.
+- Pass --enable-docs to configure so we can ship the cookbook.
+- Merge doc subpackage in devel subpackage, and add appropriate
+  Provides/Obsoletes.
+
+---
+Wed Aug 31 10:57:52 CEST 2011 - vu...@opensuse.org
+
+- Update to version 1.7.12:
+  + Reload the font caches on X11 when the user installs a new font
+  + Allow using font-description as a ClutterScript alias for
+font-name
+  + Make sure that LayoutManager subclasses take the allocation
+origin into account when allocating the children
+  + Build fixes: always link against libm.
+  + Documentation fixes
+  + Bugs fixed: bgo#657529.
+- Add pkgconfig(pangoft2) BuildRequires: new dependency.
+
+---
+Tue Aug 16 04:02:13 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.7.10:
+  + Do not update the last paint volume when picking
+  + Fix building the tests
+  + Bugs fixed: bgo#656588.
+
+---
+Mon Aug 15 17:15:06 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.7.8:
+  + Various fixes in Cally
+  + Add ClutterCairoTexture:auto-resize
+  + Add ClutterAnimatable.interpolate_value()
+  + Allow using Animatable implementations with ClutterState
+  + Improve ClutterModel's implementation
+  + Improve ClutterStage behaviour on OS X
+  + Bugs fixed: bgo#655387, bgo#655306, bgo#655311, bgo#655307,
+bgo#648633.
+- Enable make check in %check.
+
+---

calling whatdependson for head-i586


Old:

  clutter-1.7.6.tar.bz2

New:

  clutter-1.7.14.tar.bz2



Other differences:
--
++ clutter.spec ++
--- /var/tmp/diff_new_pack.S5E6Ah/_old  2011-09-09 11:10:45.0 +0200
+++ /var/tmp/diff_new_pack.S5E6Ah/_new  2011-09-09 11:10:45.0 +0200
@@ -19,7 +19,7 @@
 Summary:The clutter library
 
 Name:   clutter
-Version:1.7.6
+Version:1.7.14
 Release:1
 License:LGPLv2.1+
 Url:http://clutter-project.org/
@@ -28,15 +28,16 @@
 Source99:   baselibs.conf
 BuildRequires:  fdupes
 BuildRequires:  xmlto
-BuildRequires:  pkgconfig(atk)
+BuildRequires:  pkgconfig(atk) = 2.1.5
 BuildRequires:  pkgconfig(cairo)
-BuildRequires:  pkgconfig(cogl-1.0)
+BuildRequires:  pkgconfig(cogl-1.0) = 1.7.6
 BuildRequires:  pkgconfig(gl)
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(gobject-introspection-1.0)
 BuildRequires:  pkgconfig(json-glib-1.0)
 BuildRequires:  pkgconfig(libdrm)
 BuildRequires:  pkgconfig(pangocairo)
+BuildRequires:  pkgconfig(pangoft2)
 BuildRequires:  pkgconfig(x11)
 BuildRequires:  pkgconfig(xcomposite)
 BuildRequires:  pkgconfig(xdamage)
@@ -66,22 +67,14 @@
 Summary:The clutter library (Development)
 Group:  Development/Libraries/GNOME
 Requires:   libclutter-glx-1_0-0 = %{version}
+Provides:   %{name}-doc = %{version}
+Obsoletes:  %{name}-doc  %{version}
 
 %description  devel
 Clutter is an open source software library for creating fast, visually
 rich and animated graphical user interfaces. This package contain the
 files for development.
 
-%package doc
-License:LGPLv2.1+
-Summary:The clutter library (Documentation)
-Group:  System/Libraries
-
-%description doc
-Clutter is an open source software library for creating fast, visually
-rich and animated graphical user interfaces. This package contain the
-documentation.
-
 %lang_package
 %prep
 %setup -q
@@ -90,7 +83,8 @@
 %configure \
 --disable-static \
 --enable-xinput \
---disable-conformance
+--disable-conformance \
+--enable-docs
 make %{?_smp_mflags} V=1
 
 %install
@@ -101,7 +95,7 @@
 %fdupes %{buildroot}
 
 %check
-#make %{?jobs:-j%jobs} check
+make %{?_smp_mflags} check
 
 %post -n libclutter-glx-1_0-0 -p /sbin/ldconfig
 
@@ -122,14 +116,11 @@
 %{_includedir}/clutter-1.0
 %{_libdir}/pkgconfig/*.pc
 %{_datadir}/gir-1.0/*.gir
-
-%files doc
-%defattr(-,root,root)

commit clutter-gst for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package clutter-gst for openSUSE:Factory
checked in at Fri Sep 9 11:11:06 CEST 2011.




--- GNOME/clutter-gst/clutter-gst.changes   2011-07-27 16:29:06.0 
+0200
+++ /mounts/work_src_done/STABLE/clutter-gst/clutter-gst.changes
2011-09-01 09:57:44.0 +0200
@@ -1,0 +2,11 @@
+Thu Sep  1 09:56:02 CEST 2011 - vu...@opensuse.org
+
+- Update to version 1.3.14:
+  + Big split between the logic around playbin2 and the
+clutter-specific part to be able to reuse the GStreamer logic
+to implement new ClutterMedia objects.
+  + Add new API to get the list of audio and subtitles tracks
+  + Fix the leak of GstBus in VideoTexture
+  + Fix the key navigation events in the sink
+
+---

calling whatdependson for head-i586


Old:

  clutter-gst-1.3.12.tar.bz2

New:

  clutter-gst-1.3.14.tar.bz2



Other differences:
--
++ clutter-gst.spec ++
--- /var/tmp/diff_new_pack.7EjYEy/_old  2011-09-09 11:10:59.0 +0200
+++ /var/tmp/diff_new_pack.7EjYEy/_new  2011-09-09 11:10:59.0 +0200
@@ -21,13 +21,13 @@
 Name:   clutter-gst
 BuildRequires:  clutter-devel
 BuildRequires:  gobject-introspection-devel
-BuildRequires:  gstreamer-0_10-devel
+BuildRequires:  gstreamer-0_10-devel = 0.10.26
 BuildRequires:  gstreamer-0_10-plugins-base-devel
 License:LGPLv2.1+
 Group:  System/Libraries
-Version:1.3.12
-Release:2
-Source0:
http://www.clutter-project.org/sources/clutter-gst/0.10/%{name}-%{version}.tar.bz2
+Version:1.3.14
+Release:1
+Source0:
http://download.gnome.org/sources/clutter-gst/1.3/%{name}-%{version}.tar.bz2
 Source99:   baselibs.conf
 Url:http://clutter-project.org/
 Summary:GStreamer integration for Clutter

++ clutter-gst-1.3.12.tar.bz2 - clutter-gst-1.3.14.tar.bz2 ++
 8781 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit cogl for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package cogl for openSUSE:Factory
checked in at Fri Sep 9 11:11:23 CEST 2011.




--- cogl/cogl.changes   2011-07-27 15:57:21.0 +0200
+++ /mounts/work_src_done/STABLE/cogl/cogl.changes  2011-09-05 
23:10:57.0 +0200
@@ -1,0 +2,41 @@
+Mon Sep  5 21:06:38 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.7.8:
+  + Getters for the display and renderer associated with context
+  + Getter for the number of supported texture units during
+fragment processing.
+  + Optimizations for the GLSL codegen for fragment processing so
+we can ignore redundant layers - if for example the REPLACE
+function is used for layer N then computing anything for
+previous layers is redundant. Also if texture combining needs
+to sample the same texture multiple times we now re-use the
+same sample instead of repeating it.
+  + Optimize texture uploads to a texture atlas on GLES by avoiding
+lots of redundant format conversions.
+  + Relax the requirement to need braces around blend factors when
+using the CoglBlendString syntax. Braces are only needed for
+factors involving a subtraction like (1 - SRC_COLOR[A])
+  + Adds API for querying the format of a CoglFramebuffer
+  + Bugs fixed: bgo#656426, bgo#656441, bgo#656587, bgo#657347,
+bgo#657840, bgo#656809.
+
+---
+Mon Aug 15 15:19:14 UTC 2011 - dims...@opensuse.org
+
+- Update to version 1.7.6:
+  + Add an experimental cogl_matrix_look_at function
+  + Fix flipping the y-coordinates for cogl_framebuffer_swap_region
+  + Automatically allocate framebuffers on first use
+  + Add experimental cogl_framebuffer_clear functions
+  + Add a function to get the context given a framebuffer
+  + Add support for a cogl.conf config file
+  + Fix using TEXTURE_n as the source for a layer combine
+  + Some fixes for the WGL backend
+  + Add experimental API to upload a texture subregion from a
+CoglBuffer
+  + Bugs fixed: bgo#655026, bgo#655216, bgo#655228, bgo#655355,
+bog#655400, bgo#655412, bgo#655510, bgo#66, bgo#655723,
+bgo#655724, bgo#656303, bgo#655792, bgo#655791.
+- Add xz BuildRequires to be able to decompress the tar.xz source.
+
+---

calling whatdependson for head-i586


Old:

  cogl-1.7.4.tar.bz2

New:

  cogl-1.7.8.tar.bz2



Other differences:
--
++ cogl.spec ++
--- /var/tmp/diff_new_pack.GJIH7s/_old  2011-09-09 11:11:19.0 +0200
+++ /var/tmp/diff_new_pack.GJIH7s/_new  2011-09-09 11:11:19.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   cogl
-Version:1.7.4
+Version:1.7.8
 Release:1
 License:LGPLv2.1+
 Summary:An object oriented GL/GLES Abstraction/Utility Layer
@@ -27,19 +27,21 @@
 Source0:
http://download.gnome.org/sources/cogl/1.7/%{name}-%{version}.tar.bz2
 Source99:   baselibs.conf
 BuildRequires:  fdupes
-BuildRequires:  gtk-doc
-BuildRequires:  pkgconfig(cairo)
-BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
+BuildRequires:  gtk-doc = 1.13
+# Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
+BuildRequires:  xz
+BuildRequires:  pkgconfig(cairo) = 1.10
+BuildRequires:  pkgconfig(gdk-pixbuf-2.0) = 2.0
 BuildRequires:  pkgconfig(gl)
-BuildRequires:  pkgconfig(glib-2.0)
-BuildRequires:  pkgconfig(gobject-introspection-1.0)
+BuildRequires:  pkgconfig(glib-2.0) = 2.26.0
+BuildRequires:  pkgconfig(gobject-introspection-1.0) = 0.9.5
 BuildRequires:  pkgconfig(libdrm)
-BuildRequires:  pkgconfig(pangocairo)
+BuildRequires:  pkgconfig(pangocairo) = 1.20
 BuildRequires:  pkgconfig(x11)
-BuildRequires:  pkgconfig(xcomposite)
+BuildRequires:  pkgconfig(xcomposite) = 0.4
 BuildRequires:  pkgconfig(xdamage)
 BuildRequires:  pkgconfig(xext)
-BuildRequires:  pkgconfig(xfixes)
+BuildRequires:  pkgconfig(xfixes) = 3
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ cogl-1.7.4.tar.bz2 - cogl-1.7.8.tar.bz2 ++
 44157 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit colord for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package colord for openSUSE:Factory
checked in at Fri Sep 9 11:11:38 CEST 2011.




--- colord/colord.changes   2011-07-11 12:44:13.0 +0200
+++ /mounts/work_src_done/STABLE/colord/colord.changes  2011-09-02 
18:59:21.0 +0200
@@ -1,0 +2,54 @@
+Fri Sep  2 08:20:51 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.1.12:
+  + New Features:
+- Add a configure argument --enable-volume-search
+- Add a configure argument of --enable-fd-fallback
+- Add cd_client_import_profile() to be able to easily import a
+  GFile
+- Allow the daemon to run with a different user
+  + Bugfixes:
+- Add daemon user to acl of sensor devices
+- Add lcms2 to Requires.private
+- Check if a file is really an ICC profile before importing it
+- Detect libusb_strerror in configure rather than relying on
+  the version
+- Do not fail make check if there is no available local colord
+  process to use
+- Ensure the profiles are sorted by their timestamp during
+  login
+- Ensure the volume-sourced profiles are not marked as
+  systemwide profiles
+- Exit with an error when trying to connect to a device that
+  does not exist
+- Remove duplicate call to complete in libcolord
+- Try harder to use the ICC profile checksum
+- Changes from version 0.1.11:
+  + New Features:
+- Enable GObject introspection generation on libcolord
+- Generate a Vala API binding from the GObject Introspection
+  GIR
+- Move the project home to freedesktop.org
+- Ship generated man pages in tarballs
+  + Bugfixes:
+- Add all of the required GObject Introspection annotations
+  required
+- Allow FindDeviceByProperty() to match on model, vendor and
+  serial number
+- Don't crash the example program if there is no default
+  profile assigned
+- Fix the bugzilla and mailing list links on the webpage
+  (fdo#39129).
+- Fix the licence headers in colord.h and cd-color.h
+- Fix up some translatable strings
+- Honor ACLOCAL_FLAGS when running autoreconf
+- Use the const formatter when unwrapping GVariants to reduce
+  memory allocation
+  + Updated translations.
+- Add gobject-introspection-devel and vala BuildRequires to build
+  introspection data and vala bindings.
+- Manually install pre-built man pages, since the build system
+  cannot install them if docbook2man is not there (and we don't
+  want to add a BuildRequires on it since it's big).
+
+---

calling whatdependson for head-i586


Old:

  colord-0.1.10.tar.xz

New:

  colord-0.1.12.tar.xz



Other differences:
--
++ colord.spec ++
--- /var/tmp/diff_new_pack.KV3xjZ/_old  2011-09-09 11:11:31.0 +0200
+++ /var/tmp/diff_new_pack.KV3xjZ/_new  2011-09-09 11:11:31.0 +0200
@@ -18,15 +18,17 @@
 
 
 Name:   colord
-Version:0.1.10
-Release:3
+Version:0.1.12
+Release:1
 License:GPLv2+
 Summary:System Daemon for Managing Color Devices
 Url:http://colord.hughsie.com/
 Group:  System/Daemons
-Source: 
http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.xz
+Source: 
http://www.freedesktop.org/software/colord/releases/%{name}-%{version}.tar.xz
+BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool
 BuildRequires:  sane-backends-devel
+BuildRequires:  vala
 # Only needed because we don't (and won't) support building xz tarballs by 
default... See bnc#697467
 BuildRequires:  xz
 BuildRequires:  pkgconfig(dbus-1)
@@ -37,7 +39,7 @@
 BuildRequires:  pkgconfig(gobject-2.0)
 BuildRequires:  pkgconfig(gudev-1.0)
 BuildRequires:  pkgconfig(lcms2)
-BuildRequires:  pkgconfig(libusb-1.0)
+BuildRequires:  pkgconfig(libusb-1.0) = 1.0.0
 BuildRequires:  pkgconfig(polkit-gobject-1)
 BuildRequires:  pkgconfig(sqlite3)
 Requires:   shared-color-profiles
@@ -51,7 +53,6 @@
 
 %package -n libcolord1
 
-
 Summary:System Daemon for Managing Color Devices -- Library
 Group:  System/Libraries
 Recommends: %{name}
@@ -63,7 +64,6 @@
 
 %package -n libcolord-devel
 
-
 Summary:System Daemon for Managing Color Devices -- Development Files
 Group:  Development/Languages/C and C++
 Requires:   libcolord1 = %{version}
@@ -86,6 +86,15 @@
 %install
 %make_install
 find %{buildroot} -type f -name '*.la' -delete -print
+# Manually install prebuilt man pages, since we don't have docbook2man
+pushd man
+test ! -f %{buildroot}%{_mandir}/man1/*
+for man in *.1; do
+  install -m 644 ${man} %{buildroot}%{_mandir}/man1/
+done
+# Check we only have man1 pages to install
+test ! -f *.[2-9]
+popd
 %find_lang %{name}
 
 %clean
@@ -110,18 +119,24 @@
 

commit deja-dup for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package deja-dup for openSUSE:Factory
checked in at Fri Sep 9 11:11:51 CEST 2011.




--- GNOME/deja-dup/deja-dup.changes 2011-05-16 18:29:47.0 +0200
+++ /mounts/work_src_done/STABLE/deja-dup/deja-dup.changes  2011-09-05 
17:01:47.0 +0200
@@ -1,0 +2,83 @@
+Mon Sep  5 12:34:05 UTC 2011 - vu...@opensuse.org
+
+- Update to version 19.91:
+  + Polish:
+- When newer versions of duplicity warn that a file has been
+  corrupted upon upload, Déjà Dup will intelligently retry the
+  backup
+  + Several bug fixes.
+  + Updated translations.
+- Changes from version 19.90:
+  + Polish:
+- Allow showing the progress dialog in GNOME Shell
+  + Updated translations.
+- Changes from version 19.5:
+  + Polish:
+- Lots of UI and label tweaks
+- Don't show optical media in backup location dropdown
+- Update backup location dropdown as external drives come and
+  go
+- Allow drag and drop of folders into include/exclude lists
+- Make it clear that the default home folder include is only
+  your user's home folder
+- Don't keep notifying about delayed backups between setting up
+  your preferences and your first backup
+  + Several bug fixes.
+  + Updated translations.
+- Changes from version 19.4:
+  + Polish:
+- Drop encryption preference and either ask during first backup
+  or detect from existing backup
+- More layout fixups to work better with latest GTK+
+- Where the Autostart-Delay key is supported, delay monitor
+  start by two minutes
+  + Several bug fixes.
+  + Updated translations.
+- Changes from version 19.3:
+  + Polish:
+- Fix some layout issues with latest GTK+
+- Don't show location preferences when restoring single files,
+  just on full restore
+- Show launcher icon in Unity during automatic backup again
+  + Several bug fixes.
+  + Updated translations.
+- Changes from version 19.2.2:
+  + Build fix.
+- Changes from version 19.2.1:
+  + Build fix.
+- Changes from version 19.2:
+  + Features:
+- Turn on Ubuntu One support when using a newer duplicity
+- Added monthly notification about backing up if user never
+  used deja-dup
+  + Polish:
+- Better support for GNOME Shell and its notification system
+- Run Déjà Dup itself under ionice and nice instead of just
+  duplicity
+- Make volume chunk sizes larger, to reduce the number of files
+  created
+  + Several bug fixes.
+  + Updated translations.
+- Changes from version 19.1:
+  + Features:
+- Reworked interface to be a control center plugin
+- Added overview page where last and next backup dates can be
+  seen
+  + Polish:
+- Fleshed out and updated help documenation
+- When restoring from a location that isn't your normal backup
+  location, your location isn't changed
+- When encryption password is bad, ask for it again
+- Only show nautilus context menu item if file is in backup
+  + Updated translations.
+- Remove handling of the favor_gtk2 macro: deja-dup cannot be built
+  for GNOME 2 anymore.
+- Add itstool BuildRequires: new dependency.
+- Remove now unneeded pkgconfig(unique-3.0) BuildRequires.
+- Add python-boto Recommends: this is an optional dependency for
+  Amazon Web Services integration.
+- Correctly mark translated documentation with %lang() tags; this
+  should ideally be done by %find_lang, but we first need to check
+  if the new location is accepted as a standard one.
+
+---

calling whatdependson for head-i586


Old:

  deja-dup-18.1.1.tar.bz2

New:

  deja-dup-19.91.tar.bz2



Other differences:
--
++ deja-dup.spec ++
--- /var/tmp/diff_new_pack.Brxczf/_old  2011-09-09 11:11:46.0 +0200
+++ /var/tmp/diff_new_pack.Brxczf/_new  2011-09-09 11:11:46.0 +0200
@@ -18,8 +18,9 @@
 
 
 Name:   deja-dup
-Version:18.1.1
-Release:3
+Version:19.91
+Release:1
+# FIXME: the %%{_datadir}/help/$locale/ files should go in lang subpackage and 
be found by %%find_lang; but before fixing everything, we need to check if this 
will be used by other packages
 # FIXME: check if python-cloudfiles is packaged, and if yes, uncomment 
Recommends
 License:GPLv3+
 Summary:Simple backup tool and frontend for duplicity
@@ -29,23 +30,17 @@
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  intltool
+BuildRequires:  itstool
 BuildRequires:  perl-gettext
 BuildRequires:  update-desktop-files
-BuildRequires:  vala
+BuildRequires:  vala = 0.11.6
 BuildRequires:  pkgconfig(gnome-keyring-1)
-%if 0%{?favor_gtk2}
-BuildRequires:  pkgconfig(gtk+-2.0)
-BuildRequires:  pkgconfig(unique-1.0)
-%else
 BuildRequires:  pkgconfig(gtk+-3.0)
-BuildRequires:  pkgconfig(unique-3.0)
-%endif
 

commit eog for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package eog for openSUSE:Factory
checked in at Fri Sep 9 11:12:04 CEST 2011.




--- GNOME/eog/eog.changes   2011-07-26 00:17:08.0 +0200
+++ /mounts/work_src_done/STABLE/eog/eog.changes2011-09-06 
22:07:52.0 +0200
@@ -1,0 +2,30 @@
+Tue Sep  6 10:35:10 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Use 'Image Viewer' in all UI visible strings instead of 'Eye of
+GNOME' (bgo##658152)
+  + Internationalization fixes (bgo##654548)
+  + Major help update
+  + Updated translations.
+- Stop changing categories of eog.desktop: they're correct
+  upstream.
+
+---
+Wed Aug 31 10:54:06 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Decrease the fullscreen toolbar timeout to match other popular
+applications
+  + Updated translations.
+
+---
+Tue Aug 16 04:05:48 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Render compressed SVGs using librsvg as well
+  + Enable fullscreen plugin by default
+  + Miscellaneous fixes/improvements
+  + Bugs fixed: bgo#552537, bgo#655377, bgo#655794, bgo#655889.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  eog-3.1.4.tar.bz2

New:

  eog-3.1.91.tar.bz2



Other differences:
--
++ eog.spec ++
--- /var/tmp/diff_new_pack.vqF18N/_old  2011-09-09 11:11:58.0 +0200
+++ /var/tmp/diff_new_pack.vqF18N/_new  2011-09-09 11:11:58.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   eog
-Version:3.1.4
+Version:3.1.91
 Release:1
 # FIXME: replace libexempi-devel BuildRequires with pkgconfig(exempi-2.0) once 
fixed exempi is in
 License:GPLv2+ ; LGPLv2.1+
@@ -80,7 +80,7 @@
 %if 0%{?suse_version} = 1120
 %{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
 %endif
-%suse_update_desktop_file -r -N Eye of Gnome -G Image Viewer eog GNOME 
Graphics Viewer
+%suse_update_desktop_file -N Eye of Gnome -G Image Viewer eog
 %find_lang %{name} %{?no_lang_C}
 %fdupes %{buildroot}
 
@@ -105,9 +105,9 @@
 %dir %{_datadir}/gnome/help/%{name}/
 %doc %{_datadir}/gnome/help/%{name}/C/
 %{_bindir}/*
-%{_libdir}/eog
+%{_libdir}/eog/
 %{_datadir}/applications/eog.desktop
-%{_datadir}/eog
+%{_datadir}/eog/
 %{_datadir}/icons/*/*/*/*.png
 %{_datadir}/icons/*/*/*/*.svg
 %{_datadir}/GConf/gsettings/eog.convert
@@ -122,6 +122,6 @@
 %{_libdir}/pkgconfig/eog.pc
 %dir %{_datadir}/gtk-doc
 %dir %{_datadir}/gtk-doc/html/
-%{_datadir}/gtk-doc/html/eog
+%{_datadir}/gtk-doc/html/eog/
 
 %changelog

++ eog-3.1.4.tar.bz2 - eog-3.1.91.tar.bz2 ++
 95509 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit epiphany for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package epiphany for openSUSE:Factory
checked in at Fri Sep 9 11:12:24 CEST 2011.




--- GNOME/epiphany/epiphany.changes 2011-07-07 10:54:12.0 +0200
+++ /mounts/work_src_done/STABLE/epiphany/epiphany.changes  2011-09-07 
04:52:51.0 +0200
@@ -1,0 +2,42 @@
+Wed Sep  7 02:50:41 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91.1:
+  + Fix mistake in error pages.
+
+---
+Tue Sep  6 18:59:04 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Implement about:applications to manage Web Applications. This
+should go away in 3.4 in favor of a GNOME-wide solution.
+  + Fix warnings when coming back from fullscreen (bgo#657936)
+  + Hide irrelevant context menu actions when in app mode
+(bgo#657624)
+  + Remove unneeded markup in glade files (bgo#102382)
+  + Recursively delete temporary profile dirs (bgo#658201)
+  + Improve messages in error pages (bgo#637903)
+  + Fix error pages for RTL locales (bgo#314205)
+  + Ask for confirmation before overwriting web applications
+(bgo#658060)
+
+---
+Wed Aug 31 12:55:50 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Add support for saving web pages as standalone Web
+Applications.
+
+---
+Tue Aug 16 17:34:52 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Use new symbolic icons for security status (bgo#650789)
+  + Fix gir scanner invocation (bgo#653031)
+  + Unescape tooltips in download widget (bgo#653690)
+  + Fix Browse to in downloads (bgo#651699)
+  + Clear finished downloads when closing downloads bar
+(bgo#653918)
+  + Use a CSS file for styling (bgo#644805)
+  + Many other fixes and cleanups.
+
+---

calling whatdependson for head-i586


Old:

  epiphany-3.1.3.tar.bz2

New:

  epiphany-3.1.91.1.tar.bz2



Other differences:
--
++ epiphany.spec ++
--- /var/tmp/diff_new_pack.WmYZ5x/_old  2011-09-09 11:12:16.0 +0200
+++ /var/tmp/diff_new_pack.WmYZ5x/_new  2011-09-09 11:12:16.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   epiphany
-Version:3.1.3
+Version:3.1.91.1
 Release:1
 License:GPLv2+
 Summary:GNOME Web Browser
@@ -38,10 +38,10 @@
 BuildRequires:  iso-codes-devel
 BuildRequires:  libavahi-gobject-devel
 BuildRequires:  libgnome-keyring-devel
-BuildRequires:  libnotify-devel
+BuildRequires:  libnotify-devel = 0.5.1
 BuildRequires:  libseed-gtk3-devel
 BuildRequires:  libsoup-devel
-BuildRequires:  libwebkitgtk3-devel
+BuildRequires:  libwebkitgtk3-devel = 1.5.2
 BuildRequires:  libxslt-devel
 BuildRequires:  mozilla-nss-devel
 BuildRequires:  translation-update-upstream

++ epiphany-3.1.3.tar.bz2 - epiphany-3.1.91.1.tar.bz2 ++
 64927 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit evince for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package evince for openSUSE:Factory
checked in at Fri Sep 9 11:12:41 CEST 2011.




--- GNOME/evince/evince.changes 2011-06-14 09:25:31.0 +0200
+++ /mounts/work_src_done/STABLE/evince/evince.changes  2011-09-01 
14:02:21.0 +0200
@@ -1,0 +2,37 @@
+Thu Sep  1 08:25:06 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90.1:
+  + Bug fixes:
+- Fix the build making libevdocument link against -lm and -lz
+  (bgo#657781)
+- Changes from version 3.1.90:
+  + New Features and UI Improvements:
+- Don't set the current folder while saving a file (bgo#655514)
+- Fallback mode for cbz files using 7za and 7z (bgo#583499)
+- Add GoToPage item to Go menu
+- Limit thumbnailing time to 15 seconds by default (bgo#651655)
+- Add shortcut keys for best-fit and fit-width options
+  (bgo#595571)
+- Add Help button to the toolbar editor (bgo#503638)
+- Use GTK_STOCK_GO_BACK for the history button (bgo#554585)
+  + Bug fixes:
+- Fix saving annotations added to different pages (bgo#628378)
+- Add plural form for cancel print jobs before closing dialog
+- Update toolbar-editor from libegg to fix drag and drop
+  toolbar items
+- Disable shortcut 'n' while editing form fields (bgo#654927)
+- Do not use the C++ template keyword in headers
+- Update smclient check for gdk targets
+- Save zoom factor in default settings when sizing mode is free
+  (bgo#653383)
+- Fix build with --enable-introspection (bgo#643382)
+- Update synctex parser to version 1.16 (bgo#651263)
+  + Documentation:
+- Update man page (bgo#526539)
+- Fixed spelling errors, clarified concepts and updated docs
+  (bgo#648254)
+  + Updated translations.
+- Drop evince-find-libedocument.patch: fixed upstream.
+- Add zlib-devel BuildRequires: new explicit dependency.
+
+---

calling whatdependson for head-i586


Old:

  evince-3.1.2.tar.bz2
  evince-find-libedocument.patch

New:

  evince-3.1.90.1.tar.bz2



Other differences:
--
++ evince.spec ++
--- /var/tmp/diff_new_pack.mvWmDy/_old  2011-09-09 11:12:31.0 +0200
+++ /var/tmp/diff_new_pack.mvWmDy/_new  2011-09-09 11:12:31.0 +0200
@@ -19,16 +19,14 @@
 
 
 Name:   evince
-Version:3.1.2
+Version:3.1.90.1
 Release:1
 %define _major_version 3.0
 License:GPLv2+
 Summary:GNOME Document Viewer
 Url:http://www.gnome.org/projects/evince/
 Group:  Productivity/Office/Other
-Source: 
ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM evince-find-libedocument.patch bgo#643382 
dims...@opensuse.org -- Fix g-ir-scanner not finding libedocument3
-Patch0: evince-find-libedocument.patch
+Source: 
http://download.gnome.org/sources/evince/3.1/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  ghostscript-fonts-std
@@ -47,6 +45,7 @@
 BuildRequires:  texlive-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  zlib-devel
 Recommends: %{name}-lang
 # For the comics backend
 Suggests:   p7zip
@@ -90,7 +89,6 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
 translation-update-upstream
 
 %build

++ evince-3.1.2.tar.bz2 - evince-3.1.90.1.tar.bz2 ++
 48019 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit evolution-data-server for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package evolution-data-server for 
openSUSE:Factory
checked in at Fri Sep 9 11:13:20 CEST 2011.




--- GNOME/evolution-data-server/evolution-data-server.changes   2011-07-24 
12:41:01.0 +0200
+++ 
/mounts/work_src_done/STABLE/evolution-data-server/evolution-data-server.changes
2011-09-04 18:29:34.0 +0200
@@ -1,0 +2,63 @@
+Sun Sep  4 16:25:26 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Do not expose password in imapx log
+  + Add a vapi for ecalendar
+  + Bugs fixed:
+- bgo#566563: Make ESource password prompts clearer
+- bgo#655253: Delete of one occurrence of a repeatable event
+  don't work
+- bgo#655433: Drag and Drop of messages out of Junk folder
+  broken
+- bgo#657345: Remember password by default for book/calendar
+- bgo#655111, bgo#657836.
+  + Updated translations.
+
+---
+Thu Sep  1 14:49:19 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Various fixes regarding Google integration, including data loss
+bugs.
+  + Add Google Talk field to the list of IM information
+  + Camel API changes (see NEWS).
+  + Pretend successful read when skipping 3+ part of
+multipart/signed
+  + Various other code changes.
+  + Bugs fixed:
+- bgo#562912: Unread vfolder marks unread messages as read
+- bgo#576398: vfolder not showing new messages from nntp group
+- bgo#651469: Folders don't update after moving mails in
+  maildir
+- bgo#652914: IMAP: moving mail puts a copy into real Trash too
+- bgo#656051: Preserve mbox file attributes after rewrite
+- bgo#651693, bgo#651849, bgo#652437, bgo#655121, bgo#655272,
+  bgo#655833, bgo#655997, bgo#657181.
+  + Updated translations.
+- Bump so_camel define to 29 to follow library soversion change.
+  This results in libcamel-1_2-28 being renamed to libcamel-1_2-29.
+- Rewrite e-d-s-deprecated.patch to correctly use
+  g_unichar_fully_decompose().
+
+---
+Mon Aug 15 09:26:11 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Various code changes.
+  + Bugs fixed:
+- Several memory leaks fixed (bgo#656490, bgo#656487,
+  bgo#656480)
+- bgo#619135: Add photo support to Google Contacts backend
+- bgo#656267, bgo#656058, bgo#652172, bgo#655748, bgo#655190,
+  bgo#655499, bgo#654893, bgo#655414, bgo#655409, bgo#654472,
+  bgo#655331, bgo#654480.
+  + Updated translations.
+- Update library sonum defines, following the code changes.
+
+---
+Tue Aug  2 19:38:54 UTC 2011 - dims...@opensuse.org
+
+- Add e-d-s-deprecated.patch: Use g_unichar_fully_decompose instead
+  of deprecated g_unicode_canonical_decomposition.
+
+---

calling whatdependson for head-i586


Old:

  evolution-data-server-3.1.4.tar.bz2

New:

  e-d-s-deprecated.patch
  evolution-data-server-3.1.91.tar.bz2



Other differences:
--
++ evolution-data-server.spec ++
--- /var/tmp/diff_new_pack.8CS4YF/_old  2011-09-09 11:13:12.0 +0200
+++ /var/tmp/diff_new_pack.8CS4YF/_new  2011-09-09 11:13:12.0 +0200
@@ -20,26 +20,28 @@
 
 # Shared Library soNUMs, to make it easier for updates
 # When updating the sonums, do not forget to also update baselibs.conf
-%define so_camel 28
+%define so_camel 29
 %define so_ebackend 1
-%define so_ebook 11
-%define so_ecal 9
-%define so_edata_book 10
-%define so_edata_cal 12
-%define so_edataserver 14
+%define so_ebook 12
+%define so_ecal 10
+%define so_edata_book 11
+%define so_edata_cal 13
+%define so_edataserver 15
 %define so_edataserverui 1
 
 Name:   evolution-data-server
 %define _evo_version 3.2
 License:LGPLv2+
 Group:  Development/Libraries/GNOME
-Version:3.1.4
+Version:3.1.91
 Release:1
 # FIXME: parallel build is broken in 3.1.3, check in later versions if this 
works
 Summary:Evolution Data Server
 Url:http://www.gnome.org
 Source0:
http://download.gnome.org/sources/evolution-data-server/3.1/%{name}-%{version}.tar.bz2
 Source99:   baselibs.conf
+# PATCH-FIX-UPSTREAM e-d-s-deprecated.patch bgo#655837 dims...@opensuse.org -- 
g_unicode_canonical_decomposition is deprecated.
+Patch0: e-d-s-deprecated.patch
 BuildRequires:  bison
 BuildRequires:  db-devel
 %if %USE_EVOLDAP
@@ -225,6 +227,7 @@
 %lang_package
 %prep
 %setup -q
+%patch0 -p1
 translation-update-upstream
 
 %build

++ baselibs.conf ++
--- /var/tmp/diff_new_pack.8CS4YF/_old  2011-09-09 11:13:12.0 +0200
+++ /var/tmp/diff_new_pack.8CS4YF/_new  2011-09-09 11:13:12.0 +0200
@@ -1,8 +1,8 @@
-libcamel-1_2-28
+libcamel-1_2-29

commit file-roller for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package file-roller for openSUSE:Factory
checked in at Fri Sep 9 11:13:33 CEST 2011.




--- GNOME/file-roller/file-roller.changes   2011-07-25 23:02:25.0 
+0200
+++ /mounts/work_src_done/STABLE/file-roller/file-roller.changes
2011-09-05 23:09:22.0 +0200
@@ -1,0 +2,24 @@
+Mon Sep  5 21:06:25 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Fixed loading of multi-volume rar archives with 7zip
+  + Removed use of a deprecated function
+  + Updated translations.
+
+---
+Tue Aug 30 17:07:41 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Fixed loading of zip archives with zip/unzip. (bgo#653404)
+
+---
+Tue Aug 16 04:12:14 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.2:
+  + Added an icon in the progress dialog.
+  + Ask to install unzip if only zip is installed when opening zip
+archives.
+  + Fixed build with --enable-run-in-place
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  file-roller-3.1.1.tar.bz2

New:

  file-roller-3.1.91.tar.bz2



Other differences:
--
++ file-roller.spec ++
--- /var/tmp/diff_new_pack.JuTl6C/_old  2011-09-09 11:13:27.0 +0200
+++ /var/tmp/diff_new_pack.JuTl6C/_new  2011-09-09 11:13:27.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   file-roller
-Version:3.1.1
+Version:3.1.91
 Release:1
 License:GPLv2+
 Summary:An Archive Manager for GNOME

++ file-roller-3.1.1.tar.bz2 - file-roller-3.1.91.tar.bz2 ++
 25259 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gcalctool for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gcalctool for openSUSE:Factory
checked in at Fri Sep 9 11:13:44 CEST 2011.




--- GNOME/gcalctool/gcalctool.changes   2011-07-10 19:46:12.0 +0200
+++ /mounts/work_src_done/STABLE/gcalctool/gcalctool.changes2011-08-23 
09:54:23.0 +0200
@@ -1,0 +2,6 @@
+Tue Aug 23 09:16:44 CEST 2011 - dims...@opensuse.org
+
+- Update to version 6.1.5:
+  + Add CFA franc into currency list.
+
+---

calling whatdependson for head-i586


Old:

  gcalctool-6.1.3.tar.bz2

New:

  gcalctool-6.1.5.tar.bz2



Other differences:
--
++ gcalctool.spec ++
--- /var/tmp/diff_new_pack.badrTx/_old  2011-09-09 11:13:39.0 +0200
+++ /var/tmp/diff_new_pack.badrTx/_new  2011-09-09 11:13:39.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gcalctool
-Version:6.1.3
+Version:6.1.5
 Release:1
 License:GPLv2+
 Summary:A GNOME Calculator Application

++ gcalctool-6.1.3.tar.bz2 - gcalctool-6.1.5.tar.bz2 ++
 15965 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gconf2 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gconf2 for openSUSE:Factory
checked in at Fri Sep 9 11:14:01 CEST 2011.




--- GNOME/gconf2/gconf2.changes 2011-07-25 16:40:19.0 +0200
+++ /mounts/work_src_done/STABLE/gconf2/gconf2.changes  2011-09-06 
20:11:47.0 +0200
@@ -1,0 +2,37 @@
+Tue Sep  6 18:04:29 UTC 2011 - vu...@opensuse.org
+
+- Add gconf2-fix-default-mandatory.patch: fix setting default or
+  mandatory values for key, after dbus migration. Fix bnc#705409.
+  Patch by Joey Zheng jzh...@suse.com.
+
+---
+Thu Sep  1 16:17:56 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + bgo#656262: Support for conversion files from user specified
+and XDG data directories
+  + Updated translations.
+- Changes from version 3.1.6:
+  + Fixes on the distcheck fixes
+  + bgo#655656: Use o for the D-BUS object path rather than s
+(this changes the internal D-BUS API but for now we have a
+compatability bit that should avoid too much pain.)
+- Drop pkgconfig(ORBit-2.0) BuildRequires: we do not build with the
+  orbit backend.
+- Drop explicit Requires from devel packages that will
+  automatically be added the pkg-config way: dbus-1-glib-devel,
+  glib2-devel, orbit2-devel.
+
+---
+Mon Aug 15 09:01:26 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + gsettings-convert: convert to unsigned int correctly
+  + Distcheck fixes
+  + bgo#656248: Handle messages that don't have interface set
+  + bgo#654801: Export pkg-config file and C include details in GIR
+file
+  + Updated translations.
+- Add pkgconfig(ORBit-2.0) BuildRequires.
+
+---

calling whatdependson for head-i586


Old:

  GConf-3.1.4.tar.bz2

New:

  GConf-3.1.90.tar.bz2
  gconf2-fix-default-mandatory.patch



Other differences:
--
++ gconf2.spec ++
--- /var/tmp/diff_new_pack.VNF8z6/_old  2011-09-09 11:13:55.0 +0200
+++ /var/tmp/diff_new_pack.VNF8z6/_new  2011-09-09 11:13:55.0 +0200
@@ -32,7 +32,7 @@
 %define _name GConf
 License:GPLv2+ ; LGPLv2.1+
 Group:  System/GUI/GNOME
-Version:3.1.4
+Version:3.1.90
 Release:1
 Summary:GNOME Configuration Database System
 Source: 
http://download.gnome.org/sources/GConf/3.1/%{_name}-%{version}.tar.bz2
@@ -41,6 +41,8 @@
 # RPM specific macros:
 Source2:macros.gconf2
 Source99:   baselibs.conf
+# PATCH-FIX-UPSTREAM gconf2-fix-default-mandatory.patch bnc#705409 bgo#655954 
vu...@opensuse.org -- Fix setting a default/mandatory value
+Patch0: gconf2-fix-default-mandatory.patch
 # PATCH-FIX-OPENSUSE gconf2-gconftool-reload.patch -- Include sabayon paths to 
the default configuration. Simplifies scriptlets:
 Patch2: gconf2-gconftool-reload.patch
 # PATCH-FIX-OPENSUSE gconf2-schemas-path.patch
@@ -96,9 +98,6 @@
 Summary:Include files and libraries mandatory for development
 Group:  Development/Libraries/GNOME
 Requires:   %{name} = %{version}
-Requires:   dbus-1-glib-devel
-Requires:   glib2-devel
-Requires:   orbit2-devel
 # For gsettings-schema-convert:
 Requires:   python
 Recommends: python-lxml
@@ -113,6 +112,7 @@
 %prep
 %setup -q -n %{_name}-%{version}
 translation-update-upstream
+%patch0 -p1
 %patch2 -p0
 %patch3
 %patch4

++ GConf-3.1.4.tar.bz2 - GConf-3.1.90.tar.bz2 ++
 77762 lines of diff (skipped)

++ gconf2-fix-default-mandatory.patch ++
Index: GConf-3.1.4/gconf/gconf-database-dbus.c
===
--- GConf-3.1.4.orig/gconf/gconf-database-dbus.c
+++ GConf-3.1.4/gconf/gconf-database-dbus.c
@@ -349,8 +349,7 @@ database_handle_lookup_ext (DBusConnecti
 
   dbus_message_iter_init_append (reply, iter);
 
-  if (value)
-gconf_dbus_utils_append_entry_values (iter,
+  gconf_dbus_utils_append_entry_values (iter,
  key,
  value,
  value_is_default,





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gdk-pixbuf for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gdk-pixbuf for openSUSE:Factory
checked in at Fri Sep 9 11:14:14 CEST 2011.




--- GNOME/gdk-pixbuf/gdk-pixbuf.changes 2011-06-28 09:50:47.0 +0200
+++ /mounts/work_src_done/STABLE/gdk-pixbuf/gdk-pixbuf.changes  2011-08-31 
09:59:52.0 +0200
@@ -1,0 +2,8 @@
+Wed Aug 31 09:52:33 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.24.0:
+  + Clean up dependencies in the .pc file
+  + Win32 build fixes
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gdk-pixbuf-2.23.5.tar.bz2

New:

  gdk-pixbuf-2.24.0.tar.bz2



Other differences:
--
++ gdk-pixbuf.spec ++
--- /var/tmp/diff_new_pack.dKW0wQ/_old  2011-09-09 11:14:09.0 +0200
+++ /var/tmp/diff_new_pack.dKW0wQ/_new  2011-09-09 11:14:09.0 +0200
@@ -20,12 +20,12 @@
 %define gdk_pixbuf_binary_version 2.10.0
 
 Name:   gdk-pixbuf
-Version:2.23.5
+Version:2.24.0
 Release:1
 License:LGPLv2+
 Summary:An image loading library
 Group:  System/Libraries
-Source: %{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gdk-pixbuf/2.24/%{name}-%{version}.tar.bz2
 Source1:macros.gdk-pixbuf
 Source2:README.SUSE
 Source99:   baselibs.conf

++ gdk-pixbuf-2.23.5.tar.bz2 - gdk-pixbuf-2.24.0.tar.bz2 ++
 5203 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gedit for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gedit for openSUSE:Factory
checked in at Fri Sep 9 11:14:46 CEST 2011.




--- GNOME/gedit/gedit.changes   2011-08-04 13:20:07.0 +0200
+++ /mounts/work_src_done/STABLE/gedit/gedit.changes2011-09-06 
16:26:12.0 +0200
@@ -1,0 +2,23 @@
+Tue Sep  6 14:23:02 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.5:
+  + Update snippet for mallard
+  + Update the quickopen dialog to look more GNOMEish 3
+  + Use symbolic icons for the search popup.
+  + Point to the right help in the dialogs
+  + Updated translations.
+
+---
+Mon Aug 22 11:06:56 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.4:
+  + Use css for the search popup
+  + Use pygobject 3
+  + More documentation
+  + gboxed templates for snippets plugin
+  + Misc bugfixes
+  + Updated translations.
+- Replace pkgconfig(pygobjct-2.0) BuildRequires with
+  pkgconfig(pygobject-3.0).
+
+---

calling whatdependson for head-i586


Old:

  gedit-3.1.3.tar.bz2

New:

  gedit-3.1.5.tar.bz2



Other differences:
--
++ gedit.spec ++
--- /var/tmp/diff_new_pack.EWslAr/_old  2011-09-09 11:14:40.0 +0200
+++ /var/tmp/diff_new_pack.EWslAr/_new  2011-09-09 11:14:40.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gedit
-Version:3.1.3
+Version:3.1.5
 Release:1
 License:GPLv2+
 Summary:Small and lightweight UTF-8 text editor
@@ -40,7 +40,7 @@
 BuildRequires:  pkgconfig(gtksourceview-3.0)
 BuildRequires:  pkgconfig(libpeas-gtk-1.0)
 BuildRequires:  pkgconfig(libsoup-2.4)
-BuildRequires:  pkgconfig(pygobject-2.0)
+BuildRequires:  pkgconfig(pygobject-3.0) = 2.90.2
 Requires:   python-gobject
 Recommends: %{name}-lang
 Provides:   gedit2 = %{version}

++ gedit-3.1.3.tar.bz2 - gedit-3.1.5.tar.bz2 ++
 44225 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gedit-plugins for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gedit-plugins for openSUSE:Factory
checked in at Fri Sep 9 11:14:57 CEST 2011.




--- GNOME/gedit-plugins/gedit-plugins.changes   2011-07-05 22:57:19.0 
+0200
+++ /mounts/work_src_done/STABLE/gedit-plugins/gedit-plugins.changes
2011-09-06 16:25:53.0 +0200
@@ -1,0 +2,13 @@
+Tue Sep  6 14:22:53 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.4:
+  + Misc bugfixes
+
+---
+Thu Sep  1 14:09:58 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.3:
+  + Misc bugfixes
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gedit-plugins-3.1.2.tar.bz2

New:

  gedit-plugins-3.1.4.tar.bz2



Other differences:
--
++ gedit-plugins.spec ++
--- /var/tmp/diff_new_pack.Fa7vXt/_old  2011-09-09 11:14:52.0 +0200
+++ /var/tmp/diff_new_pack.Fa7vXt/_new  2011-09-09 11:14:52.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   gedit-plugins
 Summary:A collection of plugins for gedit
-Version:3.1.2
+Version:3.1.4
 Release:1
 Source: 
http://download.gnome.org/sources/gedit-plugins/3.1/%{name}-%{version}.tar.bz2
 License:GPLv2+

++ gedit-plugins-3.1.2.tar.bz2 - gedit-plugins-3.1.4.tar.bz2 ++
 3402 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit ghex for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package ghex for openSUSE:Factory
checked in at Fri Sep 9 11:15:18 CEST 2011.




--- GNOME/ghex/ghex.changes 2011-08-15 19:46:46.0 +0200
+++ /mounts/work_src_done/STABLE/ghex/ghex.changes  2011-09-06 
11:07:33.0 +0200
@@ -1,0 +2,21 @@
+Tue Sep  6 06:24:54 UTC 2011 - vu...@opensuse.org
+
+- Update to version 2.90.2:
+  + Fix endianess conversion for 64-bit floating point (bgo#625968,
+bgo#648644)
+  + Update oudated FSF mailing address (bgo#656596)
+  + Build system cleanups (bgo#656919)
+  + Updated translations.
+- Remove renaming hack of sr@Latn to sr@latin: fixed upstream.
+- Stop changing Name and GenericName in .desktop file: they're
+  correct upstream.
+- Remove sed hack to remove Development category in .desktop file,
+  and instead use -r in %suse_update_desktop_file to replace
+  existing categories. Add GNOME category too.
+- Drop explicit Requires for atk-devel, gail-devel, gtk2-devel in
+  devel subpackage: the right Requires will automatically be added
+  the pkgconfig() way.
+- Split library in libgtkhex-3-0 subpackage, to follow shared
+  library packaging policy.
+
+---

calling whatdependson for head-i586


Old:

  ghex-2.90.1.tar.bz2

New:

  ghex-2.90.2.tar.bz2



Other differences:
--
++ ghex.spec ++
--- /var/tmp/diff_new_pack.2LEQcu/_old  2011-09-09 11:15:07.0 +0200
+++ /var/tmp/diff_new_pack.2LEQcu/_new  2011-09-09 11:15:07.0 +0200
@@ -18,14 +18,14 @@
 
 
 Name:   ghex
-Version:2.90.1
+Version:2.90.2
 Release:1
 License:GPLv2+
 Summary:GNOME Binary Editor
 Url:http://www.gnome.org/
 Group:  Development/Tools/Other
 Source: 
http://download.gnome.org/sources/ghex/2.90/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM ghex-empty-search-crash.patch bgo532184
+# PATCH-FIX-UPSTREAM ghex-empty-search-crash.patch bgo#473208
 Patch7: ghex-empty-search-crash.patch
 BuildRequires:  fdupes
 BuildRequires:  gnome-doc-utils-devel
@@ -45,14 +45,21 @@
 in either hex or ASCII. It is a must for anyone playing games that use
 a non-ASCII format for saving.
 
+%package -n libgtkhex-3-0
+License:GPLv2+
+Summary:GNOME Binary Editor -- Library
+Group:  System/Libraries
+
+%description -n libgtkhex-3-0
+GHex allows the user to load data from any file and to view and edit it
+in either hex or ASCII. It is a must for anyone playing games that use
+a non-ASCII format for saving.
+
 %package devel
 License:GPLv2+
-Summary:GNOME Binary Editor
-Group:  Development/Tools/Other
-Requires:   %{name} = %{version}
-Requires:   atk-devel
-Requires:   gail-devel
-Requires:   gtk2-devel
+Summary:GNOME Binary Editor -- Development Files
+Group:  Development/Libraries/GNOME
+Requires:   libgtkhex-3-0 = %{version}
 
 %description devel
 GHex allows the user to load data from any file and to view and edit it
@@ -75,13 +82,7 @@
 %install
 %makeinstall
 find %{buildroot}%{_libdir} -name *.la -type f -delete -print
-%suse_update_desktop_file -N GHex -G Hex Editor %name Utility Editor
-sed -e s@;Development;@;@  
%{buildroot}%{_datadir}/applications/ghex.desktop \
-  %{buildroot}%{_datadir}/applications/ghex.desktop.new
-mv %{buildroot}%{_datadir}/applications/ghex.desktop.new \
-   %{buildroot}%{_datadir}/applications/ghex.desktop
-# Change sr@Latn to sr@latin
-mv %{buildroot}%{_datadir}/locale/sr@Latn 
%{buildroot}%{_datadir}/locale/sr@latin
+%suse_update_desktop_file -r %name GNOME Utility Editor
 %find_lang %{name}-3.0 %{?no_lang_C}
 %find_lang %{name} ghex-3.0.lang %{?no_lang_C}
 %fdupes -s %{buildroot}
@@ -90,7 +91,6 @@
 rm -rf %{buildroot}
 
 %post
-/sbin/ldconfig
 %if 0%{?suse_version}  1130
 %desktop_database_post
 %icon_theme_cache_post
@@ -98,20 +98,20 @@
 %endif
 
 %postun
-/sbin/ldconfig
 %if 0%{?suse_version}  1130
 %desktop_database_postun
 %icon_theme_cache_postun
 %glib2_gsettings_schema_postun
 %endif
 
-%files lang -f %{name}-3.0.lang
+%post -n libgtkhex-3-0 -p /sbin/ldconfig
+
+%postun -n libgtkhex-3-0 -p /sbin/ldconfig
 
 %files
 %defattr(-,root,root)
 %doc README COPYING COPYING-DOCS AUTHORS
 %{_bindir}/ghex
-%{_libdir}/libgtkhex-3.so.*
 %{_datadir}/applications/ghex.desktop
 %dir %{_datadir}/GConf
 %dir %{_datadir}/GConf/gsettings
@@ -121,7 +121,11 @@
 %{_datadir}/%{name}/
 %dir %{_datadir}/gnome/help/%{name}
 %doc %{_datadir}/gnome/help/%{name}/C/
-%{_datadir}/omf/%{name}/%{name}-C.omf
+%doc %{_datadir}/omf/%{name}/%{name}-C.omf
+
+%files -n libgtkhex-3-0
+%defattr(-,root,root)
+%{_libdir}/libgtkhex-3.so.*
 
 %files devel
 %defattr(-,root,root)
@@ -129,4 +133,6 @@
 %{_libdir}/libgtkhex-3.so
 %{_libdir}/pkgconfig/gtkhex-3.pc
 
+%files lang -f %{name}-3.0.lang
+
 

commit gitg for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gitg for openSUSE:Factory
checked in at Fri Sep 9 11:15:35 CEST 2011.




--- gitg/gitg.changes   2011-07-26 00:34:55.0 +0200
+++ /mounts/work_src_done/STABLE/gitg/gitg.changes  2011-09-02 
10:34:46.0 +0200
@@ -1,0 +2,28 @@
+Fri Sep  2 08:32:32 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.2.5:
+  + Features:
+- Allow redirection of stderr to stdout in shell/runner/io
+- Added debugging of runner commands
+- Better argument parsing (pass first argument to git log)
+- Run commit-msg hook when commiting
+- Improved format patch name mimicking git
+- Added pre-commit and post-commit hook execution
+- Use a checkbutton to switch the blame mode
+- Change the single line (un)stage to use a pixbuf renderer
+  + Bug fixes:
+- Fix segvs in arguments and environment parsing in GitgCommand
+- Set working directory, GIT_DIR and GIT_INDEX_FILE when
+  running hooks
+- Fixed arguments passed to log for first arg
+- gitg.desktop.in.in: Remove deprecated Encoding key from
+  .desktop file
+- Fix parsing changed file lines with spaces in filename
+- Improved autogen.sh
+- Do not alter selection when commiting through icons
+- Code cleanup in gitg-commit-view
+- Do not use GtkMisc as it is getting deprecated.
+- preferences dialog: fix expand issues.
+- Use GtkBox instead of Gtk[HV]Box
+
+---

calling whatdependson for head-i586


Old:

  gitg-0.2.4.tar.bz2

New:

  gitg-0.2.5.tar.bz2



Other differences:
--
++ gitg.spec ++
--- /var/tmp/diff_new_pack.iwtIPp/_old  2011-09-09 11:15:28.0 +0200
+++ /var/tmp/diff_new_pack.iwtIPp/_new  2011-09-09 11:15:28.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gitg
-Version:0.2.4
+Version:0.2.5
 Release:1
 License:GPLv2+
 Summary:Git repository viewer
@@ -32,7 +32,7 @@
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(gsettings-desktop-schemas)
 BuildRequires:  pkgconfig(gtk+-3.0)
-BuildRequires:  pkgconfig(gtksourceview-3.0)
+BuildRequires:  pkgconfig(gtksourceview-3.0) = 3.1.3
 Requires:   git-core
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ gitg-0.2.4.tar.bz2 - gitg-0.2.5.tar.bz2 ++
 11837 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gjs for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gjs for openSUSE:Factory
checked in at Fri Sep 9 11:15:53 CEST 2011.




--- GNOME/gjs/gjs.changes   2011-07-31 09:15:58.0 +0200
+++ /mounts/work_src_done/STABLE/gjs/gjs.changes2011-09-01 
16:28:10.0 +0200
@@ -1,0 +2,9 @@
+Thu Sep  1 14:24:20 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.29.17:
+  + Add support for GPtrArrays.
+  + Bind more cairo API.
+  + Don't release too much when releasing arrays.
+  + Misc bug fixes and improvements.
+
+---

calling whatdependson for head-i586


Old:

  gjs-1.29.16.tar.bz2

New:

  gjs-1.29.17.tar.bz2



Other differences:
--
++ gjs.spec ++
--- /var/tmp/diff_new_pack.pbdzPx/_old  2011-09-09 11:15:46.0 +0200
+++ /var/tmp/diff_new_pack.pbdzPx/_new  2011-09-09 11:15:46.0 +0200
@@ -22,7 +22,7 @@
 %define xulrunner_ver 20
 
 Name:   gjs
-Version:1.29.16
+Version:1.29.17
 Release:1
 # FIXME: find out if tapsets should really be in devel package or in main 
package
 License:MIT License (or similar)
@@ -39,7 +39,7 @@
 BuildRequires:  systemtap-sdt-devel
 BuildRequires:  pkgconfig(cairo)
 BuildRequires:  pkgconfig(dbus-glib-1)
-BuildRequires:  pkgconfig(gobject-introspection-1.0)
+BuildRequires:  pkgconfig(gobject-introspection-1.0) = 1.29.16
 %if ! %{build_with_xulrunner}
 BuildRequires:  pkgconfig(mozjs185)
 %endif

++ gjs-1.29.16.tar.bz2 - gjs-1.29.17.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gjs-1.29.16/Makefile.in new/gjs-1.29.17/Makefile.in
--- old/gjs-1.29.16/Makefile.in 2011-07-30 18:02:36.0 +0200
+++ new/gjs-1.29.17/Makefile.in 2011-08-30 04:34:31.0 +0200
@@ -50,10 +50,10 @@
$(srcdir)/Makefile-modules.am $(srcdir)/Makefile-test.am \
$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
$(srcdir)/config.h.in $(srcdir)/gjs-1.0.pc.in \
-   $(srcdir)/gjs-dbus-1.0.pc.in $(srcdir)/gjs-gi-1.0.pc.in \
-   $(srcdir)/gjs-internals-1.0.pc.in $(top_srcdir)/configure \
-   AUTHORS COPYING ChangeLog INSTALL NEWS compile config.guess \
-   config.sub depcomp install-sh ltmain.sh missing
+   $(srcdir)/gjs-dbus-1.0.pc.in $(srcdir)/gjs-internals-1.0.pc.in \
+   $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
+   compile config.guess config.sub depcomp install-sh ltmain.sh \
+   missing
 @HAVE_FIREFOX_JS_LIBDIR_TRUE@am__append_4 = -R $(FIREFOX_JS_LIBDIR)
 subdir = .
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -64,8 +64,7 @@
  configure.lineno config.status.lineno
 mkinstalldirs = $(install_sh) -d
 CONFIG_HEADER = config.h
-CONFIG_CLEAN_FILES = gjs-1.0.pc gjs-gi-1.0.pc gjs-dbus-1.0.pc \
-   gjs-internals-1.0.pc
+CONFIG_CLEAN_FILES = gjs-1.0.pc gjs-dbus-1.0.pc gjs-internals-1.0.pc
 CONFIG_CLEAN_VPATH_FILES =
 am__vpath_adj_setup = srcdirstrip=`echo $(srcdir) | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
@@ -922,8 +921,6 @@
-rm -f config.h stamp-h1
 gjs-1.0.pc: $(top_builddir)/config.status $(srcdir)/gjs-1.0.pc.in
cd $(top_builddir)  $(SHELL) ./config.status $@
-gjs-gi-1.0.pc: $(top_builddir)/config.status $(srcdir)/gjs-gi-1.0.pc.in
-   cd $(top_builddir)  $(SHELL) ./config.status $@
 gjs-dbus-1.0.pc: $(top_builddir)/config.status $(srcdir)/gjs-dbus-1.0.pc.in
cd $(top_builddir)  $(SHELL) ./config.status $@
 gjs-internals-1.0.pc: $(top_builddir)/config.status 
$(srcdir)/gjs-internals-1.0.pc.in
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gjs-1.29.16/configure new/gjs-1.29.17/configure
--- old/gjs-1.29.16/configure   2011-07-30 18:02:35.0 +0200
+++ new/gjs-1.29.17/configure   2011-08-30 04:34:29.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for gjs 1.29.16.
+# Generated by GNU Autoconf 2.68 for gjs 1.29.17.
 #
 # Report bugs to http://bugzilla.gnome.org/enter_bug.cgi?product=gjs.
 #
@@ -571,8 +571,8 @@
 # Identity of this package.
 PACKAGE_NAME='gjs'
 PACKAGE_TARNAME='gjs'
-PACKAGE_VERSION='1.29.16'
-PACKAGE_STRING='gjs 1.29.16'
+PACKAGE_VERSION='1.29.17'
+PACKAGE_STRING='gjs 1.29.17'
 PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=gjs'
 PACKAGE_URL=''
 
@@ -800,7 +800,6 @@
 enable_libtool_lock
 enable_coverage
 with_js_package
-enable_introspection
 enable_systemtap
 enable_dtrace
 '
@@ -1376,7 +1375,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures gjs 1.29.16 to adapt to many kinds of systems.
+\`configure' configures gjs 1.29.17 to adapt to many kinds of systems.
 
 Usage: 

commit glib-networking for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package glib-networking for openSUSE:Factory
checked in at Fri Sep 9 11:16:06 CEST 2011.




--- GNOME/glib-networking/glib-networking.changes   2011-08-25 
10:05:24.0 +0200
+++ /mounts/work_src_done/STABLE/glib-networking/glib-networking.changes
2011-08-31 09:58:31.0 +0200
@@ -2 +2 @@
-Wed Aug 24 20:40:38 UTC 2011 - crrodrig...@opensuse.org
+Wed Aug 31 09:53:01 CEST 2011 - vu...@opensuse.org
@@ -4 +4,33 @@
-- Fix build in Factory. 
+- Update to version 2.29.18:
+  + gnutls:
+- fixed two rehandshaking bugs; one in which a client would
+  erroneously report an error after successfully rehandshaking
+  (bgo#653645), and one where initiating an asynchronous
+  rehandshake on the server side would send illegal packets and
+  cause the client to disconnect.
+- made GTlsDatabaseGnutls and GTlsFileDatabaseGnutls properly
+  cancellable
+- fixed the client-side session cache to not share session IDs
+  between different virtual hosts on the same IP address, which
+  caused problems with some servers. (bgo#581342)
+  + tls: Fixed up the tls test program so it can be run from make
+check
+  + Updated translations.
+
+---
+Thu Aug 25 08:07:12 UTC 2011 - dims...@opensuse.org
+
+- Add libgcrypt-devel BuildRequires: gnutls used to bring this in
+  as a dependency for us.
+
+---
+Tue Aug 16 04:31:36 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.29.15:
+  + bgo#636572: gnutls: implement GTlsDatabase
+  + bgo#652284: gnutls: override minimum key length, to allow
+connecting to HTTP servers with very small keys
+  + bgo#581342: gnutls: use %COMPAT mode, which makes GNUTLS behave
+more like OpenSSL/NSS/Windows in a few ways, making it work
+with certain broken HTTP servers.
+  + gnutls: fixed a crash when passed a NULL GError.

calling whatdependson for head-i586


Old:

  glib-networking-2.29.9.tar.bz2

New:

  glib-networking-2.29.18.tar.bz2



Other differences:
--
++ glib-networking.spec ++
--- /var/tmp/diff_new_pack.0nMBDW/_old  2011-09-09 11:15:59.0 +0200
+++ /var/tmp/diff_new_pack.0nMBDW/_new  2011-09-09 11:16:00.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   glib-networking
-Version:2.29.9
-Release:2
+Version:2.29.18
+Release:1
 License:LGPLv2+
 Summary:Network-related GIO modules for glib
 Group:  System/Libraries
@@ -28,13 +28,13 @@
 # For directory ownership
 BuildRequires:  dbus-1
 BuildRequires:  intltool
+BuildRequires:  libgcrypt-devel
 BuildRequires:  translation-update-upstream
 # If this BuildRequires changes because of a gio library version change, 
change gio_real_package accordingly
-BuildRequires:  pkgconfig(gio-2.0)
+BuildRequires:  pkgconfig(gio-2.0) = 2.29.18
 BuildRequires:  pkgconfig(gnutls)
 BuildRequires:  pkgconfig(gsettings-desktop-schemas)
 BuildRequires:  pkgconfig(libproxy-1.0)
-BuildRequires:  libgcrypt-devel
 # org.gnome.system.proxy schema is used
 Requires:   gsettings-desktop-schemas
 Recommends: %{name}-lang = %{version}

++ glib-networking-2.29.9.tar.bz2 - glib-networking-2.29.18.tar.bz2 ++
 5418 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit glib2 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package glib2 for openSUSE:Factory
checked in at Fri Sep 9 11:16:27 CEST 2011.




--- GNOME/glib2/glib2.changes   2011-07-26 15:30:56.0 +0200
+++ /mounts/work_src_done/STABLE/glib2/glib2.changes2011-09-06 
19:49:29.0 +0200
@@ -1,0 +2,74 @@
+Tue Sep  6 15:35:18 UTC 2011 - vu...@opensuse.org
+
+- Update to version 2.29.90:
+  + API/ABI changes:
+- Unix signal watches now match the API of all of the other
+  sources
+- Revert the addition of g_date_time_source_new () from last
+  release
+  + Networking and other fixes for Solaris:
+- We no longer support symbolic port names (ie: from
+  /etc/services)
+- Check if -lsocket is needed
+- Fix g_socket_details_from_fd()
+- Avoid getmntinfo
+- Fix some harmless warnings
+  + GDateTime improvements:
+- Generally improved standards compliance (with C99)
+- Support C99-specified format strings: %g, %G, %V, %c, %C, %w
+- Consult the locale for the preferred 12-hour time format (%r)
+- Drop support for non-standard %N and broken %W
+- Better support for formatting non-POSIX (eg: Arabic) numerals
+- Locale-related test case fixups, and fix some leaks
+  + GTlsInteraction: Add interaction method invocation guarantees
+  + gdbus-codegen: Post-process all interfaces when parsing 1 file
+  + Make GMainLoop, GMainContext and GSource boxed types
+  + Fix a race condition in the first use of g_get_monotonic_time()
+  + Lots of gtk-doc cleanups
+  + Better intltool compatibility when generating pot file
+  + Avoid GCC-specific compiler options when not using GCC
+  + Updated translations.
+
+---
+Wed Aug 31 09:52:47 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.29.18:
+  + GDateTime is now respecting LC_TIME when formatting
+  + GTimeZoneMonitor has been removed again
+  + A new API for wallclock functionality has been added:
+g_date_time_source_new(). This API is still experimental
+and may be changed or removed before 2.30.
+  + Bugs fixed: bgo#628904, bgo#650763, bgo#655129, bgo#656341,
+bgo#656387, bgo#656443, bgo#656675, bgo#656772, bgo#656914,
+bgo#657083, bgo#657084, bgo#657138, bgo#657206, bgo#657243,
+bgo#657274, bgo#657336, bgo#657452, bgo#657454, bgo#657540,
+bgo#657593, bgo#646082, bgo#657517.
+  + Updated translations.
+
+---
+Tue Aug 16 03:44:30 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.29.16:
+  + GTlsDatabase: an abstract class that provides support or
+certificate and key lookup. An implementation will be provided
+in glib-networking
+  + GHmac: Support or HMAC digests
+  + Misc new API:
+- g_ptr_array_add_full: creates a GPtrArray with a preallocated
+  size and a destroy function
+- g_desktop_app_info_get_show_in: checks if a GDesktopAppInfo
+  should be shown in a given desktop environment
+- g_mkdtemp, g_mkdtemp_full, g_dir_make_tmp: create temporary
+  directories
+  + Unify thread wakeup implementations of GMainContext and
+GCancellable, and use eventfd for it when available
+  + Show mounts in $XDG_USER_DIR in addition to /media and $HOME
+  + Bugs fixed: bgo#636572, bgo#644601, bgo#652284, bgo#652827,
+bgo#653063, bgo#654078, bgo#654450, bgo#654793, bgo#655044,
+bgo#655148, bgo#655241, bgo#655598, bgo#655664, bgo#655769,
+bgo#656031, bgo#656048, bgo#656151, bgo#656152, bgo#656162,
+bgo#656282, bgo#656283, bgo#118563, bgo#636405, bgo#656039,
+bgo#656492
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  glib-2.29.14.tar.bz2

New:

  glib-2.29.90.tar.bz2



Other differences:
--
++ glib2.spec ++
--- /var/tmp/diff_new_pack.LQB3T4/_old  2011-09-09 11:16:20.0 +0200
+++ /var/tmp/diff_new_pack.LQB3T4/_new  2011-09-09 11:16:20.0 +0200
@@ -21,7 +21,7 @@
 
 Name:   glib2
 %define _name glib
-Version:2.29.14
+Version:2.29.90
 Release:1
 # FIXME: change zlib-devel to pkgconfig(zlib) once we have a recent enough 
version of zlib
 # FIXME: find out if tapsets should really be in devel package or in main 
package
@@ -464,7 +464,8 @@
 %{_includedir}/gio-unix-2.0
 %{_libdir}/lib*.so
 %dir %{_libdir}/glib-2.0/
-%{_libdir}/gdbus-codegen/
+%dir %{_libdir}/gdbus-2.0/
+%{_libdir}/gdbus-2.0/codegen/
 %{_libdir}/glib-2.0/include/
 %{_libdir}/pkgconfig/*.pc
 %{_datadir}/gtk-doc/html/gio

++ glib-2.29.14.tar.bz2 - glib-2.29.90.tar.bz2 ++
GNOME/glib2/glib-2.29.14.tar.bz2 
/mounts/work_src_done/STABLE/glib2/glib-2.29.90.tar.bz2 differ: char 11, line 1






Remember to have fun...

-- 

commit glib2-branding-openSUSE for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package glib2-branding-openSUSE for 
openSUSE:Factory
checked in at Fri Sep 9 11:16:41 CEST 2011.




--- GNOME/glib2-branding-openSUSE/glib2-branding-openSUSE.changes   
2011-07-07 11:36:31.0 +0200
+++ 
/mounts/work_src_done/STABLE/glib2-branding-openSUSE/glib2-branding-openSUSE.changes
2011-08-30 16:43:35.0 +0200
@@ -1,0 +2,7 @@
+Tue Aug 30 16:42:39 CEST 2011 - vu...@opensuse.org
+
+- Change GSettings default:
+  + Stop changing org.gnome.nautilus.preference/preview-sound: this
+is now gone with nautilus 3.1.90.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ glib2-branding-openSUSE.spec ++
--- /var/tmp/diff_new_pack.cbirM7/_old  2011-09-09 11:16:37.0 +0200
+++ /var/tmp/diff_new_pack.cbirM7/_new  2011-09-09 11:16:37.0 +0200
@@ -38,7 +38,7 @@
 
 Name:   glib2-branding-openSUSE
 Version:12.1
-Release:1
+Release:3
 Group:  System/GUI/GNOME
 License:BSD3c
 Summary:General-Purpose Utility Library -- openSUSE default 
configuration
@@ -83,6 +83,7 @@
 %if %{build_for_SLE}
 
 %package -n gio-branding-SLED
+
 License:BSD3c
 Group:  System/GUI/GNOME
 Summary:SLED definitions of default settings and applications
@@ -101,6 +102,7 @@
 GSettings and applications used by the MIME system.
 
 %package -n gio-branding-SLES
+
 License:BSD3c
 Group:  System/GUI/GNOME
 Summary:SLES definitions of default settings and applications

++ glib2-branding.gschema.override.in ++
--- /var/tmp/diff_new_pack.cbirM7/_old  2011-09-09 11:16:37.0 +0200
+++ /var/tmp/diff_new_pack.cbirM7/_new  2011-09-09 11:16:37.0 +0200
@@ -19,10 +19,6 @@
 ## Set keyboard layout global per session instead of per window
 group-per-window = false
 
-[org.gnome.nautilus.preference]
-## Never preview sounds when mousing over an icon
-preview-sound = never
-
 [org.gnome.desktop.sound]
 ## Make sure to have event sounds by default
 event-sounds = true






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-bluetooth for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-bluetooth for openSUSE:Factory
checked in at Fri Sep 9 11:17:32 CEST 2011.




--- GNOME/gnome-bluetooth/gnome-bluetooth.changes   2011-08-03 
07:56:05.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-bluetooth/gnome-bluetooth.changes
2011-09-08 08:46:02.0 +0200
@@ -1,0 +2,13 @@
+Tue Aug 16 20:56:57 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.4:
+  + Properties: Fix crash when device has no UUIDs
+  + Applet: Change preferences menu items to match the gnome-shell
+UI
+  + Updated translations.
+- Drop gnome-bluetooth-libgnome-control-center.patch: fixed
+  upstream.
+- Remove now unneeded gnome-common BuildRequires and call to
+  gnome-autogen.sh.
+
+---

calling whatdependson for head-i586


Old:

  gnome-bluetooth-3.1.3.tar.bz2
  gnome-bluetooth-libgnome-control-center.patch

New:

  gnome-bluetooth-3.1.4.tar.bz2



Other differences:
--
++ gnome-bluetooth.spec ++
--- /var/tmp/diff_new_pack.K7ENQS/_old  2011-09-09 11:17:27.0 +0200
+++ /var/tmp/diff_new_pack.K7ENQS/_new  2011-09-09 11:17:27.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   gnome-bluetooth
-Version:3.1.3
-Release:2
+Version:3.1.4
+Release:1
 License:GPLv2+
 Summary:GNOME Bluetooth graphical utilities
 Url:http://live.gnome.org/GnomeBluetooth
@@ -28,11 +28,7 @@
 Source1:61-gnome-bluetooth-rfkill.rules
 # PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
 Patch0: lxde-support.patch
-# PATCH-FIX-UPSTREAM gnome-bluetooth-libgnome-control-center.patch 
vu...@opensuse.org -- Work-around disappearing libgnome-control-center-devel 
not existing, taken from git
-Patch1: gnome-bluetooth-libgnome-control-center.patch
 BuildRequires:  fdupes
-# Needed for patch1
-BuildRequires:  gnome-common
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  intltool
@@ -40,7 +36,7 @@
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(dbus-glib-1)
-BuildRequires:  pkgconfig(gtk+-3.0)
+BuildRequires:  pkgconfig(gtk+-3.0) = 2.90.7
 BuildRequires:  pkgconfig(nautilus-sendto)
 %if 0%{?BUILD_FROM_VCS}
 BuildRequires:  gnome-common
@@ -116,14 +112,12 @@
 %setup -q
 translation-update-upstream
 %patch0 -p1
-%patch1 -p1
 
 %if 0%{?BUILD_FROM_VCS}
 [ -x ./autogen.sh ]  NOCONFIGURE=1 ./autogen.sh
 %endif
 
 %build
-NOCONFIGURE=1 gnome-autogen.sh
 %configure  \
 --disable-icon-update \
 --disable-scrollkeeper \

++ gnome-bluetooth-3.1.3.tar.bz2 - gnome-bluetooth-3.1.4.tar.bz2 ++
 11912 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-color-manager for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-color-manager for 
openSUSE:Factory
checked in at Fri Sep 9 11:17:45 CEST 2011.




--- GNOME/gnome-color-manager/gnome-color-manager.changes   2011-06-17 
00:40:27.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-color-manager/gnome-color-manager.changes
2011-09-05 16:40:19.0 +0200
@@ -1,0 +2,40 @@
+Mon Sep  5 14:39:16 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Bugfix:
+- Set the calibration wizard to the summary page when finished
+- Ensure the 2nd stage calibration has the larger calibration
+  square
+
+---
+Thu Sep  1 14:15:31 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + New Features:
+- Add a --file argument to gcm-viewer to show files
+- Allow the profile title to be changed in gcm-calibrate
+- Ask the user for the target whitepoint when creating a
+  profile
+- Make importing color profiles sexy
+- Move the help files to gnome-user-docs
+- Remove gcm-session, it's not required anymore
+- Use cd_client_import_profile_sync() when generating profiles
+  + Bugfix:
+- Allow writing dictionary items of longer then 512 bytes
+- Correctly use plural forms in the calibration wizard.
+  (bgo#654247)
+- Do not build with G_DISABLE_DEPRECATED for our future sanity
+- Fix a crash in gcm-picker when a color sensor is plugged in
+- Fix a critical warning in gcm-picker when CUPS printers are
+  installed
+- Fix linking with -Wl,--as-needed
+- Fix the profile list sorting when the user has virtual
+  profiles from CUPS
+- Make the clutter and mash dependency non-automagic
+- Remove the GetProfilesForDevice() DBus method call
+  + Updated translations.
+- Drop gnome-color-manager-as_needed.patch: fixed upstream.
+- Remove gnome-common BuildRequires, and call to gnome-autogen.sh:
+  those were needed for the above patch.
+
+---

calling whatdependson for head-i586


Old:

  gnome-color-manager-3.1.2.tar.bz2
  gnome-color-manager-as_needed.patch

New:

  gnome-color-manager-3.1.91.tar.bz2



Other differences:
--
++ gnome-color-manager.spec ++
--- /var/tmp/diff_new_pack.243o3N/_old  2011-09-09 11:17:40.0 +0200
+++ /var/tmp/diff_new_pack.243o3N/_new  2011-09-09 11:17:40.0 +0200
@@ -20,7 +20,7 @@
 
 
 Name:   gnome-color-manager
-Version:3.1.2
+Version:3.1.91
 Release:1
 # FIXME: possibly add mash BuildRequires for 3D support. Check first if mash 
is still alive upstream.
 # (https://github.com/clutter-project/mash / packaged as libmash in Fedora)
@@ -28,19 +28,15 @@
 License:GPLv2+
 Group:  System/GUI/GNOME
 Url:http://projects.gnome.org/gnome-color-manager
-Source: %{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM gnome-color-manager-as_needed.patch bgo#652722 
dims...@opensuse.org -- Fix build with -Wl,--as-needed
-Patch0: gnome-color-manager-as_needed.patch
+Source: 
http://download.gnome.org/sources/gnome-color-manager/3.1/%{name}-%{version}.tar.bz2
 BuildRequires:  docbook-utils
 BuildRequires:  gcc-c++
-# Needed for patch0
-BuildRequires:  gnome-common
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  intltool
 BuildRequires:  libtiff-devel
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-BuildRequires:  pkgconfig(colord)
+BuildRequires:  pkgconfig(colord) = 0.1.12
 BuildRequires:  pkgconfig(exiv2)
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(gtk+-3.0)
@@ -66,10 +62,8 @@
 %prep
 %setup -q
 translation-update-upstream
-%patch0 -p1
 
 %build
-NOCONFIGURE=1 gnome-autogen.sh
 %configure --disable-static \
 --disable-scrollkeeper
 %{__make} %{?jobs:-j %jobs} V=1
@@ -80,7 +74,6 @@
 %suse_update_desktop_file gcm-calibrate
 %suse_update_desktop_file gcm-import
 %suse_update_desktop_file gcm-picker
-%suse_update_desktop_file gcm-session
 %suse_update_desktop_file gcm-viewer
 %find_lang %{name} %{?no_lang_C}
 
@@ -98,22 +91,13 @@
 %files
 %defattr(-, root, root)
 %doc AUTHORS ChangeLog COPYING MAINTAINERS NEWS README
-%dir %{_datadir}/gnome/
-%dir %{_datadir}/gnome/help/
-%dir %{_datadir}/gnome/help/%{name}/
-%doc %{_datadir}/gnome/help/%{name}/C/
-%dir %{_datadir}/omf/
-%dir %{_datadir}/omf/%{name}/
-%doc %{_datadir}/omf/%{name}/%{name}-C.omf
 %{_bindir}/gcm-*
 %{_datadir}/applications/*.desktop
-%{_datadir}/dbus-1/interfaces/org.gnome.ColorManager.xml
 %{_datadir}/dbus-1/services/org.gnome.ColorManager.service
 %{_datadir}/gnome-color-manager/
 %{_datadir}/icons/hicolor/*/apps/gnome-color-manager.*
 %{_datadir}/icons/hicolor/*/mimetypes/application-vnd.iccprofile.*
 %{_mandir}/man?/*.*

commit gnome-common for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-common for openSUSE:Factory
checked in at Fri Sep 9 11:17:57 CEST 2011.




--- GNOME/gnome-common/gnome-common.changes 2011-05-03 00:48:54.0 
+0200
+++ /mounts/work_src_done/STABLE/gnome-common/gnome-common.changes  
2011-08-17 14:43:31.0 +0200
@@ -1,0 +2,8 @@
+Wed Aug 17 14:39:41 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.0:
+  + gnome-autogen.sh:
+- Don't print terminal codes if stdin isn't a tty
+- Check for yelp.m4 with YELP_HELP_INIT
+
+---

calling whatdependson for head-i586


Old:

  gnome-common-2.34.0.tar.bz2

New:

  gnome-common-3.1.0.tar.bz2



Other differences:
--
++ gnome-common.spec ++
--- /var/tmp/diff_new_pack.VPQpOF/_old  2011-09-09 11:17:52.0 +0200
+++ /var/tmp/diff_new_pack.VPQpOF/_new  2011-09-09 11:17:52.0 +0200
@@ -31,11 +31,11 @@
 Requires:   libtool
 Requires:   pkg-config
 Summary:Common Files to Build GNOME
-Version:2.34.0
+Version:3.1.0
 Release:1
 License:GPLv2+
 Group:  System/GUI/GNOME
-Source: %{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gnome-common/3.1/%{name}-%{version}.tar.bz2
 Url:http://www.gnome.org/
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch

++ gnome-common-2.34.0.tar.bz2 - gnome-common-3.1.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gnome-common-2.34.0/ChangeLog 
new/gnome-common-3.1.0/ChangeLog
--- old/gnome-common-2.34.0/ChangeLog   2011-04-03 19:44:21.0 +0200
+++ new/gnome-common-3.1.0/ChangeLog2011-08-17 13:55:21.0 +0200
@@ -1,3 +1,32 @@
+commit 7f977b0214623142819c8b7a08839949fb9f3ec0
+Author: Colin Walters walt...@verbum.org
+Date:   Wed Jun 22 15:53:42 2011 -0400
+
+gnome-autogen.sh: Don't print terminal codes if stdin isn't a tty
+
+Otherwise this shows up as garbage in log files.
+
+ macros2/gnome-autogen.sh |9 +++--
+ 1 files changed, 7 insertions(+), 2 deletions(-)
+
+commit ee256d60790a464ca56b452c0a70ad0c03547519
+Author: Shaun McCance sha...@gnome.org
+Date:   Thu May 12 11:00:09 2011 -0400
+
+gnome-autogen.sh: Check for yelp.m4 with YELP_HELP_INIT
+
+ macros2/gnome-autogen.sh |4 
+ 1 files changed, 4 insertions(+), 0 deletions(-)
+
+commit 62baea2b4b519f4e9d62848e4d7b39761fbdd2f2
+Author: Christian Persch c...@gnome.org
+Date:   Thu May 12 17:47:02 2011 +0200
+
+Post branch version bump
+
+ configure.in |2 +-
+ 1 files changed, 1 insertions(+), 1 deletions(-)
+
 commit a4af250ce8186daaaccf3883a91d6f0bc4722e95
 Author: Christian Persch c...@gnome.org
 Date:   Sun Apr 3 19:44:18 2011 +0200
@@ -240,11 +269,11 @@
 
 Autogenerate ChangeLog
 
- ChangeLog |14901 ++---
- ChangeLog.pre-git |  860 +++
- Makefile.am   |   17 +-
- configure.in  |2 +-
- 4 files changed, 14948 insertions(+), 832 deletions(-)
+ ChangeLog  |14901 +---
+ ChangeLog = ChangeLog.pre-git |0
+ Makefile.am|   17 +-
+ configure.in   |2 +-
+ 4 files changed, 14088 insertions(+), 832 deletions(-)
 
 commit cd4ebced07dcb2ff7f12e53afdcb092339ac0d89
 Author: Vincent Legoll vincent.leg...@gmail.com
@@ -1730,19 +1759,17 @@
 
 svn path=/trunk/; revision=3443
 
- ChangeLog  |   28 +++
- Makefile.am|4 +-
- autogen.sh |6 +-
- configure.in   |   33 +---
- macros2/Makefile.am|   21 +--
- macros2/autogen.sh |  411 
- macros2/compiler-flags.m4  |  141 
- macros2/curses.m4  |  318 
- macros2/gnome-autogen.sh   |  411 
- macros2/gnome-common.m4|   25 +--
- macros2/gnome-compiler-flags.m4|  141 
- macros2/gnome-deprecated-macros.m4 |   32 ---
- 12 files changed, 609 insertions(+), 962 deletions(-)
+ ChangeLog  |   28 ++
+ Makefile.am|4 +-
+ autogen.sh |6 +-
+ configure.in   |   33 +--
+ macros2/Makefile.am|   21 +-
+ macros2/curses.m4  |  318 
+ macros2/{autogen.sh = gnome-autogen.sh}   |0
+ macros2/gnome-common.m4|   25 +-
+ .../{compiler-flags.m4 = 

commit gnome-desktop for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-desktop for openSUSE:Factory
checked in at Fri Sep 9 11:18:19 CEST 2011.




--- GNOME/gnome-desktop/gnome-desktop.changes   2011-07-25 22:45:40.0 
+0200
+++ /mounts/work_src_done/STABLE/gnome-desktop/gnome-desktop.changes
2011-09-05 09:39:41.0 +0200
@@ -1,0 +2,28 @@
+Mon Sep  5 07:33:49 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + libgnome-desktop:
+- Add GnomeWallClock
+
+---
+Wed Aug 31 09:50:45 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90.1:
+  + Misc
+- Link against libm
+
+---
+Tue Aug 30 16:30:58 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + libgnome-desktop:
+- Remove GnomeTzMonitor
+
+---
+Fri Aug 12 14:39:13 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + libgnome-desktop:
+- GnomeRR: Fix settings the DPMS mode.
+
+---

calling whatdependson for head-i586


Old:

  gnome-desktop-3.1.4.tar.bz2

New:

  gnome-desktop-3.1.91.tar.bz2



Other differences:
--
++ gnome-desktop.spec ++
--- /var/tmp/diff_new_pack.HVE1Ka/_old  2011-09-09 11:18:08.0 +0200
+++ /var/tmp/diff_new_pack.HVE1Ka/_new  2011-09-09 11:18:08.0 +0200
@@ -19,7 +19,7 @@
 %define IS_DEFAULT_GNOME_DESKTOP 1
 
 Name:   gnome-desktop
-Version:3.1.4
+Version:3.1.91
 Release:1
 License:LGPLv2.1+
 Summary:The GNOME Desktop API Library

++ gnome-desktop-3.1.4.tar.bz2 - gnome-desktop-3.1.91.tar.bz2 ++
 10712 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-games for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-games for openSUSE:Factory
checked in at Fri Sep 9 11:18:45 CEST 2011.




--- GNOME/gnome-games/gnome-games.changes   2011-07-27 12:21:21.0 
+0200
+++ /mounts/work_src_done/STABLE/gnome-games/gnome-games.changes
2011-09-06 11:34:30.0 +0200
@@ -1,0 +2,30 @@
+Tue Sep  6 09:21:29 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Chess: Fix compile issues with Vala 0.13.3
+  + Glines: port to GSettings.
+  + Gnect: Use the correct player names in Preferences
+  + Updated translations.
+- Replace gconf schema packaging machinery with gsettings machinery
+  for glines.
+
+---
+Thu Sep  1 14:12:12 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Code cleanups.
+  + Updated translations.
+
+---
+Mon Aug 15 20:33:52 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Port more games to GSettings: gnomine, iagno, mahjongg.
+  + Minor bug fixes:
+- Really remove ggz support from iagno.
+- Remove unused variable.
+  + Updated translations.
+- Replace gconf schema packaging machinery with gsettings machinery
+  for gnomine, iagno, mahjongg.
+
+---

calling whatdependson for head-i586


Old:

  gnome-games-3.1.4.tar.bz2

New:

  gnome-games-3.1.91.tar.bz2



Other differences:
--
++ gnome-games.spec ++
--- /var/tmp/diff_new_pack.XFc9oW/_old  2011-09-09 11:18:37.0 +0200
+++ /var/tmp/diff_new_pack.XFc9oW/_new  2011-09-09 11:18:37.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   gnome-games
-Version:3.1.4
+Version:3.1.91
 Release:1
 # FIXME: validate list of games for the recommended subpackage
 License:GPLv2+ ; GPLv3+ ; LGPLv2.1+
@@ -155,7 +155,7 @@
 PreReq: permissions
 Requires:   %{name}-support = %{version}
 Recommends: glines-lang
-%gconf_schemas_prereq
+%glib2_gsettings_schema_requires
 
 %description -n glines
 Five or More is a game where one must align colored pieces as the
@@ -239,7 +239,7 @@
 PreReq: permissions
 Requires:   %{name}-support = %{version}
 Recommends: gnomine-lang
-%gconf_schemas_prereq
+%glib2_gsettings_schema_requires
 
 %description -n gnomine
 This is the popular logic puzzle minesweeper, which includes avoiding
@@ -306,7 +306,7 @@
 Group:  Amusements/Games/Board/Other
 Requires:   %{name}-support = %{version}
 Recommends: iagno-lang
-%gconf_schemas_prereq
+%glib2_gsettings_schema_requires
 
 %description -n iagno
 Iagno is the two player strategy game of Othello, which is also known
@@ -343,7 +343,7 @@
 PreReq: permissions
 Requires:   %{name}-support = %{version}
 Recommends: mahjongg-lang
-%gconf_schemas_prereq
+%glib2_gsettings_schema_requires
 
 %description -n mahjongg
 Mahjongg is a solitaire version of the classic Eastern tile game. It
@@ -442,10 +442,10 @@
 %suse_update_desktop_file -G Tetris quadrapassel
 %suse_update_desktop_file swell-foop
 %find_lang %{name} %{?no_lang_C}
-for subpackage in glchess gnotravex ; do
+for subpackage in glchess glines gnomine gnotravex iagno mahjongg; do
   %find_lang ${subpackage} %{?no_lang_C}
 done
-for subpackage in glines gnect gnibbles gnobots2 gnome-sudoku gnomine gnotski 
gtali iagno lightsoff mahjongg quadrapassel swell-foop ; do
+for subpackage in gnect gnibbles gnobots2 gnome-sudoku gnotski gtali lightsoff 
quadrapassel swell-foop ; do
   %find_lang ${subpackage} %{?no_lang_C}
   %def_gconf_schemas ${subpackage}
   %add_gconf_schemas ${subpackage}
@@ -487,23 +487,19 @@
 %glib2_gsettings_schema_postun
 ### glines scriptlets ###
 
-%pre -n glines -f glines.schemas_pre
-
 %post -n glines -f glines.scores_post
 %set_permissions %{_bindir}/glines
 %desktop_database_post
 %icon_theme_cache_post
+%glib2_gsettings_schema_post
 
 %verifyscript -n glines
 %verify_permissions -e %{_bindir}/glines
 
-%posttrans -n glines -f glines.schemas_posttrans
-
-%preun -n glines -f glines.schemas_preun
-
 %postun -n glines
 %desktop_database_postun
 %icon_theme_cache_postun
+%glib2_gsettings_schema_postun
 ### gnect scriptlets ###
 
 %pre -n gnect -f gnect.schemas_pre
@@ -574,21 +570,17 @@
 %icon_theme_cache_postun
 ### gnomine scriptlets ###
 
-%pre -n gnomine -f gnomine.schemas_pre
-
 %post -n gnomine -f gnomine.scores_post
 %set_permissions %{_bindir}/gnomine
+%glib2_gsettings_schema_post
 %desktop_database_post
 %icon_theme_cache_post
 
 %verifyscript -n gnomine
 %verify_permissions -e %{_bindir}/gnomine
 
-%posttrans -n gnomine -f gnomine.schemas_posttrans
-
-%preun -n gnomine -f gnomine.schemas_preun
-
 %postun -n gnomine
+%glib2_gsettings_schema_postun
 %desktop_database_postun
 

commit gnome-icon-theme for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-icon-theme for openSUSE:Factory
checked in at Fri Sep 9 11:18:58 CEST 2011.




--- GNOME/gnome-icon-theme/gnome-icon-theme.changes 2011-07-22 
14:10:56.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-icon-theme/gnome-icon-theme.changes  
2011-09-01 09:58:46.0 +0200
@@ -1,0 +2,9 @@
+Thu Sep  1 09:54:45 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + updated wallpaper icon
+  + removable media icon
+  + updated user status icons
+  + dialpad icon
+
+---

calling whatdependson for head-i586


Old:

  gnome-icon-theme-3.1.4.tar.bz2

New:

  gnome-icon-theme-3.1.90.tar.bz2



Other differences:
--
++ gnome-icon-theme.spec ++
--- /var/tmp/diff_new_pack.1TM76c/_old  2011-09-09 11:18:52.0 +0200
+++ /var/tmp/diff_new_pack.1TM76c/_new  2011-09-09 11:18:52.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   gnome-icon-theme
-Version:3.1.4
+Version:3.1.90
 Release:1
 Summary:GNOME Icon Theme
 License:LGPLv3+ | CC BY-SA V3.0

++ gnome-icon-theme-3.1.4.tar.bz2 - gnome-icon-theme-3.1.90.tar.bz2 ++
GNOME/gnome-icon-theme/gnome-icon-theme-3.1.4.tar.bz2 
/mounts/work_src_done/STABLE/gnome-icon-theme/gnome-icon-theme-3.1.90.tar.bz2 
differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-icon-theme-symbolic for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-icon-theme-symbolic for 
openSUSE:Factory
checked in at Fri Sep 9 11:19:09 CEST 2011.




--- GNOME/gnome-icon-theme-symbolic/gnome-icon-theme-symbolic.changes   
2011-07-22 14:07:29.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-icon-theme-symbolic/gnome-icon-theme-symbolic.changes
2011-09-01 09:55:31.0 +0200
@@ -1,0 +2,8 @@
+Thu Sep  1 09:54:50 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + sync user status icons with g-i-t
+  + scale down security level icons
+  + dialpad for IP telephony
+
+---

calling whatdependson for head-i586


Old:

  gnome-icon-theme-symbolic-3.1.4.tar.bz2

New:

  gnome-icon-theme-symbolic-3.1.90.tar.bz2



Other differences:
--
++ gnome-icon-theme-symbolic.spec ++
--- /var/tmp/diff_new_pack.d9cttA/_old  2011-09-09 11:19:05.0 +0200
+++ /var/tmp/diff_new_pack.d9cttA/_new  2011-09-09 11:19:05.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gnome-icon-theme-symbolic
-Version:3.1.4
+Version:3.1.90
 Release:1
 # FIXME: when we have icon-naming-utils  0.8.90, we will have 
icontool-render, so check if something has to be changed.
 License:CC BY-SA V3.0

++ gnome-icon-theme-symbolic-3.1.4.tar.bz2 - 
gnome-icon-theme-symbolic-3.1.90.tar.bz2 ++
 10680 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-power-manager for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-power-manager for 
openSUSE:Factory
checked in at Fri Sep 9 11:19:41 CEST 2011.




--- GNOME/gnome-power-manager/gnome-power-manager.changes   2011-07-27 
16:11:45.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-power-manager/gnome-power-manager.changes
2011-09-04 19:15:25.0 +0200
@@ -1,0 +2,24 @@
+Sun Sep  4 16:44:19 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + New Features:
+- Remove gnome-power-backlight-helper as it's been moved to
+  g-s-d
+- Remove the applet icons
+- Remove the GConf migration script, there is nothing to
+  migrate
+- Remove the gnome-power-manager application icon, it's no
+  longer used
+- Remove the idle functionality as it's been moved to g-s-d
+- Remove the suspend and hibernate icons, nothing uses them
+  + Bugfix:
+- Fix a warning when opening gnome-power-statistics
+  + Updated translations.
+- Drop gnome-power-manager-distcheck-fix.patch: fixed upstream.
+- Remove now unneeded BuildRequires because of all the removed
+  features: libgnome-keyring-devel, libnotify-devel, polkit, xmlto.
+- Add explicit pkgconfig(gdk-3.0) BuildRequires, which got added.
+- Remove polkit Requires: there is no use of pkexec anymore in the
+  code.
+
+---

calling whatdependson for head-i586


Old:

  gnome-power-manager-3.1.3.tar.bz2

New:

  gnome-power-manager-3.1.90.tar.bz2



Other differences:
--
++ gnome-power-manager.spec ++
--- /var/tmp/diff_new_pack.uFpB0R/_old  2011-09-09 11:19:34.0 +0200
+++ /var/tmp/diff_new_pack.uFpB0R/_new  2011-09-09 11:19:34.0 +0200
@@ -18,15 +18,13 @@
 
 
 Name:   gnome-power-manager
-Version:3.1.3
+Version:3.1.90
 Release:1
 License:GPLv2+
 Summary:Power Management for GNOME
 Url:http://gnome-power.sourceforge.net/
 Group:  System/GUI/GNOME
 Source: 
http://download.gnome.org/sources/gnome-power-manager/3.1/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM gnome-power-manager-distcheck-fix.patch bnc708187 
bgo655363 sbra...@suse.cz -- distcheck fix
-Patch0: gnome-power-manager-distcheck-fix.patch
 # PATCH-NEEDS-REBASE gnome-power-manager-schedule-wakeups.patch gburt 
fate302448 -- add tab to prefs to schedule rtcwake (was PATCH-FEATURE-OPENSUSE)
 Patch10:gnome-power-manager-schedule-wakeups.patch
 # PATCH-NEEDS-REBASE gnome-power-manager-notify-idle-sleep.patch hmacht 
bnc#439018 bgo575467 -- notify user about auto suspend when returning from 
sleep (was PATCH-FEATURE-UPSTREAM)
@@ -38,21 +36,15 @@
 BuildRequires:  gnome-icon-theme
 BuildRequires:  gnome-patch-translation
 BuildRequires:  intltool
-BuildRequires:  libgnome-keyring-devel
-BuildRequires:  libnotify-devel
 BuildRequires:  libupower-glib-devel
-# For directory ownership
-BuildRequires:  polkit
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
-BuildRequires:  xmlto
-BuildRequires:  pkgconfig(gtk+-3.0)
+BuildRequires:  pkgconfig(gdk-3.0) = 2.91.7
+BuildRequires:  pkgconfig(gtk+-3.0) = 2.91.0
 %if 0%{?BUILD_FROM_VCS}
 BuildRequires:  gnome-common
 %endif
 Requires:   gnome-session-core
-# g-p-m uses the pkexec binary
-Requires:   polkit
 Requires:   upower
 Recommends: %{name}-lang
 # The -brightness and -inhibit-powersave applets are no longer provided in 
2.91+
@@ -69,7 +61,6 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
 translation-update-upstream
 #gnome-patch-translation-prepare
 # Needs rebase:
@@ -112,19 +103,13 @@
 
 %files
 %defattr (-, root, root)
-%doc AUTHORS COPYING HACKING NEWS README TODO
+%doc AUTHORS COPYING NEWS README
 %{_bindir}/gnome-power-statistics
-%{_sbindir}/gnome-power-backlight-helper
-# Own the directory since we can't depend on gconf providing them
-%dir %{_datadir}/GConf
-%dir %{_datadir}/GConf/gsettings
-%{_datadir}/GConf/gsettings/org.gnome.power-manager.gschema.migrate
 %{_datadir}/applications/gnome-power-statistics.desktop
 %{_datadir}/glib-2.0/schemas/org.gnome.power-manager.gschema.xml
 %{_datadir}/gnome-power-manager/
 %{_datadir}/icons/gnome/scalable/status/keyboard-brightness-symbolic.svg
 %{_datadir}/icons/hicolor/*/apps/*
-%{_datadir}/polkit-1/actions/org.gnome.power.policy
 %doc %{_mandir}/man1/gnome-power-statistics.*
 
 %files lang -f %{name}.lang

++ gnome-power-manager-3.1.3.tar.bz2 - gnome-power-manager-3.1.90.tar.bz2 
++
 238499 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-screensaver for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-screensaver for 
openSUSE:Factory
checked in at Fri Sep 9 11:19:54 CEST 2011.




--- GNOME/gnome-screensaver/gnome-screensaver.changes   2011-04-25 
16:48:17.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-screensaver/gnome-screensaver.changes
2011-09-05 08:47:05.0 +0200
@@ -1,0 +2,25 @@
+Mon Sep  5 06:28:03 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Use GnomeWallClock to keep informed about time and timezone
+changes.
+
+---
+Thu Sep  1 16:08:27 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Properly set background to black when cancelling unlock
+  + Drop the .pc file
+
+---
+Thu Aug 18 08:56:47 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Add back keyboard layout indicator
+  + Detect clock skew when resuming or ntp runs and compensate
+  + Fix crash in user switcher
+  + Drop libgnome-menu dependency
+  + Updated translations.
+- Drop pkgconfig(libgnome-menu) BuildRequires.
+
+---

calling whatdependson for head-i586


Old:

  gnome-screensaver-3.0.0.tar.bz2

New:

  gnome-screensaver-3.1.91.tar.bz2



Other differences:
--
++ gnome-screensaver.spec ++
--- /var/tmp/diff_new_pack.gq3dGD/_old  2011-09-09 11:19:48.0 +0200
+++ /var/tmp/diff_new_pack.gq3dGD/_new  2011-09-09 11:19:48.0 +0200
@@ -19,13 +19,13 @@
 
 
 Name:   gnome-screensaver
-Version:3.0.0
+Version:3.1.91
 Release:1
 Url:http://www.gnome.org/
 Group:  System/GUI/GNOME
 License:GPLv2+
 Summary:GNOME Screen Saver and Locker
-Source: 
ftp://ftp.gnome.org/pub/gnome/sources/%{name}/2.18/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gnome-screensaver/3.1/%{name}-%{version}.tar.bz2
 # PATCH-FEATURE-OPENSUSE gnome-screensaver-suse-pam.diff
 Patch:  gnome-screensaver-suse-pam.diff
 # PATCH-FIX-UPSTREAM gnome-screensaver-helper.patch bgo#640647 
fcro...@novell.com -- Put back helper authentication, removed by upstream
@@ -46,13 +46,12 @@
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(dbus-glib-1)
-BuildRequires:  pkgconfig(gnome-desktop-3.0)
-BuildRequires:  pkgconfig(gtk+-3.0)
+BuildRequires:  pkgconfig(gnome-desktop-3.0) = 3.1.91
+BuildRequires:  pkgconfig(gtk+-3.0) = 2.99.3
 # Needed by gnome-screensaver-finger-print.patch
 BuildRequires:  pkgconfig(libfprint)
 BuildRequires:  pkgconfig(libgnomekbdui)
-BuildRequires:  pkgconfig(libgnome-menu)
-BuildRequires:  pkgconfig(x11)
+BuildRequires:  pkgconfig(x11) = 1.0
 Requires:   /sbin/unix2_chkpwd
 Recommends: %{name}-lang
 Provides:   %{name}-devel = %{version}-%{release}
@@ -122,7 +121,6 @@
 %{_sysconfdir}/xdg/autostart/*.desktop
 %{_bindir}/*
 %{_mandir}/man1/gnome-screensaver*.1.gz
-%{_libdir}/pkgconfig/gnome-screensaver.pc
 %{_libexecdir}/%{name}
 
 %files lang -f %{name}.lang

++ gnome-screensaver-3.0.0.tar.bz2 - gnome-screensaver-3.1.91.tar.bz2 
++
 9703 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-settings-daemon for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-settings-daemon for 
openSUSE:Factory
checked in at Fri Sep 9 11:20:12 CEST 2011.




--- GNOME/gnome-settings-daemon/gnome-settings-daemon.changes   2011-07-25 
13:04:21.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-settings-daemon/gnome-settings-daemon.changes
2011-09-08 09:17:10.0 +0200
@@ -1,0 +2,134 @@
+Thu Sep  8 06:59:13 UTC 2011 - vu...@opensuse.org
+
+- Disable gnome-settings-daemon-system-proxy-configuration.diff for
+  now: we really need to fix it the proper way, which likely
+  involves libproxy, as mentioned in
+  http://code.google.com/p/libproxy/issues/detail?id=165 (tracked
+  in bnc#690493).
+- Also note that gnome-packagekit-fate302445.patch is not enabled
+  right now (tracked in bnc#689592).
+
+---
+Mon Sep  5 15:51:46 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Common:
+- Don't list XINPUT_LIBS twice, move X11_LIBS from LDFLAGS to
+  LIBADD
+  + Color:
+- Ensure the 'Recalibration required' notification has a custom
+  app name
+- Fix a critical warning on startup
+- Do not notify to recalibrate on every startup
+  + Daemon:
+- Fix possible double-free outside gnome-session
+  + Gconf:
+- Double check stuff we add to the hash table (bgo#658055)
+  + Housekeeping:
+- NULL-terminate the ignore-paths array (bgo#657849)
+  + Power:
+- Do not exit gnome-settings-daemon if upower fails to load
+- Fix impossible to hit error paths (bgo#657364)
+- Fix BRIGHTESS_STEP_AMOUNT calculation macro
+- Do most of the work in _start () (bgo#657924)
+- Never idle-dim the display to a higher brightness level
+  (bgo#658144)
+  + Printers:
+- Remove redundant code
+  + Xsettings:
+- Handle rgba-order key (bgo#657525)
+- Don't poke at an empty hashtable (bgo#657464)
+- Fix a stray brace
+  + Updated translations.
+
+---
+Thu Sep  1 14:28:30 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + A11Y-keyboard:
+- Use GIO's DBus API instead of dbus-glib's
+  + Color:
+- Don't use uninitialized GErrors
+- Do not set an age for display and printer profiles
+- Remove the ability to disable notifications
+- Do not search user-icc directories if they do not exist
+  (bgo#657484)
+  + Daemon:
+- Add Unity to OnlyShowIn value for autostart desktop file
+  (bgo#654919)
+  + Media keys:
+- Don't go up to 11 (bgo#649411)
+  + Mouse:
+- Be more careful to avoid segfaults (bgo#657462)
+  + Power:
+- Ensure the critical battery beep is stopped when the AC is
+  inserted
+- Ensure we lock the screen before suspending on lid close
+  (bgo#655924)
+- Add mention of bgo#652183
+  + Smartcard:
+- Use GIO's DBus API instead of dbus-glib's
+  + Updates:
+- Do not log a warning if the firmware-missing file does not
+  exist
+- Do not log a warning at startup if getting the upgrade list
+  is not supported (bgo#657483)
+  + Updated translations.
+- Rebase gnome-settings-daemon-bnc462640-mute-action.patch.
+- Add polkit Requires: the power plugin uses pkexec.
+
+---
+Thu Aug 18 08:58:07 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + A11y-keyboard:
+- Enable plugin by default (bgo#656287)
+  + Automount:
+- Link against the private profiler library
+- Add some missing includes
+- Don't ship the .in file, just the .in.in one
+- Silence two trivial -Wformat-security warnings
+  + Color:
+- Do not show multiple warnings if colord is not available at
+  runtime
+- Fix a potential crash when unloading the color plugin
+- Fix a potential crash if creating the per-user ICC directory
+  fails
+- Make lcms2 a hard dependency
+  + Housekeeping:
+- Use g_format_size() instead of g_format_size_for_display()
+  + Media keys:
+- Don't preserve the path after filling
+- Remove the half pixel offset from the progressbar fill
+- Always round the render coordinates for media icons
+  + Power:
+- Add the idle actions
+- Show a status icon when in fallback mode
+- Respect the idle-dim-ac and idle-dim-battery configuration
+  keys
+- Add a backlight helper, as xbacklight isn't always present
+- Fall back to the backlight helper if xbacklight is not
+  available
+- Fix a potential crash when unloading the power plugin
+- Ensure we return the new percentage when changing the
+  brightness
+  + Updates:
+- Do not use deprecated PackageKit #defines
+  + Wacom:
+- Invert TPCButton setting (bgo#656372)
+  + Updated translations.
+
+---
+Fri Jul 29 04:19:01 UTC 2011 - g...@suse.com
+
+- Rebase 

commit gnome-system-monitor for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-system-monitor for 
openSUSE:Factory
checked in at Fri Sep 9 11:20:39 CEST 2011.




--- GNOME/gnome-system-monitor/gnome-system-monitor.changes 2011-07-05 
08:13:36.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-system-monitor/gnome-system-monitor.changes  
2011-08-30 16:48:16.0 +0200
@@ -1,0 +2,9 @@
+Tue Aug 30 16:47:09 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Updated translations.
+- Changes from version 3.1.4:
+  + Added Help button to preferences dialog.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gnome-system-monitor-3.1.3.tar.bz2

New:

  gnome-system-monitor-3.1.90.tar.bz2



Other differences:
--
++ gnome-system-monitor.spec ++
--- /var/tmp/diff_new_pack.iy29qk/_old  2011-09-09 11:20:20.0 +0200
+++ /var/tmp/diff_new_pack.iy29qk/_new  2011-09-09 11:20:20.0 +0200
@@ -34,7 +34,7 @@
 BuildRequires:  pkgconfig(libwnck-3.0)
 License:GPLv2+
 Group:  System/GUI/GNOME
-Version:3.1.3
+Version:3.1.90
 Release:1
 Source0:
http://download.gnome.org/sources/gnome-system-monitor/3.1/%{name}-%{version}.tar.bz2
 Url:http://www.gnome.org

++ gnome-system-monitor-3.1.3.tar.bz2 - 
gnome-system-monitor-3.1.90.tar.bz2 ++
 9969 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-themes-standard for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-themes-standard for 
openSUSE:Factory
checked in at Fri Sep 9 11:21:06 CEST 2011.




--- GNOME/gnome-themes-standard/gnome-themes-standard.changes   2011-07-25 
17:38:43.0 +0200
+++ 
/mounts/work_src_done/STABLE/gnome-themes-standard/gnome-themes-standard.changes
2011-09-06 23:19:18.0 +0200
@@ -1,0 +2,34 @@
+Tue Sep  6 20:35:53 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Make the text color for insensitive menu entries a bit darker
+  + Use stock gtk_render_line() implementation from
+GtkThemingEngine
+  + Apply a linked style for filechooser pathbar buttons
+
+---
+Tue Aug 30 16:28:32 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Use a flat style for radiobuttons on sidebars
+  + Enable raised/linked areas on non-primary toolbars
+  + Support menubar toolbars
+  + Support menu active state for button
+  + Fix tooltips background
+  + Fix fail whale dialog button prelight
+
+---
+Tue Aug 16 11:43:13 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Improve WM theme for titlebars and buttons
+  + Improve buttons, scales, sliders, progressbars for the dark
+theme
+  + Use a new style for GtkComboBox widgets with entries
+  + Fix combobox left/right padding
+  + Improve GtkTreeView expander styling
+  + Prelight the spinbutton arrows
+  + Use the new gtk-focus-visible Gtk setting
+  + Fix trough style class matching for custom widgets
+
+---

calling whatdependson for head-i586


Old:

  gnome-themes-standard-3.1.4.tar.bz2

New:

  gnome-themes-standard-3.1.91.tar.bz2



Other differences:
--
++ gnome-themes-standard.spec ++
--- /var/tmp/diff_new_pack.gkIPz6/_old  2011-09-09 11:21:01.0 +0200
+++ /var/tmp/diff_new_pack.gkIPz6/_new  2011-09-09 11:21:01.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   gnome-themes-standard
 Summary:Standard GNOME Themes
-Version:3.1.4
+Version:3.1.91
 Release:1
 License:LGPLv2.1+
 Group:  System/GUI/GNOME
@@ -27,7 +27,7 @@
 Source: 
http://download.gnome.org/sources/gnome-themes-standard/3.1/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  intltool
-BuildRequires:  pkgconfig(gtk+-3.0)
+BuildRequires:  pkgconfig(gtk+-3.0) = 3.1.18
 BuildRequires:  pkgconfig(librsvg-2.0)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 

++ gnome-themes-standard-3.1.4.tar.bz2 - 
gnome-themes-standard-3.1.91.tar.bz2 ++
 3492 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-tweak-tool for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-tweak-tool for openSUSE:Factory
checked in at Fri Sep 9 11:21:18 CEST 2011.




--- GNOME/gnome-tweak-tool/gnome-tweak-tool.changes 2011-06-22 
18:29:18.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-tweak-tool/gnome-tweak-tool.changes  
2011-09-02 02:14:36.0 +0200
@@ -1,0 +2,29 @@
+Thu Sep  1 14:03:42 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Adopt GNOME version numbering
+  + Rename some tweak groups, File Manager - Desktop, etc
+  + Fix build against PyGObject-3
+  + Improve search results
+  + Support GNOME Shell 3.2 extensions
+- Change pkgconfig(pygobject-2.0) BuildRequires to
+  pkgconfig(pygobject-3.0), following upstream change.
+- Add python-gobject Requires as this python application obviously
+  needs it.
+
+---
+Fri Aug 19 09:25:08 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.0:
+  + Change tweakgroup architecture: tweaks in different files can
+appear in the same categories now.
+  + Tweaks can now override summary/description usually obtained
+from gconf/gsettings
+  + Move window border theme to interfaces
+  + Mark many strings as translatable.
+  + Now appears as 'Advanced Settings' in GNOME shell search
+  + Add a -v,--verbose option that prints changed settings
+  + Add a -d,--debug option
+  + Add Unity to OnlyShowIn
+
+---

calling whatdependson for head-i586


Old:

  gnome-tweak-tool-3.0.5.tar.bz2

New:

  gnome-tweak-tool-3.1.90.tar.bz2



Other differences:
--
++ gnome-tweak-tool.spec ++
--- /var/tmp/diff_new_pack.mSoek1/_old  2011-09-09 11:21:12.0 +0200
+++ /var/tmp/diff_new_pack.mSoek1/_new  2011-09-09 11:21:12.0 +0200
@@ -19,22 +19,23 @@
 
 
 Name:   gnome-tweak-tool
-Version:3.0.5
+Version:3.1.90
 Release:1
 License:GPLv3+
 Summary:A tool to customize advanced GNOME 3 options
 Group:  System/GUI/GNOME
 Url:http://live.gnome.org/GnomeTweakTool
-Source0:%{name}-%{version}.tar.bz2
+Source0:
http://download.gnome.org/sources/gnome-tweak-tool/3.1/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 # Needed to have typelib() Requires
 BuildRequires:  gobject-introspection
 BuildRequires:  intltool
 BuildRequires:  pkgconfig(gconf-2.0)
-BuildRequires:  pkgconfig(gsettings-desktop-schemas)
-BuildRequires:  pkgconfig(pygobject-2.0)
+BuildRequires:  pkgconfig(gsettings-desktop-schemas) = 3.0.0
+BuildRequires:  pkgconfig(pygobject-3.0) = 2.90.0
 BuildRequires:  update-desktop-files
 Requires:   gnome-shell
+Requires:   python-gobject
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch

++ gnome-tweak-tool-3.0.5.tar.bz2 - gnome-tweak-tool-3.1.90.tar.bz2 ++
 5174 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-utils for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-utils for openSUSE:Factory
checked in at Fri Sep 9 11:21:42 CEST 2011.




--- GNOME/gnome-utils/gnome-utils.changes   2011-07-28 09:17:47.0 
+0200
+++ /mounts/work_src_done/STABLE/gnome-utils/gnome-utils.changes
2011-09-01 16:24:47.0 +0200
@@ -1,0 +2,20 @@
+Thu Sep  1 14:22:02 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + screenshot: Don't save uri-escaped filenames.
+  + Updated translations.
+
+---
+Wed Aug 17 15:39:31 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + screenshot: use Nautilus DBus methods instead of our own
+transfer dialog
+  + Allow nautilus to highlight the file when using
+'Open Containing Folder'
+  + Build fixes
+  + Bugs fixed: bgo#654533
+  + Updated translations.
+- Drop gnome-utils-no-deprecated.patch: fixed upstream.
+
+---

calling whatdependson for head-i586


Old:

  gnome-utils-3.1.2.tar.bz2
  gnome-utils-no-deprecated.patch

New:

  gnome-utils-3.1.90.tar.bz2



Other differences:
--
++ gnome-utils.spec ++
--- /var/tmp/diff_new_pack.PJQWza/_old  2011-09-09 11:21:26.0 +0200
+++ /var/tmp/diff_new_pack.PJQWza/_new  2011-09-09 11:21:26.0 +0200
@@ -18,15 +18,13 @@
 
 
 Name:   gnome-utils
-Version:3.1.2
-Release:2
+Version:3.1.90
+Release:1
 License:GPLv2+
 Summary:Utilities for GNOME
 Url:http://www.gnome.org
 Group:  System/GUI/GNOME
-Source: 
http://ftp.gnome.org/pub/gnome/sources/gnome-utils/3.1/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM gnome-utils-no-deprecated.patch bgo#655477 
vu...@opensuse.org -- Do not use deprecated glib API, to fix build. Part is 
from git, part is submitted upstream.
-Patch0: gnome-utils-no-deprecated.patch
+Source: 
http://download.gnome.org/sources/gnome-utils/3.1/%{name}-%{version}.tar.bz2
 # PATCH-FIX-OPENSUSE gnome-utils-logview-run-as-root.patch
 Patch15:gnome-utils-logview-run-as-root.patch
 # PATCH-FIX-OPENSUSE gnome-utils-no-docpath-in-search-tool.patch 
vu...@novell.com -- Remove DocPath from the .desktop file (so that it doesnt 
appear in yelp toc)
@@ -37,11 +35,11 @@
 BuildRequires:  gconf2-devel
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  gnome-icon-theme
-BuildRequires:  libgtop-devel
+BuildRequires:  libgtop-devel = 2.12.0
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(gsettings-desktop-schemas)
-BuildRequires:  pkgconfig(libcanberra-gtk3)
+BuildRequires:  pkgconfig(libcanberra-gtk3) = 0.26
 Requires:   gnome-icon-theme
 Requires:   tango-icon-theme
 # We need xdg-su for gnome-utils-logview-run-as-root.patch
@@ -100,7 +98,6 @@
 %prep
 %setup -q
 translation-update-upstream
-%patch0 -p1
 %patch15 -p0
 %patch31 -p0
 %patch32 -p0

++ gnome-utils-3.1.2.tar.bz2 - gnome-utils-3.1.90.tar.bz2 ++
GNOME/gnome-utils/gnome-utils-3.1.2.tar.bz2 
/mounts/work_src_done/STABLE/gnome-utils/gnome-utils-3.1.90.tar.bz2 differ: 
char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gnome-vfs2 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gnome-vfs2 for openSUSE:Factory
checked in at Fri Sep 9 11:21:57 CEST 2011.




--- GNOME/gnome-vfs2/gnome-vfs2.changes 2010-09-29 04:15:16.0 +0200
+++ /mounts/work_src_done/STABLE/gnome-vfs2/gnome-vfs2.changes  2011-09-02 
12:40:47.0 +0200
@@ -1,0 +2,7 @@
+Fri Sep  2 10:27:17 UTC 2011 - vu...@opensuse.org
+
+- Change dbus-1-glib BuildRequires to dbus-1-glib-devel to fix
+  build: dbus-1-glib-devel was apparently brought in by something
+  else before.
+
+---

calling whatdependson for head-i586




Other differences:
--
++ gnome-vfs2.spec ++
--- /var/tmp/diff_new_pack.Wfl1Tq/_old  2011-09-09 11:21:51.0 +0200
+++ /var/tmp/diff_new_pack.Wfl1Tq/_new  2011-09-09 11:21:51.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package gnome-vfs2 (Version 2.24.4)
+# spec file for package gnome-vfs2
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -22,7 +22,7 @@
 %define _name gnome-vfs
 BuildRequires:  cdparanoia
 BuildRequires:  dbus-1-devel
-BuildRequires:  dbus-1-glib
+BuildRequires:  dbus-1-glib-devel
 BuildRequires:  fam-devel
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -46,7 +46,7 @@
 BuildRequires:  openssl-devel
 BuildRequires:  samba
 Version:2.24.4
-Release:1
+Release:5
 Summary:The GNOME 2.x Desktop Virtual File System Libraries
 License:GPLv2+ ; LGPLv2.1+
 Group:  Development/Libraries/GNOME






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gobject-introspection for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gobject-introspection for 
openSUSE:Factory
checked in at Fri Sep 9 11:22:14 CEST 2011.




--- GNOME/gobject-introspection/gobject-introspection.changes   2011-08-17 
21:49:45.0 +0200
+++ 
/mounts/work_src_done/STABLE/gobject-introspection/gobject-introspection.changes
2011-09-06 21:51:05.0 +0200
@@ -1,0 +2,49 @@
+Mon Sep  5 15:52:27 UTC 2011 - fcro...@suse.com
+
+- Fix build on 11.4 by owning %{_rpmconfigdir}/fileattrs, that
+  appeared in recent rpm.
+
+---
+Fri Sep  2 16:39:40 UTC 2011 - vu...@opensuse.org
+
+- Add gobject-introspection-fix-regress.patch: fix wrong type for a
+  variable, which was causing build issues in gjs and
+  python-gobject.
+
+---
+Fri Sep  2 12:33:16 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.29.17:
+  + Fix declarations in xlib-2.0.gir.
+  + Regenerate Gio/GLib/GObject annotations.
+  + libgirepository:
+- Deprecate ErrorDomain
+- Switch to storing string form of error quarks
+- Add g_irepository_find_by_error_domain()
+- Allow enums and bitfields to have static methods
+- Documentation improvements
+  + giscanner:
+- Add DocBook and Mallard generator
+- Various fixes to correctly handle the docs
+- Add signal flags
+- Recognize constructors ending in 'newv'
+- Handle static methods on all types
+- Allow enums and bitfields to have static methods
+- Try harder to preserve c:type
+- Forbid GPtrArrays holding non-pointer types
+- Disallow non byte types for GByteArrays
+- Properly handle GParamSpec and descendants
+- Add a moved_to property to backcompat functions
+- Avoid most of the special-casing of GObject.Object in the
+  scanner
+- Fix warning for missing (element-type)
+- Fix symbols being reported in invalid files
+- Teach scanner's girparser about fundamentals
+- Make the Transformer respect 'skip' annotations
+- Allow passing additional include dirs when parsing a gir
+- Workaround: Automatically turn Gdk.Rectangle gtype into
+  cairo.RectangleInt
+  + Various code cleanups.
+  + Tests improvements.
+
+---
@@ -4,4 +53,4 @@
-- Extend gi-find-deps.sh: Special case for .py files:
-  raise ImportError.* lines are deleted. pygobject for example
-  tries to explain how to convert the sources to the new gi-based
-  python bindings.
+- Extend gi-find-deps.sh with a special case for .py files:
+  raise ImportError.* lines are deleted. This is needed as
+  pygobject tries to explain with such lines how to convert the
+  sources to the new gi-based python bindings.

calling whatdependson for head-i586


Old:

  gobject-introspection-1.29.16.tar.bz2

New:

  gobject-introspection-1.29.17.tar.bz2
  gobject-introspection-fix-regress.patch



Other differences:
--
++ gobject-introspection.spec ++
--- /var/tmp/diff_new_pack.KZ8KFP/_old  2011-09-09 11:22:09.0 +0200
+++ /var/tmp/diff_new_pack.KZ8KFP/_new  2011-09-09 11:22:09.0 +0200
@@ -18,8 +18,8 @@
 
 
 Name:   gobject-introspection
-Version:1.29.16
-Release:2
+Version:1.29.17
+Release:1
 # FIXME: when bgo#629930 gets fixed, move the appropriate pkg-config files to 
the main package and rename the devel package to libgirepository-devel
 License:LGPLv2.1+
 Summary:GObject Introspection Tools
@@ -31,6 +31,8 @@
 Source2:gobjectintrospection.attr
 Source3:gobject-introspection-typelib.template
 Source99:   %{name}-rpmlintrc
+# PATCH-FIX-UPSTREAM gobject-introspection-fix-regress.patch bgo#658075 
vu...@opensuse.org -- Fix wrong type for variable
+Patch0: gobject-introspection-fix-regress.patch
 BuildRequires:  bison
 BuildRequires:  fdupes
 BuildRequires:  flex
@@ -77,6 +79,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %if 0%{?BUILD_FROM_VCS}
 [ -x ./autogen.sh ]  NOCONFIGURE=1 ./autogen.sh
@@ -112,6 +115,7 @@
 %doc AUTHORS CONTRIBUTORS COPYING COPYING.GPL NEWS README TODO
 %{_bindir}/g-ir-annotation-tool
 %{_bindir}/g-ir-compiler
+%{_bindir}/g-ir-doc-tool
 %{_bindir}/g-ir-generate
 %{_bindir}/g-ir-scanner
 %doc %{_mandir}/man1/g-ir-compiler.1*
@@ -131,6 +135,10 @@
 %{_datadir}/gobject-introspection-1.0/tests/
 %{_datadir}/gobject-introspection-1.0/gdump.c
 %{_rpmconfigdir}/gi-find-deps.sh
+%if 0%{suse_version} = 1140
+# This was not in old versions of rpm
+%dir %{_rpmconfigdir}/fileattrs
+%endif
 %{_rpmconfigdir}/fileattrs/gobjectintrospection.attr
 
 %files -n libgirepository-1_0-1

++ gobject-introspection-1.29.16.tar.bz2 - 
gobject-introspection-1.29.17.tar.bz2 ++
 73069 lines of diff (skipped)

++ 

commit goobox for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package goobox for openSUSE:Factory
checked in at Fri Sep 9 11:22:32 CEST 2011.




--- GNOME/goobox/goobox.changes 2011-06-07 11:17:30.0 +0200
+++ /mounts/work_src_done/STABLE/goobox/goobox.changes  2011-09-01 
18:17:00.0 +0200
@@ -1,0 +2,12 @@
+Thu Sep  1 16:15:40 UTC 2011 - vu...@opensuse.org
+
+- Update to version 2.90.2:
+  + Bugs fixed:
+- Fixed loading of the CD when /dev/cdrom doesn't exits.
+- Removed wrong use of the dark theme.
+  + Internal code changes:
+- The documentation has been ported to Mallard.
+- Fixed compilation warnings.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  goobox-2.90.1.tar.bz2

New:

  goobox-2.90.2.tar.bz2



Other differences:
--
++ goobox.spec ++
--- /var/tmp/diff_new_pack.qtzjxE/_old  2011-09-09 11:22:24.0 +0200
+++ /var/tmp/diff_new_pack.qtzjxE/_new  2011-09-09 11:22:24.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   goobox
-Version:2.90.1
+Version:2.90.2
 Release:1
 License:GPLv2+
 Summary:CD Player and Ripper for GNOME
 Url:http://www.gnome.org
 Group:  Productivity/Multimedia/CD/Grabbers
-Source: 
ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.0/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/goobox/2.90/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  gnome-doc-utils-devel
@@ -87,9 +87,6 @@
 %dir %{_datadir}/gnome/help/
 %dir %{_datadir}/gnome/help/%{name}/
 %doc %{_datadir}/gnome/help/%{name}/C/
-%dir %{_datadir}/omf/
-%dir %{_datadir}/omf/%{name}/
-%doc %{_datadir}/omf/%{name}/%{name}-C.omf
 %{_bindir}/goobox
 %{_datadir}/applications/goobox.desktop
 %{_datadir}/GConf/gsettings/goobox.convert

++ goobox-2.90.1.tar.bz2 - goobox-2.90.2.tar.bz2 ++
 27557 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gq for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gq for openSUSE:Factory
checked in at Fri Sep 9 11:22:50 CEST 2011.




--- gq/gq.changes   2011-02-12 20:25:37.0 +0100
+++ /mounts/work_src_done/STABLE/gq/gq.changes  2011-09-05 19:31:53.0 
+0200
@@ -1,0 +2,11 @@
+Mon Sep  5 12:07:06 UTC 2011 - vu...@opensuse.org
+
+- Add libgcrypt-devel BuildRequires: it has been forgotten for some
+  reason.
+- Drop gq-1.2.3-ia64.diff: the patch never made it upstream, and is
+  actually only useful if we turn on debugging. Instead, pass
+  --disable-debugging to configure.
+- Add gq-fix-linking.patch: fix linking issue, taken from git.
+- Add call to autoreconf for above patch.
+
+---

calling whatdependson for head-i586


Old:

  gq-1.2.3-ia64.diff

New:

  gq-fix-linking.patch



Other differences:
--
++ gq.spec ++
--- /var/tmp/diff_new_pack.G71PEb/_old  2011-09-09 11:22:46.0 +0200
+++ /var/tmp/diff_new_pack.G71PEb/_new  2011-09-09 11:22:46.0 +0200
@@ -28,6 +28,7 @@
 %else
 BuildRequires:  gnome-keyring-devel
 %endif
+BuildRequires:  libgcrypt-devel
 BuildRequires:  libxml2-devel
 BuildRequires:  openldap2-devel
 BuildRequires:  perl-XML-Parser
@@ -38,11 +39,12 @@
 Group:  Productivity/Networking/LDAP/Clients
 Summary:An LDAP Client for GTK
 Version:1.2.3
-Release:74
+Release:79
 Url:http://gq-project.org/
 Source0:gq-%{version}.tar.bz2
 Source1:gq-%{version}-langpack-1.tar.bz2
-Patch0: gq-%{version}-ia64.diff
+# PATCH-FIX-UPSTREAM gq-fix-linking.patch vu...@opensuse.org -- Fix linking 
issue, taken from git
+Patch0: gq-fix-linking.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -51,14 +53,17 @@
 %prep
 %setup -q
 %setup -T -D -a 1
-%patch0
+%patch0 -p1
 
 %build
+# needed for patch0
+autoreconf -fi -I macros
 gq-%{version}-langpack-1/langpack .
 export CFLAGS=-DLDAP_DEPRECATED $RPM_OPT_FLAGS
 %configure \
 --enable-browser-dnd   \
---disable-update-mimedb
+--disable-update-mimedb \
+--disable-debugging
 %__make %{?jobs:-j%jobs}
 
 %install

++ gq-fix-linking.patch ++
From 415bc60cb09bd8cdba9feb5ce5f7f114236b0ba4 Mon Sep 17 00:00:00 2001
From: Jakob Haufe su...@sur5r.net
Date: Mon, 4 Apr 2011 03:52:59 +0200
Subject: [PATCH] Fix linking for gold or ld --no-add-needed

---
 configure.in |3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/configure.in b/configure.in
index 62ed39a..69f77dd 100644
--- a/configure.in
+++ b/configure.in
@@ -283,6 +283,9 @@ if test $gq_have_tls = 1; then
AC_CHECK_LIB(ssl, SSL_new,
 [LIBS=-lssl $LIBS]
)
+AC_CHECK_LIB(crypto, BIO_new,
+ [LIBS=-lcrypto $LIBS]
+)
 fi
 
 AC_CHECK_FUNCS(ldap_str2objectclass ldap_memfree ldap_rename ldap_str2dn \
-- 
1.7.4.1





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit grilo for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package grilo for openSUSE:Factory
checked in at Fri Sep 9 11:23:04 CEST 2011.




--- grilo/grilo.changes 2011-08-03 20:37:43.0 +0200
+++ /mounts/work_src_done/STABLE/grilo/grilo.changes2011-09-05 
17:46:44.0 +0200
@@ -1,0 +2,13 @@
+Mon Sep  5 15:32:24 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.1.17:
+  + Minor improvements in documentation
+  + Well-manage end of search/browse in splitted sources
+  + Minor fixes in build system
+  + Install XML files in the same place as libraries
+  + Restrict loading of a subset of plugins
+  + Added support for Vala 0.14
+  + Fixed some bugs, including: bgo#657549, bgo#657920.
+- Remove sed hack in %build to support vala 0.14: fixed upstream.
+
+---

calling whatdependson for head-i586


Old:

  grilo-0.1.16.tar.bz2

New:

  grilo-0.1.17.tar.bz2



Other differences:
--
++ grilo.spec ++
--- /var/tmp/diff_new_pack.ipgHIc/_old  2011-09-09 11:22:59.0 +0200
+++ /var/tmp/diff_new_pack.ipgHIc/_new  2011-09-09 11:22:59.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   grilo
-Version:0.1.16
+Version:0.1.17
 Release:1
 License:LGPL-2.1+
 Summary:Framework for browsing and searching media content
@@ -91,9 +91,6 @@
 %setup -q
 
 %build
-# Hack: We need libvala-0.14 support. Remove when grep fails.
-grep -q libvala-0.14 configure*  false
-sed -i s:libvala-0.12:libvala-0.14:g configure*
 %configure \
--disable-static \
--disable-tests \
@@ -129,8 +126,6 @@
 %{_libdir}/girepository-1.0/Grl-0.1.typelib
 # Directories needed for plugins
 %dir %{_libdir}/grilo-0.1
-%dir %{_datadir}/grilo-0.1
-%dir %{_datadir}/grilo-0.1/plugins
 
 %files -n libgrlnet-0_1-0
 %defattr(-,root,root)
@@ -149,7 +144,6 @@
 %files devel
 %defattr(-,root,root)
 %doc %{_datadir}/gtk-doc/html/grilo/
-%doc %{_datadir}/gtk-doc/html/grilo-libs/
 %{_includedir}/grilo-0.1/
 %{_libdir}/*.so
 %{_libdir}/pkgconfig/grilo-0.1.pc

++ grilo-0.1.16.tar.bz2 - grilo-0.1.17.tar.bz2 ++
 26162 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gsettings-desktop-schemas for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gsettings-desktop-schemas for 
openSUSE:Factory
checked in at Fri Sep 9 11:23:27 CEST 2011.




--- GNOME/gsettings-desktop-schemas/gsettings-desktop-schemas.changes   
2011-07-05 07:48:44.0 +0200
+++ 
/mounts/work_src_done/STABLE/gsettings-desktop-schemas/gsettings-desktop-schemas.changes
2011-09-06 07:50:07.0 +0200
@@ -1,0 +2,9 @@
+Tue Sep  6 05:48:47 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Add org.gnome.desktop.interface.{clock-show-seconds,
+clock-show-date}
+  + Improve documentation for org.gnome.system.proxy
+  + Updated translations
+
+---

calling whatdependson for head-i586


Old:

  gsettings-desktop-schemas-3.1.3.tar.bz2

New:

  gsettings-desktop-schemas-3.1.91.tar.bz2



Other differences:
--
++ gsettings-desktop-schemas.spec ++
--- /var/tmp/diff_new_pack.WlYUTS/_old  2011-09-09 11:23:19.0 +0200
+++ /var/tmp/diff_new_pack.WlYUTS/_new  2011-09-09 11:23:19.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   gsettings-desktop-schemas
-Version:3.1.3
+Version:3.1.91
 Release:1
 License:LGPLv2+
 Summary:Shared GSettings Schemas for the Desktop

++ gsettings-desktop-schemas-3.1.3.tar.bz2 - 
gsettings-desktop-schemas-3.1.91.tar.bz2 ++
 5387 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gssdp for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gssdp for openSUSE:Factory
checked in at Fri Sep 9 11:23:40 CEST 2011.




--- GNOME/gssdp/gssdp.changes   2011-07-20 22:31:12.0 +0200
+++ /mounts/work_src_done/STABLE/gssdp/gssdp.changes2011-08-30 
17:03:39.0 +0200
@@ -1,0 +2,9 @@
+Tue Aug 30 17:02:56 CEST 2011 - vu...@opensuse.org
+
+- Update to version 0.12.0:
+  + Remove unnecessary and annoying deprecation warnings.
+  + When sending duplicate announcement packets, always repeat
+complete sets.
+  + Bugs fixed: bgo#655900.
+
+---

calling whatdependson for head-i586


Old:

  gssdp-0.11.2.tar.bz2

New:

  gssdp-0.12.0.tar.bz2



Other differences:
--
++ gssdp.spec ++
--- /var/tmp/diff_new_pack.kC4fbp/_old  2011-09-09 11:23:35.0 +0200
+++ /var/tmp/diff_new_pack.kC4fbp/_new  2011-09-09 11:23:35.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   gssdp
-Version:0.11.2
+Version:0.12.0
 Release:1
 Summary:Library for resource discovery and announcement over SSDP
 License:LGPL v2 or later
 Group:  Development/Libraries/C and C++
 Url:http://www.gupnp.org/
-Source: 
http://download.gnome.org/sources/gssdp/0.11/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gssdp/0.12/%{name}-%{version}.tar.bz2
 BuildRequires:  glib2-devel
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  gtk2-devel

++ gssdp-0.11.2.tar.bz2 - gssdp-0.12.0.tar.bz2 ++
 13497 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/gssdp-0.11.2/NEWS new/gssdp-0.12.0/NEWS
--- old/gssdp-0.11.2/NEWS   2011-07-20 20:57:06.0 +0200
+++ new/gssdp-0.12.0/NEWS   2011-08-29 17:04:25.0 +0200
@@ -1,3 +1,19 @@
+0.12.0
+==
+- Remove unnecessary and annoying deprecation warnings.
+- When sending duplicate announcement packets, always repeat complete sets.
+
+All contributors to this release:
+
+Jens Georg m...@jensge.org
+
+Bugs fixed:
+- bgo#655900
+
+DLNA requirements addressed:
+- 7.2.4.3
+- 7.2.4.5
+
 0.11.2
 ==
 - Modernize autotools.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/gssdp-0.11.2/configure.ac new/gssdp-0.12.0/configure.ac
--- old/gssdp-0.11.2/configure.ac   2011-07-20 20:57:06.0 +0200
+++ new/gssdp-0.12.0/configure.ac   2011-08-29 13:20:33.0 +0200
@@ -1,6 +1,6 @@
 AC_PREREQ([2.64])
 AC_INIT([gssdp],
-[0.11.2],
+[0.12.0],
 
[http://bugzilla.gnome.org/enter_bug.cgi?product=gupnpcomponent=gssdp],
 [gssdp],
 [http://www.gupnp.org/])
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/gssdp-0.11.2/doc/html/ch01.html new/gssdp-0.12.0/doc/html/ch01.html
--- old/gssdp-0.11.2/doc/html/ch01.html 2011-07-20 20:58:14.0 +0200
+++ new/gssdp-0.12.0/doc/html/ch01.html 2011-08-29 17:13:07.0 +0200
@@ -21,7 +21,7 @@
 /tr/table
 div class=chapter
 div class=titlepagedivdivh2 class=title
-a name=id489801/aGSSDP/h2/div/div/div
+a name=id546565/aGSSDP/h2/div/div/div
 div class=tocdl
 dt
 span class=refentrytitlea 
href=GSSDPClient.htmlGSSDPClient/a/spanspan class=refpurpose — SSDP 
bus wrapper./span
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/gssdp-0.11.2/doc/html/index.html new/gssdp-0.12.0/doc/html/index.html
--- old/gssdp-0.11.2/doc/html/index.html2011-07-20 20:58:14.0 
+0200
+++ new/gssdp-0.12.0/doc/html/index.html2011-08-29 17:13:07.0 
+0200
@@ -14,14 +14,14 @@
 div class=titlepage
 div
 divtable class=navigation id=top width=100% cellpadding=2 
cellspacing=0trth valign=middlep class=titleGSSDP Reference 
Manual/p/th/tr/table/div
-divp class=releaseinfoVersion 0.11.2
+divp class=releaseinfoVersion 0.12.0
 
   

commit gtk2 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gtk2 for openSUSE:Factory
checked in at Fri Sep 9 11:24:15 CEST 2011.




--- GNOME/gtk2/gtk2.changes 2011-07-07 11:08:30.0 +0200
+++ /mounts/work_src_done/STABLE/gtk2/gtk2.changes  2011-09-02 
11:37:41.0 +0200
@@ -1,0 +2,18 @@
+Wed Aug 31 09:52:22 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.24.6:
+  + Filechooser updates:
+- Remove the expander in Save mode
+- Move the path bar up in Save mode
+- Remember the last opened directory
+- Start in recently-used mode when no folder is set
+- Update recent-files when confirming in the file chooser
+  + Win32 build fixes
+  + OS X build fixes for Lion
+  + Bugs fixed: bgo#508601, bgo#599664, bgo#649588, bgo#652045,
+bgo#653191, bgo#655074, bgo#655087, bgo#655122, bgo#655392.
+  + Updated translations.
+- Use a sed workaround in %prep to disable the build of a broken
+  source for a test (see bgo#658039).
+
+---

calling whatdependson for head-i586


Old:

  gtk+-2.24.5.tar.bz2

New:

  gtk+-2.24.6.tar.bz2



Other differences:
--
++ gtk2.spec ++
--- /var/tmp/diff_new_pack.gyfABH/_old  2011-09-09 11:24:10.0 +0200
+++ /var/tmp/diff_new_pack.gyfABH/_new  2011-09-09 11:24:10.0 +0200
@@ -21,15 +21,16 @@
 
 Name:   gtk2
 %define _name gtk+
-Version:2.24.5
+Version:2.24.6
 Release:1
+# FIXME: 2.24.6 has a broken tests/testtreeview.c, see bgo#658039. Remove 
workaround in %%prep once this is fixed.
 # FIXME: 2.19.3 doesn't compile with parallel build. Check if this is still 
true for later versions.
 # FIXME: when updating to next version, check whether we can remove the 
workaround for bgo#596977 below (removing -fomit-frame-pointer)
 License:LGPLv2.1+
 Summary:The GTK+ toolkit library (version 2)
 Url:http://www.gtk.org/
 Group:  System/Libraries
-Source: 
ftp://ftp.gnome.org/pub/GNOME/sources/%{_name}/2.12/%{_name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gtk+/2.24/%{_name}-%{version}.tar.bz2
 Source2:README.SuSE
 Source3:gtkrc
 Source4:baselibs.conf
@@ -296,6 +297,9 @@
 %lang_package
 %prep
 %setup -q -n %{_name}-%{version}
+# Hacky workaround against broken tarball; the test will fail when it can be 
removed (see bgo#658039)
+test x`wc -l tests/testtreeview.c` = x38 tests/testtreeview.c
+sed -i s/\ttesttreeview\t//g tests/Makefile.am
 # This breaks the build, so disabled for now (see bnc#690180)
 #translation-update-upstream
 #translation-update-upstream po-properties gtk20-properties

++ gtk+-2.24.5.tar.bz2 - gtk+-2.24.6.tar.bz2 ++
GNOME/gtk2/gtk+-2.24.5.tar.bz2 
/mounts/work_src_done/STABLE/gtk2/gtk+-2.24.6.tar.bz2 differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtkhtml for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gtkhtml for openSUSE:Factory
checked in at Fri Sep 9 11:24:28 CEST 2011.




--- gtkhtml/gtkhtml.changes 2011-07-24 12:17:20.0 +0200
+++ /mounts/work_src_done/STABLE/gtkhtml/gtkhtml.changes2011-09-04 
18:26:51.0 +0200
@@ -1,0 +2,25 @@
+Sun Sep  4 16:25:33 UTC 2011 - vu...@opensuse.org
+
+- Update to version 4.1.91:
+  + Updated translations.
+
+---
+Fri Sep  2 08:19:50 UTC 2011 - vu...@opensuse.org
+
+- Update to version 4.1.90.1:
+  + bgo#657764: Explicitly link gtkhtml against libm
+
+---
+Tue Aug 30 16:35:17 CEST 2011 - vu...@opensuse.org
+
+- Update to version 4.1.90:
+  + Updated translations.
+
+---
+Mon Aug 15 09:22:21 CEST 2011 - dims...@opensuse.org
+
+- Update to version 4.1.5:
+  + bgo#655277: Remove 'No such language' runtime warning
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  gtkhtml-4.1.4.tar.bz2

New:

  gtkhtml-4.1.91.tar.bz2



Other differences:
--
++ gtkhtml.spec ++
--- /var/tmp/diff_new_pack.THSIH6/_old  2011-09-09 11:24:23.0 +0200
+++ /var/tmp/diff_new_pack.THSIH6/_new  2011-09-09 11:24:23.0 +0200
@@ -24,7 +24,7 @@
 %define _gtkhtml_editor_major 0
 
 Name:   gtkhtml
-Version:4.1.4
+Version:4.1.91
 Release:1
 License:GPLv2+ ; LGPLv2.1+
 Summary:Lightweight HTML rendering/printing/editing engine

++ gtkhtml-4.1.4.tar.bz2 - gtkhtml-4.1.91.tar.bz2 ++
 39784 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtkmm3 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gtkmm3 for openSUSE:Factory
checked in at Fri Sep 9 11:24:43 CEST 2011.




--- GNOME/gtkmm3/gtkmm3.changes 2011-07-27 15:01:59.0 +0200
+++ /mounts/work_src_done/STABLE/gtkmm3/gtkmm3.changes  2011-09-06 
12:42:24.0 +0200
@@ -1,0 +2,23 @@
+Tue Sep  6 10:37:21 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.18:
+  + Gtk:
+- Assistant: Added remove_page().
+- Dialog::get_content_area(): Avoid infinite loop.
+- Added FontChooser and FontChooserDialog, deprecating old
+  widgets.
+- PrintUnixDialog::get_selected_printer(): ref-counting
+  correction (bgo##657751).
+- TreeView: Added unset_drag_dest_row() (bgo#577986).
+  + Build:
+- Updated Visual C++ Projects
+
+---
+Wed Aug 31 16:03:40 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.16:
+  + Added Gtk::FontChooser and Gtk::FontChooserDialog, deprecating
+old widgets.
+  + Updated Visual C++ Projects
+
+---

calling whatdependson for head-i586


Old:

  gtkmm-3.1.10.tar.bz2

New:

  gtkmm-3.1.18.tar.bz2



Other differences:
--
++ gtkmm3.spec ++
--- /var/tmp/diff_new_pack.nr03ew/_old  2011-09-09 11:24:38.0 +0200
+++ /var/tmp/diff_new_pack.nr03ew/_new  2011-09-09 11:24:38.0 +0200
@@ -21,7 +21,7 @@
 
 Name:   gtkmm3
 %define _name gtkmm
-Version:3.1.10
+Version:3.1.18
 Release:1
 Group:  System/Libraries
 License:LGPLv2.1+
@@ -31,11 +31,11 @@
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
 BuildRequires:  pkgconfig(atkmm-1.6)
-BuildRequires:  pkgconfig(cairomm-1.0)
-BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
-BuildRequires:  pkgconfig(giomm-2.4)
-BuildRequires:  pkgconfig(gtk+-3.0)
-BuildRequires:  pkgconfig(pangomm-1.4)
+BuildRequires:  pkgconfig(cairomm-1.0) = 1.9.2
+BuildRequires:  pkgconfig(gdk-pixbuf-2.0) = 2.22.1
+BuildRequires:  pkgconfig(giomm-2.4) = 2.27.93
+BuildRequires:  pkgconfig(gtk+-3.0) = 3.1.18
+BuildRequires:  pkgconfig(pangomm-1.4) = 2.27.1
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ gtkmm-3.1.10.tar.bz2 - gtkmm-3.1.18.tar.bz2 ++
GNOME/gtkmm3/gtkmm-3.1.10.tar.bz2 
/mounts/work_src_done/STABLE/gtkmm3/gtkmm-3.1.18.tar.bz2 differ: char 11, line 1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gtksourceview for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gtksourceview for openSUSE:Factory
checked in at Fri Sep 9 11:25:09 CEST 2011.




--- GNOME/gtksourceview/gtksourceview.changes   2011-08-09 09:51:34.0 
+0200
+++ /mounts/work_src_done/STABLE/gtksourceview/gtksourceview.changes
2011-09-06 16:25:30.0 +0200
@@ -1,0 +2,7 @@
+Tue Sep  6 14:23:03 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.5:
+  + Misc bugfixes
+  + Updated translations
+
+---

calling whatdependson for head-i586


Old:

  gtksourceview-3.1.4.tar.bz2

New:

  gtksourceview-3.1.5.tar.bz2



Other differences:
--
++ gtksourceview.spec ++
--- /var/tmp/diff_new_pack.04VMDY/_old  2011-09-09 11:25:03.0 +0200
+++ /var/tmp/diff_new_pack.04VMDY/_new  2011-09-09 11:25:03.0 +0200
@@ -19,7 +19,7 @@
 %define enable_glade_catalog 0
 
 Name:   gtksourceview
-Version:3.1.4
+Version:3.1.5
 Release:1
 License:GPLv2+
 Summary:GTK+ Source Editing Widget
@@ -63,6 +63,7 @@
 
 %package -n glade3-catalog-gtksourceview
 
+
 License:GPLv2+
 Summary:GTK+ Source Editing Widget -- Catalog for Glade
 Group:  Development/Tools/GUI Builders

++ gtksourceview-3.1.4.tar.bz2 - gtksourceview-3.1.5.tar.bz2 ++
 22298 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit guitarix for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package guitarix for openSUSE:Factory
checked in at Fri Sep 9 11:25:33 CEST 2011.




--- guitarix/guitarix.changes   2010-08-27 15:55:12.0 +0200
+++ /mounts/work_src_done/STABLE/guitarix/guitarix.changes  2011-08-10 
23:05:02.0 +0200
@@ -1,0 +2,41 @@
+Wed Aug 10 20:58:33 UTC 2011 - mse...@gmail.com
+
+- updated to guitarix2, it is a full replacement for 
+  guitarix and/or gx_head in any sense, 
+  changes in guitarix (0.18.0):
+  * add tube model 12AT7
+  * fix runtime isuess when build with g++  4.5
+  * add presence level controller
+  * add bass booster level controller
+  * switch to function pointer based engine
+  * fix isuess with GtkBuilder  2.14
+  * fix correct use of included zita-resampler source
+  * add factory settings by a5Rutoandimat 
+  changes in guitarix2 (0.17.0) unstable
+  * fix jack session support
+  * add 2 new amp models
+  * fix some speeling errors (patch by merlinthegreen)
+  * sorce code formating and cleanup (Google C++ Style Guide)
+  changes in gx-head (0.14.0)
+  * add tube 6DJ8
+  * add clean tube modes
+  * reworked drive controller (bypass - wet)
+  * add clipper
+  * add mono level controller
+  * add French translation by jy
+  * add TACTILE skin by Pete Shorthose
+  * add knob animation support by Pete Shorthose
+  * add new knob images by Pete Shorthose
+  * add new switch images by Pete Shorthose
+  * fix 64bit bug in libgxw by Pete Shorthose
+  * add factory settings by Dave Phillips
+  * add 3bad EQ + sharper
+  * add tremolo by transmogrifox (Rakarrack)
+  changes in gx-head (0.13.0)
+  * add post amp
+  * add noise gate
+  * add italian translation by Ivan Tarozzi
+  * add desert skin by zettberlin
+  * add factory settigs by zettberlin
+
+---

calling whatdependson for head-i586


Old:

  guitarix-0.11.1.tar.bz2

New:

  guitarix2-0.18.0.tar.bz2



Other differences:
--
++ guitarix.spec ++
--- /var/tmp/diff_new_pack.SuEj54/_old  2011-09-09 11:25:27.0 +0200
+++ /var/tmp/diff_new_pack.SuEj54/_new  2011-09-09 11:25:27.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package guitarix (Version 0.11.1)
+# spec file for package guitarix
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,12 +20,12 @@
 Summary:Simple Linux amplifier for jack
 
 Name:   guitarix
-Version:0.11.1
+Version:0.18.0
 Release:1
 License:GPLv2+
 Group:  Productivity/Multimedia/Sound/Utilities
 Url:http://guitarix.sourceforge.net/
-Source: %{name}-%{version}.tar.bz2
+Source: guitarix2-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  gcc-c++
 BuildRequires:  gtk2-devel
@@ -37,6 +37,7 @@
 BuildRequires:  fftw3-devel
 BuildRequires:  gtkmm2-devel
 BuildRequires:  boost-devel
+BuildRequires:  intltool
 Requires:   jack
 Requires:   meterbridge
 Requires:   vorbis-tools
@@ -69,31 +70,34 @@
 This package contains the  LADSPA plugins (UniqID 4061 - 4068).
 
 %prep
-%setup -q
+%setup -q -n guitarix2-%{version}
 
 %build
 #todo: add faust package to openSUSE
-./waf configure --experimental --faust --ladspadir=%{_libdir}/ladspa  
--prefix=%{_prefix} --cxxflags=$RPM_OPT_FLAGS -std=gnu++0x
+./waf configure --faust --ladspadir=%{_libdir}/ladspa  --prefix=%{_prefix} 
--cxxflags=$RPM_OPT_FLAGS -std=gnu++0x
 ./waf build %{?jobs: -j%jobs} 
 
 %install
 ./waf install --destdir=$RPM_BUILD_ROOT
 %suse_update_desktop_file -i %{name} AudioVideo Music
+%find_lang %{name}
 
 %clean
 [ -d %{buildroot} -a %{buildroot} !=  ]  %__rm -rf %{buildroot}
 
-%files
+%files -f %{name}.lang
 %defattr(-,root,root)
 %doc changelog COPYING README
-%dir %{_datadir}/%{name}
-%dir %{_datadir}/%{name}/builder
-%dir %{_datadir}/%{name}/skins
+%dir %{_datadir}/gx_head
+%dir %{_datadir}/gx_head/builder
+%dir %{_datadir}/gx_head/skins
+%dir %{_datadir}/gx_head/sounds/
 %{_bindir}/%{name}
-%{_datadir}/%{name}/builder/*.glade
-%{_datadir}/%{name}/skins/*
+%{_datadir}/gx_head/builder/*.glade
+%{_datadir}/gx_head/skins/*
+%{_datadir}/gx_head/sounds/greathall.wav
 %{_datadir}/applications/%{name}.desktop
-%{_datadir}/pixmaps/%{name}*.png
+%{_datadir}/pixmaps/gx_head*.png
 %{_datadir}/pixmaps/gx_bypass.png
 %{_datadir}/pixmaps/gx_off.png
 %{_datadir}/pixmaps/gx_on.png

++ guitarix-0.11.1.tar.bz2 - guitarix2-0.18.0.tar.bz2 ++
 100944 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: 

commit gupnp for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gupnp for openSUSE:Factory
checked in at Fri Sep 9 11:25:49 CEST 2011.




--- GNOME/gupnp/gupnp.changes   2011-08-05 20:33:03.0 +0200
+++ /mounts/work_src_done/STABLE/gupnp/gupnp.changes2011-08-30 
17:03:59.0 +0200
@@ -1,0 +2,7 @@
+Tue Aug 30 17:01:47 CEST 2011 - vu...@opensuse.org
+
+- Update to version 0.18.0:
+  + Fix a crash in Linux context manager if the USB cable is
+unplugged from a USB network device interface.
+
+---

calling whatdependson for head-i586


Old:

  gupnp-0.17.2.tar.bz2

New:

  gupnp-0.18.0.tar.bz2



Other differences:
--
++ gupnp.spec ++
--- /var/tmp/diff_new_pack.1beRWp/_old  2011-09-09 11:25:45.0 +0200
+++ /var/tmp/diff_new_pack.1beRWp/_new  2011-09-09 11:25:45.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   gupnp
-Version:0.17.2
+Version:0.18.0
 Release:1
 Summary:Implementation of the UPnP specification
 License:LGPL v2 or later
 Group:  Development/Libraries/C and C++
 Url:http://www.gupnp.org/
-Source: 
http://download.gnome.org/sources/gupnp/0.17/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gupnp/0.18/%{name}-%{version}.tar.bz2
 BuildRequires:  gobject-introspection-devel
 BuildRequires:  libsoup-devel = 2.28.2
 BuildRequires:  libgssdp-devel = 0.11.2

++ gupnp-0.17.2.tar.bz2 - gupnp-0.18.0.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gupnp-0.17.2/NEWS new/gupnp-0.18.0/NEWS
--- old/gupnp-0.17.2/NEWS   2011-08-04 22:43:51.0 +0200
+++ new/gupnp-0.18.0/NEWS   2011-08-29 18:08:49.0 +0200
@@ -1,3 +1,14 @@
+0.18.0
+==
+
+Changes since 0.17.2:
+
+- Fix a crash in Linux context manager if the USB cable is unplugged from a
+  USB network device interface.
+
+All contributors:
+Jens Georg m...@jensge.org
+
 0.17.2
 ==
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/gupnp-0.17.2/configure new/gupnp-0.18.0/configure
--- old/gupnp-0.17.2/configure  2011-08-04 22:50:24.0 +0200
+++ new/gupnp-0.18.0/configure  2011-08-29 22:23:49.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.67 for gupnp 0.17.2.
+# Generated by GNU Autoconf 2.67 for gupnp 0.18.0.
 #
 # Report bugs to 
http://bugzilla.gnome.org/enter_bug.cgi?product=gupnpcomponent=gupnp.
 #
@@ -702,8 +702,8 @@
 # Identity of this package.
 PACKAGE_NAME='gupnp'
 PACKAGE_TARNAME='gupnp'
-PACKAGE_VERSION='0.17.2'
-PACKAGE_STRING='gupnp 0.17.2'
+PACKAGE_VERSION='0.18.0'
+PACKAGE_STRING='gupnp 0.18.0'
 
PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=gupnpcomponent=gupnp'
 PACKAGE_URL='http://www.gupnp.org/'
 
@@ -1479,7 +1479,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat _ACEOF
-\`configure' configures gupnp 0.17.2 to adapt to many kinds of systems.
+\`configure' configures gupnp 0.18.0 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1550,7 +1550,7 @@
 
 if test -n $ac_init_help; then
   case $ac_init_help in
- short | recursive ) echo Configuration of gupnp 0.17.2:;;
+ short | recursive ) echo Configuration of gupnp 0.18.0:;;
esac
   cat \_ACEOF
 
@@ -1677,7 +1677,7 @@
 test -n $ac_init_help  exit $ac_status
 if $ac_init_version; then
   cat \_ACEOF
-gupnp configure 0.17.2
+gupnp configure 0.18.0
 generated by GNU Autoconf 2.67
 
 Copyright (C) 2010 Free Software Foundation, Inc.
@@ -1955,7 +1955,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by gupnp $as_me 0.17.2, which was
+It was created by gupnp $as_me 0.18.0, which was
 generated by GNU Autoconf 2.67.  Invocation command line was
 
   $ $0 $@
@@ -2779,7 +2779,7 @@
 
 # Define the identity of the package.
  PACKAGE='gupnp'
- VERSION='0.17.2'
+ VERSION='0.18.0'
 
 
 cat confdefs.h _ACEOF
@@ -12340,7 +12340,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log=
-This file was extended by gupnp $as_me 0.17.2, which was
+This file was extended by gupnp $as_me 0.18.0, which was
 generated by GNU Autoconf 2.67.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -12407,7 +12407,7 @@
 cat $CONFIG_STATUS _ACEOF || ac_write_fail=1
 ac_cs_config=`$as_echo $ac_configure_args | sed 's/^ //; 
s/[\\\`\$]//g'`
 ac_cs_version=\\
-gupnp config.status 0.17.2
+gupnp config.status 0.18.0
 configured by $0, generated by GNU Autoconf 

commit gupnp-av for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gupnp-av for openSUSE:Factory
checked in at Fri Sep 9 11:26:01 CEST 2011.




--- GNOME/gupnp-av/gupnp-av.changes 2011-06-17 00:52:24.0 +0200
+++ /mounts/work_src_done/STABLE/gupnp-av/gupnp-av.changes  2011-09-05 
18:32:34.0 +0200
@@ -1,0 +2,13 @@
+Mon Sep  5 16:31:57 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.10.1:
+  + Bump minimum dependency of GUPnP to 0.17.0.
+
+---
+Tue Aug 30 17:04:04 CEST 2011 - vu...@opensuse.org
+
+- Update to version 0.10.0:
+  + Verify passed date in DIDL. Not a full verification but a small
+sanity check.
+
+---

calling whatdependson for head-i586


Old:

  gupnp-av-0.9.1.tar.bz2

New:

  gupnp-av-0.10.1.tar.bz2



Other differences:
--
++ gupnp-av.spec ++
--- /var/tmp/diff_new_pack.sVDUVk/_old  2011-09-09 11:25:57.0 +0200
+++ /var/tmp/diff_new_pack.sVDUVk/_new  2011-09-09 11:25:57.0 +0200
@@ -18,15 +18,15 @@
 
 
 Name:   gupnp-av
-Version:0.9.1
+Version:0.10.1
 Release:1
 License:LGPL v2 or later
 Summary:Library to ease the handling and implementation of UPnP A/V 
profiles
 Url:http://www.gupnp.org/
 Group:  Development/Libraries/C and C++
-Source: %{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/gupnp-av/0.10/%{name}-%{version}.tar.bz2
 BuildRequires:  gobject-introspection-devel
-BuildRequires:  libgupnp-devel
+BuildRequires:  libgupnp-devel = 0.17.0
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ gupnp-av-0.9.1.tar.bz2 - gupnp-av-0.10.1.tar.bz2 ++
 2272 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit gvfs for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package gvfs for openSUSE:Factory
checked in at Fri Sep 9 11:26:32 CEST 2011.




--- GNOME/gvfs/gvfs.changes 2011-07-28 09:04:01.0 +0200
+++ /mounts/work_src_done/STABLE/gvfs/gvfs.changes  2011-09-06 
16:23:07.0 +0200
@@ -1,0 +2,39 @@
+Mon Sep  5 18:38:39 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.9.5:
+  + dav: Fix small memory leak
+  + gdu: Don't ignore fstab mounts belonging to crypto volumes
+  + smb: Always check for existing file on rename
+  + Updated translations.
+
+---
+Wed Aug 31 16:25:58 CEST 2011 - vu...@opensuse.org
+
+- Update to version 1.9.4:
+  + Brand new AFP backend
+  + Fixed several leaks of GSimpleAsyncResult objects
+  + Added simple gvfs-mime test application
+  + daemon: Ignore SIGPIPE signals to avoid process termination on
+cancelled transfer
+  + computer: Use 'drive-harddisk-system' as File System icon
+  + ftp: Fix return value of try_get_settable_attributes() on
+failure
+  + gvfs-open: Exit with error code  0 when open fails
+  + String tweaks
+  + Updated translations.
+- Add libgcrypt-devel BuildRequires: new dependency for the AFP
+  backend.
+- Rebase gvfs-nvvfs.patch.
+
+---
+Mon Aug 15 19:37:07 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.9.3:
+  + gvfs-copy: Do not use deprecated g_format_size_for_display()
+  + fuse: Bring back real statfs()
+  + Fixed several obvious programming errors found during code
+analysis
+  + Updated translations.
+- Drop gvfs-g_format_size.patch: fixed upstream.
+
+---

calling whatdependson for head-i586


Old:

  gvfs-1.9.2.tar.bz2
  gvfs-g_format_size.patch

New:

  gvfs-1.9.5.tar.bz2



Other differences:
--
++ gvfs.spec ++
--- /var/tmp/diff_new_pack.mnEc7x/_old  2011-09-09 11:26:27.0 +0200
+++ /var/tmp/diff_new_pack.mnEc7x/_new  2011-09-09 11:26:27.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   gvfs
-Version:1.9.2
+Version:1.9.5
 Release:1
 # FIXME: add libbluray BuildRequires once available (fate#312440)
 License:LGPLv2.0+
@@ -27,8 +27,6 @@
 Group:  Development/Libraries/C and C++
 Source0:
http://download.gnome.org/sources/gvfs/1.9/%{name}-%{version}.tar.bz2
 Source99:   baselibs.conf
-# PATCH-FIX-UPSTREAM gvfs-g_format_size.patch bgo#655474 vu...@opensuse.org -- 
Do not use deprecated glib API to fix build
-Patch0: gvfs-g_format_size.patch
 # PATCH-FEATURE-OPENSUSE gvfs-nvvfs.patch ksam...@novell.com -- Provides gvfs 
backend for novell nautilus plugin
 Patch5: gvfs-nvvfs.patch
 # PATCH-FEATURE-OPENSUSE gvfs-nds.patch ksam...@novell.com -- Provides NDS 
browsing for nautilus
@@ -36,12 +34,13 @@
 BuildRequires:  bluez-devel
 BuildRequires:  dbus-1-glib-devel
 BuildRequires:  fuse-devel
-BuildRequires:  glib2-devel
+BuildRequires:  glib2-devel = 2.29.14
 BuildRequires:  intltool
 BuildRequires:  libarchive-devel
 BuildRequires:  libavahi-glib-devel
 BuildRequires:  libcdio-devel
 BuildRequires:  libexpat-devel
+BuildRequires:  libgcrypt-devel
 BuildRequires:  libgdu-devel
 BuildRequires:  libgnome-keyring-devel
 BuildRequires:  libgphoto2-devel
@@ -115,7 +114,6 @@
 %prep
 %setup -q
 translation-update-upstream
-%patch0 -p1
 %patch5 -p1
 %patch6 -p1
 autoreconf -f
@@ -194,6 +192,10 @@
 %{_libexecdir}/%{name}/gvfs-gphoto2-volume-monitor
 %{_datadir}/dbus-1/services/org.gtk.Private.GPhoto2VolumeMonitor.service
 %{_datadir}/%{name}/remote-volume-monitors/gphoto2.monitor
+%{_libexecdir}/%{name}/gvfsd-afp
+%{_datadir}/%{name}/mounts/afp.mount
+%{_libexecdir}/%{name}/gvfsd-afp-browse
+%{_datadir}/%{name}/mounts/afp-browse.mount
 %{_libexecdir}/%{name}/gvfsd-archive
 %{_datadir}/%{name}/mounts/archive.mount
 %{_libexecdir}/%{name}/gvfsd-burn

++ gvfs-1.9.2.tar.bz2 - gvfs-1.9.5.tar.bz2 ++
 43851 lines of diff (skipped)

++ gvfs-nvvfs.patch ++
--- /var/tmp/diff_new_pack.mnEc7x/_old  2011-09-09 11:26:28.0 +0200
+++ /var/tmp/diff_new_pack.mnEc7x/_new  2011-09-09 11:26:28.0 +0200
@@ -653,8 +653,8 @@
 ===
 --- gvfs-1.5.1.orig/daemon/Makefile.am
 +++ gvfs-1.5.1/daemon/Makefile.am
-@@ -108,6 +108,10 @@ mount_DATA += afc.mount
- libexec_PROGRAMS += gvfsd-afc
+@@ -108,6 +108,10 @@ mount_DATA += afp-browse.mount afp.mount
+ libexec_PROGRAMS += gvfsd-afp-browse gvfsd-afp
  endif
  
 +mount_in_files += nvvfs.mount.in






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit iso-codes for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package iso-codes for openSUSE:Factory
checked in at Fri Sep 9 11:26:46 CEST 2011.




--- GNOME/iso-codes/iso-codes.changes   2011-07-09 14:38:58.0 +0200
+++ /mounts/work_src_done/STABLE/iso-codes/iso-codes.changes2011-09-04 
18:42:49.0 +0200
@@ -1,0 +2,15 @@
+Sun Sep  4 16:25:55 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.28:
+  + ISO 3166:
+- Update ISO-3166 after publication of ISO-3166 maintenance
+  agency Newsletter VI-10 dated 2011-08-09:
+  . Addition of South Sudan (SS)
+  . Change of numeric code for Sudan
+  + ISO 3166-2:
+- Fix errors in some codes. Closes: alioth#313307,
+  alioth#313317.
+  + Updated translations for ISO 639, ISO 639-3, ISO 3166,
+ISO 3166-2, ISO 4217, ISO 15924.
+
+---

calling whatdependson for head-i586


Old:

  iso-codes-3.27.tar.bz2

New:

  iso-codes-3.28.tar.bz2



Other differences:
--
++ iso-codes.spec ++
--- /var/tmp/diff_new_pack.q4venm/_old  2011-09-09 11:26:39.0 +0200
+++ /var/tmp/diff_new_pack.q4venm/_new  2011-09-09 11:26:39.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   iso-codes
-Version:3.27
+Version:3.28
 Release:1
 License:LGPLv2.1+
 Summary:ISO Code Lists and Translations

++ iso-codes-3.27.tar.bz2 - iso-codes-3.28.tar.bz2 ++
 19974 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit kde4-filesystem for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package kde4-filesystem for openSUSE:Factory
checked in at Fri Sep 9 11:26:58 CEST 2011.




--- KDE/kde4-filesystem/kde4-filesystem.changes 2011-07-28 18:39:14.0 
+0200
+++ /mounts/work_src_done/STABLE/kde4-filesystem/kde4-filesystem.changes
2011-09-01 22:38:22.0 +0200
@@ -1,0 +2,5 @@
+Thu Sep  1 22:32:45 CEST 2011 - dmuel...@suse.de
+
+- bump version requirements to 4.7.1
+
+---

calling whatdependson for head-i586


New:

  _service:format_spec_file:kde4-filesystem.spec



Other differences:
--
++ _service:format_spec_file:kde4-filesystem.spec ++
#
# spec file for package kde4-filesystem
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An Open Source License is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:   kde4-filesystem
Url:http://www.kde.org
Version:4.7.1
Release:2
License:LGPLv2.1+
Group:  System/Fhs
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
Summary:KDE4 Directory Layout
Source0:macros.kde4
Source1:COPYING
Provides:   kde4-fsview  = 3.93.0.svn712059
Obsoletes:  kde4-fsview = 3.93.0.svn712059
Provides:   kdeaddons4  = 3.93.0.svn712059
Obsoletes:  kdeaddons4 = 3.93.0.svn712059
Provides:   kdeaddons4-kicker  = 3.93.0
Obsoletes:  kdeaddons4-kicker = 3.93.0
Provides:   kdeaddons4-knewsticker  = 3.93.0.svn712059
Obsoletes:  kdeaddons4-knewsticker = 3.93.0.svn712059
Provides:   kdeaddons4-konqueror  = 3.93.0.svn712059
Obsoletes:  kdeaddons4-konqueror = 3.93.0.svn712059
Provides:   kdeaddons4-renamedlgplugins  = 3.93.0.svn712059
Obsoletes:  kdeaddons4-renamedlgplugins = 3.93.0.svn712059
Provides:   kde4-kbackgammon  = 3.95.1
Obsoletes:  kde4-kbackgammon = 3.95.1
Provides:   kde4-kghostview  = 3.95.1
Obsoletes:  kde4-kghostview = 3.95.1
Provides:   kde4-noatun  = 3.93.0.svn712059
Obsoletes:  kde4-noatun = 3.93.0.svn712059
Provides:   kdeaccessibility4-kicker  = 3.97.1
Obsoletes:  kdeaccessibility4-kicker = 3.97.1
Provides:   kdetoys4-kicker  = 3.97.1
Obsoletes:  kdetoys4-kicker = 3.97.1
Provides:   kde4-khexeditor  = 3.97.1
Obsoletes:  kde4-khexeditor = 3.97.1
Provides:   kde4-kregexpeditor  = 3.97.1
Obsoletes:  kde4-kregexpeditor = 3.97.1
Obsoletes:  extragear-libs = 4.0.80
Obsoletes:  kde4-kmilo = 4.0.72
Obsoletes:  kde4-kmobiletools = 4.0.80
Obsoletes:  kde4-knewsticker  4.1.70
Obsoletes:  kde4-korn = 4.1.0
Obsoletes:  kde4-kpercentage = 4.0.73
Obsoletes:  kde4-kpilot = 4.0.80
Obsoletes:  kde4-kworldclock = 4.0.74
Obsoletes:  kde4-kxsldbg = 4.0
Obsoletes:  kde4-quanta = 4.0
Obsoletes:  kde4-secpolicy = 4.0.80
Obsoletes:  kde4-kpercentage = 4.1.87
Obsoletes:  kde4-ktnef = 4.1.87
Obsoletes:  kde4-style-phase = 4.1.87
Obsoletes:  kdeartwork4-kwin = 4.1.87
Obsoletes:  kdeartwork4-kworldclock = 4.1.87
Obsoletes:  libkscan4 = 4.0.73
Obsoletes:  kpilot = 4.3.80
Obsoletes:  kdeedu4 = 4.6.80
Obsoletes:  kdeedu4-noarch = 4.6.80
Obsoletes:  kmtrace-devel = 4.6.80
# keep in sync with macros.kde4
# TODO: can we include macros.kde4 directly to define it?
%define _kde_config_dir /usr/share/kde4/config

%description
This package installs the KDE directory structure.



Authors:

The KDE Team k...@kde.org

%prep

%build

%install
  install -D -m644 %{SOURCE0} $RPM_BUILD_ROOT/etc/rpm/macros.kde4
  install -D -m644 %{SOURCE1} 
$RPM_BUILD_ROOT//usr/share/doc/packages/kde4-filesystem/COPYING
  mkdir -p $RPM_BUILD_ROOT/%_kde_config_dir
  mkdir -p $RPM_BUILD_ROOT/usr/share/applications/kde4
  for size in scalable 128x128 64x64 48x48 32x32 22x22 16x16; do
for type in actions apps devices filesystems mimetypes status; do
  for theme in crystalsvg oxygen hicolor locolor; do
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/$theme/$size/$type
  done
done
  done
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/apps/small/16x16
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/apps/small/32x32
  mkdir -p $RPM_BUILD_ROOT/usr/share/icons/oxygen/scalable/status/small/16x16
  mkdir -p 

commit krb5-auth-dialog for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package krb5-auth-dialog for openSUSE:Factory
checked in at Fri Sep 9 11:40:59 CEST 2011.




--- GNOME/krb5-auth-dialog/krb5-auth-dialog.changes 2011-04-29 
01:44:17.0 +0200
+++ /mounts/work_src_done/STABLE/krb5-auth-dialog/krb5-auth-dialog.changes  
2011-09-06 16:41:35.0 +0200
@@ -1,0 +2,14 @@
+Tue Sep  6 14:30:39 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Move preferences from cc into the app (bgo#657292)
+  + Update ticket list on ccache changes
+  + Add menu bar to ticket dialog making help accessible again
+  + Updated translations.
+- Remove now unneeded pkgconfig(libgnome-control-center)
+  BuildRequires.
+- Add krb5-auth-dialog-no-g-c-c.patch: fix configure flag to really
+  not needed pkgconfig(libgnome-control-center).
+- Add autoreconf call, needed for above patch.
+
+---

calling whatdependson for head-i586


Old:

  krb5-auth-dialog-3.0.1.tar.bz2

New:

  krb5-auth-dialog-3.1.91.tar.bz2
  krb5-auth-dialog-no-g-c-c.patch



Other differences:
--
++ krb5-auth-dialog.spec ++
--- /var/tmp/diff_new_pack.hbwLla/_old  2011-09-09 11:40:55.0 +0200
+++ /var/tmp/diff_new_pack.hbwLla/_new  2011-09-09 11:40:55.0 +0200
@@ -20,12 +20,14 @@
 
 Name:   krb5-auth-dialog
 Summary:Kerberos 5 ticket monitoring tray applet
-Version:3.0.1
+Version:3.1.91
 Release:1
-Source: %{name}-%{version}.tar.bz2
 License:GPLv2+
 Group:  Productivity/Security
 Url:http://download.gnome.org/sources/krb5-auth-dialog/
+Source: 
http://download.gnome.org/sources/krb5-auth-dialog/3.1/%{name}-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM krb5-auth-dialog-no-g-c-c.patch bgo#658364 
vu...@opensuse.org -- Really drop gnome-control-center dependency
+Patch0: krb5-auth-dialog-no-g-c-c.patch
 BuildRequires:  bison
 BuildRequires:  flex
 BuildRequires:  gnome-doc-utils-devel
@@ -37,7 +39,6 @@
 BuildRequires:  pkgconfig(gconf-2.0)
 BuildRequires:  pkgconfig(glib-2.0)
 BuildRequires:  pkgconfig(gtk+-3.0)
-BuildRequires:  pkgconfig(libgnome-control-center)
 BuildRequires:  pkgconfig(libnm-glib)
 BuildRequires:  pkgconfig(libnotify)
 Recommends: %{name}-lang
@@ -55,8 +56,11 @@
 %prep
 %setup -q
 translation-update-upstream
+%patch0 -p1
 
 %build
+# needed for patch0
+autoreconf -fi
 %configure \
 --disable-static \
 --disable-scrollkeeper \
@@ -68,7 +72,6 @@
 find %{buildroot}%{_libdir} -type f -name '*.la' -delete -print
 %suse_update_desktop_file 
%{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop
 %suse_update_desktop_file %{buildroot}%{_datadir}/applications/%{name}.desktop
-%suse_update_desktop_file gnome-ka-panel
 %find_lang %{name} %{?no_lang_C}
 %find_gconf_schemas
 
@@ -106,7 +109,6 @@
 %doc %{_datadir}/omf/%{name}/%{name}-C.omf
 %{_bindir}/%{name}*
 %{_libdir}/%{name}/
-%{_libdir}/control-center-1/panels/libka.so
 %{_datadir}/%{name}
 %{_datadir}/applications/*.desktop
 %{_datadir}/dbus-1/services/org.gnome.KrbAuthDialog.service

++ krb5-auth-dialog-3.0.1.tar.bz2 - krb5-auth-dialog-3.1.91.tar.bz2 ++
 8927 lines of diff (skipped)

++ krb5-auth-dialog-no-g-c-c.patch ++
commit 43a819989c3ed125463a067ae4048b87c79fbc65
Author: Vincent Untz vu...@gnome.org
Date:   Tue Sep 6 16:36:32 2011 +0200

build: Really drop libgnome-control-center dependency

https://bugzilla.gnome.org/show_bug.cgi?id=658364

diff --git a/configure.ac b/configure.ac
index db5a0ec..6e1f04e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -193,13 +193,6 @@ CFLAGS=$savedCFLAGS
 LIBS=$savedLIBS
 
 
-dnl libgnome-control-center
-dnl for the new panel
-PKG_CHECK_MODULES(CONTROL_CENTER, [
- libgnome-control-center = 2.31.4])
-PANELS_DIR=${libdir}/control-center-1/panels
-AC_SUBST(PANELS_DIR)
-
 dnl secmem
 dnl Checks for library functions.
 AC_CHECK_FUNCS(seteuid stpcpy mmap)
@@ -300,7 +293,6 @@ AC_MSG_NOTICE([  Network Manager: $NETWORK_MANAGER_CFLAGS 
$NETWORK_MANAGER_LIBS]
 else
 AC_MSG_NOTICE([  Network Manager: no])
 fi
-AC_MSG_NOTICE([ gnome-cc: $CONTROL_CENTER_CFLAGS $CONTROL_CENTER_LIBS])
 AC_MSG_NOTICE([])
 AC_MSG_NOTICE([Miscellaneous])
 AC_MSG_NOTICE([])





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libchamplain for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libchamplain for openSUSE:Factory
checked in at Fri Sep 9 11:41:21 CEST 2011.




--- GNOME/libchamplain/libchamplain.changes 2011-08-18 21:16:47.0 
+0200
+++ /mounts/work_src_done/STABLE/libchamplain/libchamplain.changes  
2011-09-04 18:41:36.0 +0200
@@ -1,0 +2,8 @@
+Sun Sep  4 16:25:52 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.11.0:
+  + Animated zoom-in/out.
+  + Various fixes.
+- Drop libchamplain-build.patch: fixed upstream.
+
+---

calling whatdependson for head-i586


Old:

  libchamplain-0.10.0.tar.bz2
  libchamplain-build.patch

New:

  libchamplain-0.11.0.tar.bz2



Other differences:
--
++ libchamplain.spec ++
--- /var/tmp/diff_new_pack.nA0hhw/_old  2011-09-09 11:41:14.0 +0200
+++ /var/tmp/diff_new_pack.nA0hhw/_new  2011-09-09 11:41:14.0 +0200
@@ -18,15 +18,13 @@
 
 
 Name:   libchamplain
-Version:0.10.0
-Release:2
+Version:0.11.0
+Release:1
 License:LGPLv2.1+
 Summary:Library to display maps
 Url:http://projects.gnome.org/libchamplain/
 Group:  Development/Libraries/GNOME
-Source0:%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM libchamplain-build.patch bgo#656845 dims...@opensuse.org 
-- Add pangocairo to the vala binding generation call.
-Patch0: libchamplain-build.patch
+Source0:
http://download.gnome.org/sources/libchamplain/0.11/%{name}-%{version}.tar.bz2
 BuildRequires:  clutter-devel
 BuildRequires:  clutter-gtk-devel
 BuildRequires:  fdupes
@@ -50,12 +48,12 @@
 It supports numerous free map sources such as OpenStreetMap,
 OpenAerialMap and Maps for free.
 
-%package -n libchamplain-0_10-0
+%package -n libchamplain-0_12-0
 License:LGPLv2.1+
 Summary:Library to display maps
 Group:  Development/Libraries/GNOME
 
-%description -n libchamplain-0_10-0
+%description -n libchamplain-0_12-0
 Libchamplain is a C library providing a ClutterActor to display maps. It
 also provides a Gtk+ widget to display maps in Gtk+ applications.
 
@@ -66,7 +64,7 @@
 License:LGPLv2.1+
 Summary:Library to dusplay maps - Development Files
 Group:  Development/Libraries/GNOME
-Requires:   libchamplain-0_10-0 = %{version}
+Requires:   libchamplain-0_12-0 = %{version}
 
 %description devel
 Libchamplain is a C library providing a ClutterActor to display maps. It
@@ -77,7 +75,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
 
 %if 0%{?BUILD_FROM_VCS}
 [ -x ./autogen.sh ]  NOCONFIGURE=1 ./autogen.sh
@@ -95,32 +92,32 @@
 %clean
 %{__rm} -rf %{buildroot}
 
-%post -n libchamplain-0_10-0 -p /sbin/ldconfig
+%post -n libchamplain-0_12-0 -p /sbin/ldconfig
 
-%postun -n libchamplain-0_10-0 -p /sbin/ldconfig
+%postun -n libchamplain-0_12-0 -p /sbin/ldconfig
 
-%files -n libchamplain-0_10-0
+%files -n libchamplain-0_12-0
 %defattr(-, root, root)
 %doc AUTHORS ChangeLog COPYING NEWS
-%{_libdir}/libchamplain-0.10.so.*
-%{_libdir}/libchamplain-gtk-0.10.so.*
-%{_libdir}/girepository-1.0/Champlain-0.10.typelib
-%{_libdir}/girepository-1.0/GtkChamplain-0.10.typelib
+%{_libdir}/libchamplain-0.12.so.*
+%{_libdir}/libchamplain-gtk-0.12.so.*
+%{_libdir}/girepository-1.0/Champlain-0.12.typelib
+%{_libdir}/girepository-1.0/GtkChamplain-0.12.typelib
 
 %files devel
 %defattr(-, root, root)
 %{_libdir}/*.so
-%{_libdir}/pkgconfig/champlain-0.10.pc
-%{_libdir}/pkgconfig/champlain-gtk-0.10.pc
-%{_libdir}/pkgconfig/champlain-memphis-0.10.pc
-%{_includedir}/libchamplain-0.10/
-%{_includedir}/libchamplain-gtk-0.10/
+%{_libdir}/pkgconfig/champlain-0.12.pc
+%{_libdir}/pkgconfig/champlain-gtk-0.12.pc
+%{_libdir}/pkgconfig/champlain-memphis-0.12.pc
+%{_includedir}/libchamplain-0.12/
+%{_includedir}/libchamplain-gtk-0.12/
 %doc %{_datadir}/gtk-doc/html/libchamplain/
 %doc %{_datadir}/gtk-doc/html/libchamplain-gtk/
 %{_datadir}/gir-1.0/*.gir
 %dir %{_datadir}/vala
 %dir %{_datadir}/vala/vapi
-%{_datadir}/vala/vapi/champlain-0.10.*
-%{_datadir}/vala/vapi/champlain-gtk-0.10.*
+%{_datadir}/vala/vapi/champlain-0.12.*
+%{_datadir}/vala/vapi/champlain-gtk-0.12.*
 
 %changelog

++ libchamplain-0.10.0.tar.bz2 - libchamplain-0.11.0.tar.bz2 ++
 24428 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgda for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libgda for openSUSE:Factory
checked in at Fri Sep 9 11:41:47 CEST 2011.




--- GNOME/libgda/libgda.changes 2011-07-06 18:27:33.0 +0200
+++ /mounts/work_src_done/STABLE/libgda/libgda.changes  2011-09-02 
23:30:01.0 +0200
@@ -1,0 +2,19 @@
+Fri Sep  2 21:25:44 UTC 2011 - vu...@opensuse.org
+
+- Update to version 4.99.4:
+  + GdaBrowser: improved LDAP support and other general
+improvements and corrections
+  + Many small corrections and improvements (documentation, UI,
+default values handling, use GtkCssProvider, ...)
+  + GTK3 deprecations related corrections
+  + GObject introspection improvements
+  + Better handle parameters valued to NULL in statements
+  + Support out of tree UI plugins creation
+  + Allow reporting of statement execution's delay
+  + Web provider (DB access through a web server) improvements
+(deployment, documentation and performances)
+  + Set embedded SQLite's version to 3.7.7.1
+  + Bugs corrected: bgo#654370, bgo#654068
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  libgda-4.99.3.tar.bz2

New:

  libgda-4.99.4.tar.bz2



Other differences:
--
++ libgda.spec ++
--- /var/tmp/diff_new_pack.ixOhJX/_old  2011-09-09 11:41:43.0 +0200
+++ /var/tmp/diff_new_pack.ixOhJX/_new  2011-09-09 11:41:43.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   libgda
 License:GPLv2+ ; LGPLv2.1+
-Version:4.99.3
+Version:4.99.4
 Release:1
 # FIXME: add bdb sql BuildRequires when available
 Summary:GNU Data Access (GDA) Library

++ libgda-4.99.3.tar.bz2 - libgda-4.99.4.tar.bz2 ++
GNOME/libgda/libgda-4.99.3.tar.bz2 
/mounts/work_src_done/STABLE/libgda/libgda-4.99.4.tar.bz2 differ: char 11, line 
1






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgnome-keyring for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libgnome-keyring for openSUSE:Factory
checked in at Fri Sep 9 11:42:02 CEST 2011.




--- GNOME/libgnome-keyring/libgnome-keyring.changes 2011-07-25 
14:53:29.0 +0200
+++ /mounts/work_src_done/STABLE/libgnome-keyring/libgnome-keyring.changes  
2011-08-30 16:35:05.0 +0200
@@ -1,0 +2,6 @@
+Tue Aug 30 16:34:31 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Test and build fixes.
+
+---

calling whatdependson for head-i586


Old:

  libgnome-keyring-3.1.4.tar.bz2

New:

  libgnome-keyring-3.1.90.tar.bz2



Other differences:
--
++ libgnome-keyring.spec ++
--- /var/tmp/diff_new_pack.vXZE20/_old  2011-09-09 11:41:58.0 +0200
+++ /var/tmp/diff_new_pack.vXZE20/_new  2011-09-09 11:41:58.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   libgnome-keyring
-Version:3.1.4
+Version:3.1.90
 Release:1
 Url:http://www.gnome.org/
 Group:  Development/Libraries/GNOME

++ libgnome-keyring-3.1.4.tar.bz2 - libgnome-keyring-3.1.90.tar.bz2 ++
 6272 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgnomekbd for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libgnomekbd for openSUSE:Factory
checked in at Fri Sep 9 11:42:16 CEST 2011.




--- GNOME/libgnomekbd/libgnomekbd.changes   2011-04-06 11:14:51.0 
+0200
+++ /mounts/work_src_done/STABLE/libgnomekbd/libgnomekbd.changes
2011-09-02 02:25:13.0 +0200
@@ -1,0 +2,14 @@
+Thu Sep  1 16:32:33 UTC 2011 - vu...@opensuse.org
+
+- Drop explicit Requires from devel packages that will
+  automatically be added the pkg-config way: dbus-1-glib-devel,
+  gconf2-devel, gtk3-devel, libxklavier-devel.
+
+---
+Tue Aug 23 09:16:54 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.90:
+  + Couple of minor bugs fixed.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  libgnomekbd-3.0.0.1.tar.bz2

New:

  libgnomekbd-3.1.90.tar.bz2



Other differences:
--
++ libgnomekbd.spec ++
--- /var/tmp/diff_new_pack.dokteZ/_old  2011-09-09 11:42:11.0 +0200
+++ /var/tmp/diff_new_pack.dokteZ/_new  2011-09-09 11:42:11.0 +0200
@@ -18,13 +18,13 @@
 
 
 Name:   libgnomekbd
-Version:3.0.0.1
+Version:3.1.90
 Release:1
 License:LGPLv2.1+
 Summary:GNOME Keyboard Library
 Url:http://www.gnome.org/
 Group:  System/GUI/GNOME
-Source: %{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/libgnomekbd/3.1/%{name}-%{version}.tar.bz2
 # PATCH-FEATURE-OPENSUSE libgnomekbd-default-group-switch.patch 
vu...@opensuse.org -- We use shifts_toggle to switch between groups in openSUSE
 Patch0: libgnomekbd-default-group-switch.patch
 BuildRequires:  fdupes
@@ -50,10 +50,6 @@
 Summary:GNOME Keyboard Library
 Group:  System/GUI/GNOME
 Requires:   %{name} = %{version}
-Requires:   dbus-1-glib-devel
-Requires:   gconf2-devel
-Requires:   gtk3-devel
-Requires:   libxklavier-devel
 
 %description devel
 GNOME keyboard library, utility and applet.

++ libgnomekbd-3.0.0.1.tar.bz2 - libgnomekbd-3.1.90.tar.bz2 ++
 21718 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libgtop for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libgtop for openSUSE:Factory
checked in at Fri Sep 9 11:42:29 CEST 2011.




--- GNOME/libgtop/libgtop.changes   2011-03-31 12:07:17.0 +0200
+++ /mounts/work_src_done/STABLE/libgtop/libgtop.changes2011-08-30 
16:23:31.0 +0200
@@ -1,0 +2,9 @@
+Tue Aug 30 16:22:09 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.28.4:
+  + Fix numerous bugs in the FreeBSD backend.
+  + Split off OpenBSD code in its own backend, and fixes.
+  + Updated translations.
+- Stop shipping .la files in devel subpackage.
+
+---

calling whatdependson for head-i586


Old:

  libgtop-2.28.3.tar.bz2

New:

  libgtop-2.28.4.tar.bz2



Other differences:
--
++ libgtop.spec ++
--- /var/tmp/diff_new_pack.N25fFh/_old  2011-09-09 11:42:25.0 +0200
+++ /var/tmp/diff_new_pack.N25fFh/_new  2011-09-09 11:42:25.0 +0200
@@ -20,13 +20,13 @@
 Name:   libgtop
 License:GPLv2+
 Group:  Development/Libraries/GNOME
-Version:2.28.3
+Version:2.28.4
 Release:1
 # WARNING: After changing versions please call Re or rpmbuild to auto-update 
spec file:
 #%(sh %{_sourcedir}/%{name}_spec-update.sh %{_sourcedir} %{name} libgtop-2_0)
 %define libgtop-2_0_name 7
 Summary:LibGTop Library
-Source: 
ftp://ftp.gnome.org/pub/GNOME/stable/sources/libgtop/2.19/%{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/libgtop/2.28/%{name}-%{version}.tar.bz2
 Source1:%{name}_spec-update.sh
 Source99:   baselibs.conf
 BuildRequires:  fdupes
@@ -117,6 +117,7 @@
 %if 0%{?suse_version} = 1120
 %{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
 %endif
+find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
 %find_lang %{name}-2.0
 LIBNAME=$(echo $RPM_BUILD_ROOT%{_libdir}/%{name}-*.so.? | sed 
's/.*\///;s/\.so\./-/;s/\./_/')
 if test $LIBNAME != libgtop-2_0-7 ; then
@@ -149,12 +150,9 @@
 %defattr(-, root, root)
 %{_includedir}/libgtop-2.0
 %{_libdir}/*.so
-%{_libdir}/*.*a
 %{_libdir}/pkgconfig/*.pc
 %{_datadir}/gir-1.0/GTop-2.0.gir
-%{_datadir}/gtk-doc
-%{_datadir}/gtk-doc/html
-%{_datadir}/gtk-doc/html/libgtop
+%doc %{_datadir}/gtk-doc/html/libgtop/
 
 %files doc
 %defattr(-, root, root)

++ libgtop-2.28.3.tar.bz2 - libgtop-2.28.4.tar.bz2 ++
 18150 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libkipi for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libkipi for openSUSE:Factory
checked in at Fri Sep 9 11:42:43 CEST 2011.




--- libkipi/libkipi.changes 2011-07-22 20:28:15.0 +0200
+++ /mounts/work_src_done/STABLE/libkipi/libkipi.changes2011-09-07 
14:50:16.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep  1 23:29:34 CEST 2011 - dmuel...@suse.de
+
+- update to 4.7.1
+  * Bugfixes over KDE 4.7.0
+  *  see http://kde.org/announcements/changelogs/changelog4_7_0to4_7_1.php for 
details
+
+---

calling whatdependson for head-i586


Old:

  libkipi-4.7.0.tar.bz2

New:

  libkipi-4.7.1.tar.bz2



Other differences:
--
++ libkipi.spec ++
--- /var/tmp/diff_new_pack.KCXe6Q/_old  2011-09-09 11:42:38.0 +0200
+++ /var/tmp/diff_new_pack.KCXe6Q/_new  2011-09-09 11:42:38.0 +0200
@@ -23,11 +23,11 @@
 BuildRequires:  libdjvulibre-devel texlive texlive-devel texlive-latex
 BuildRequires:  libspectre-devel
 BuildRequires:  libepub-devel libpoppler-qt4-devel libqca2-devel 
libsoprano-devel soprano-backend-redland
-License:LGPLv2.1+
+License:BSD3c(or similar) ; GPLv2+ ; LGPLv2.1+ ; MIT License (or 
similar)
 Group:  Development/Libraries/KDE
 Summary:KDE Image Plugin Interface
 Url:http://www.kde.org
-Version:4.7.0
+Version:4.7.1
 Release:1
 Source0:%{name}-%version.tar.bz2
 Patch0: 4_6_BRANCH.diff

++ libkipi-4.7.0.tar.bz2 - libkipi-4.7.1.tar.bz2 ++






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libksane for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libksane for openSUSE:Factory
checked in at Fri Sep 9 11:42:58 CEST 2011.




--- libksane/libksane.changes   2011-08-18 17:13:25.0 +0200
+++ /mounts/work_src_done/STABLE/libksane/libksane.changes  2011-09-07 
14:50:23.0 +0200
@@ -1,0 +2,7 @@
+Thu Sep  1 23:29:50 CEST 2011 - dmuel...@suse.de
+
+- update to 4.7.1
+  * Bugfixes over KDE 4.7.0
+  *  see http://kde.org/announcements/changelogs/changelog4_7_0to4_7_1.php for 
details
+
+---

calling whatdependson for head-i586


Old:

  libksane-4.7.0.tar.bz2

New:

  libksane-4.7.1.tar.bz2



Other differences:
--
++ libksane.spec ++
--- /var/tmp/diff_new_pack.IaBmEM/_old  2011-09-09 11:42:52.0 +0200
+++ /var/tmp/diff_new_pack.IaBmEM/_new  2011-09-09 11:42:52.0 +0200
@@ -37,12 +37,12 @@
 %else
 BuildRequires:  sane-backends
 %endif
-License:LGPLv2.1+
+License:GPLv2+
 Group:  Development/Libraries/KDE
 Summary:KDE Image Plugin Interface
 Url:http://www.kde.org
-Version:4.7.0
-Release:3
+Version:4.7.1
+Release:1
 Source0:%{name}-%version.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %kde4_runtime_requires

++ libksane-4.7.0.tar.bz2 - libksane-4.7.1.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libksane-4.7.0/KSaneConfig.cmake.in 
new/libksane-4.7.1/KSaneConfig.cmake.in
--- old/libksane-4.7.0/KSaneConfig.cmake.in 2011-05-20 22:36:12.0 
+0200
+++ new/libksane-4.7.1/KSaneConfig.cmake.in 2011-09-01 22:47:59.0 
+0200
@@ -1,3 +1,7 @@
-SET(KSANE_LIBRARY @LIBPATH@/@LIB_OUT_NAME@ CACHE FILEPATH KSane image 
scanning library)
-SET(KSANE_INCLUDE_DIR @INCLUDE_DIRECTORY@ CACHE PATH Include path for KSane 
library)
+GET_FILENAME_COMPONENT(_IMPORT_PREFIX ${CMAKE_CURRENT_LIST_FILE} PATH)
+GET_FILENAME_COMPONENT(_IMPORT_PREFIX ${_IMPORT_PREFIX}/../.. ABSOLUTE)
+
+find_library(KSANE_LIBRARY NAMES ksane PATHS ${_IMPORT_PREFIX} NO_DEFAULT_PATH)
+SET(KSANE_LIBRARY ${KSANE_LIBRARY} CACHE FILEPATH KSane image scanning 
library)
+SET(KSANE_INCLUDE_DIR ${_IMPORT_PREFIX}/include CACHE PATH Include path for 
KSane library)
 SET(KSANE_FOUND TRUE)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libksane-4.7.0/ksanetwain/ktwain_widget.cpp 
new/libksane-4.7.1/ksanetwain/ktwain_widget.cpp
--- old/libksane-4.7.0/ksanetwain/ktwain_widget.cpp 2011-05-20 
22:36:12.0 +0200
+++ new/libksane-4.7.1/ksanetwain/ktwain_widget.cpp 2011-09-01 
22:47:59.0 +0200
@@ -104,6 +104,20 @@
 return img;
 }
 
+QImage KSaneWidget::toQImageSilent(const QByteArray data,
+   int width,
+   int height,
+   int bytes_per_line,
+   ImageFormat format)
+{
+return KSaneWidget::toQImage(data,
+width,
+height,
+bytes_per_line,
+format);
+}
+
+
 void KSaneWidget::scanFinal()
 {
 }
@@ -129,6 +143,7 @@
 void KSaneWidget::setSelection(QPointF lefttop, QPointF 
rightbottom){Q_UNUSED(lefttop); Q_UNUSED(rightbottom);}
 void KSaneWidget::setOptionsCollapsed(bool){}
 void KSaneWidget::setScanButtonHidden(bool){}
+void KSaneWidget::initGetDeviceList() const {}
 
 
 }  // NameSpace KSaneIface






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libpeas for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libpeas for openSUSE:Factory
checked in at Fri Sep 9 11:43:30 CEST 2011.




--- libpeas/libpeas.changes 2011-08-08 17:36:26.0 +0200
+++ /mounts/work_src_done/STABLE/libpeas/libpeas.changes2011-09-02 
18:35:36.0 +0200
@@ -1,0 +2,22 @@
+Fri Sep  2 16:30:18 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.1.3:
+  + Do not expose the PeasExtension API using GObject-Introspection
+  + Misc improvement and fixes.
+- Add Url tag.
+
+---
+Mon Aug 22 10:46:32 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.1.2:
+  + Link against pygobject 3.
+  + Do not cast pointers to unsigned integers.
+  + Doc updates.
+  + Updated translations.
+- Replace pkgconfig(pygobject-2.0) BuildRequires with
+  pkgconfig(pygobject-3.0) following upstream change.
+- Drop libpeas-new-gjs.patch: fixed upstream.
+- Remove gnome-common BuildRequires and call to gnome-autogen.sh,
+  as those were only needed for libpeas-new-gjs.patch.
+
+---

calling whatdependson for head-i586


Old:

  libpeas-1.1.1.tar.bz2
  libpeas-new-gjs.patch

New:

  libpeas-1.1.3.tar.bz2



Other differences:
--
++ libpeas.spec ++
--- /var/tmp/diff_new_pack.2s3ate/_old  2011-09-09 11:43:25.0 +0200
+++ /var/tmp/diff_new_pack.2s3ate/_new  2011-09-09 11:43:25.0 +0200
@@ -18,16 +18,13 @@
 
 
 Name:   libpeas
-Version:1.1.1
-Release:2
+Version:1.1.3
+Release:1
 License:LGPLv2+
 Summary:GObject-based Plugin Engine
+Url:http://live.gnome.org/Libpeas
 Group:  System/Libraries
 Source: 
http://download.gnome.org/sources/libpeas/1.1/%{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM libpeas-new-gjs.patch bgo#655475 vu...@opensuse.org -- 
Fix build with gjs 1.29.16
-Patch0: libpeas-new-gjs.patch
-# Needed for patch0
-BuildRequires:  gnome-common
 BuildRequires:  intltool
 BuildRequires:  libseed-gtk3-devel
 BuildRequires:  python-devel
@@ -35,7 +32,7 @@
 BuildRequires:  pkgconfig(gobject-2.0) = 2.23.6
 BuildRequires:  pkgconfig(gobject-introspection-1.0) = 0.10.1
 BuildRequires:  pkgconfig(gtk+-3.0) = 2.91.1
-BuildRequires:  pkgconfig(pygobject-2.0) = 2.28.0
+BuildRequires:  pkgconfig(pygobject-3.0) = 2.90.0
 
 %description
 libpeas is a gobject-based plugin engine, and is targetted at giving
@@ -45,7 +42,7 @@
 License:LGPLv2+
 Summary:GObject-based Plugin Engine
 Group:  System/Libraries
-# We provide %{name} to make the lang package installable
+# We provide %%{name} to make the lang package installable
 Provides:   %{name} = %{version}
 Recommends: %{name}-lang
 Recommends: %{name}-loader-python
@@ -126,11 +123,8 @@
 %lang_package
 %prep
 %setup -q
-%patch0 -p1
 
 %build
-# Needed for patch0
-NOCONFIGURE=1 gnome-autogen.sh
 %configure
 make %{?_smp_flag} V=1
 

++ libpeas-1.1.1.tar.bz2 - libpeas-1.1.3.tar.bz2 ++
 25454 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libsoup for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libsoup for openSUSE:Factory
checked in at Fri Sep 9 11:44:02 CEST 2011.




--- GNOME/libsoup/libsoup.changes   2011-07-28 21:28:40.0 +0200
+++ /mounts/work_src_done/STABLE/libsoup/libsoup.changes2011-09-02 
01:31:15.0 +0200
@@ -1,0 +2,38 @@
+Wed Aug 31 09:53:11 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.35.90:
+  + Added SOUP_MESSAGE_CAN_REBUILD flag, to use with
+soup_message_body_set_accumulate(FALSE) on a request body, to
+indicate that the caller will recreate the request body after
+it has been discarded if the message needs to be re-sent.
+[bgo#656650]
+  + Fixed the build on mingw-w64 by not using interface as
+variable name. [bgo#656402]
+  + (The multihosted https server regression mentioned in the
+2.35.5 NEWS turned out to be a glib-networking bug, which is
+fixed as of 2.29.18.)
+- Add samba-winbind Suggests to libsoup-2_4-1: the NTLM single sign
+  on feature works with /usr/bin/ntlm_auth (but can fallback to the
+  old method if this is not present).
+- Remove Requires for libsoup-2_4-1 and Obsoletes for libsoup-64bit
+  from main package since there is no such main package anymore.
+
+---
+Tue Aug 16 04:31:24 CEST 2011 - dims...@opensuse.org
+
+- Update to version 2.35.5:
+  + bgo#650940: Support NTLM single sign on via samba's
+/usr/bin/ntlm_auth.
+  + bgo#581342: Default to TLS+extensions for https connections,
+falling back to SSLv3-without-extensions only if the server
+fails to negotiate TLS.
+  + bgo#631368: Fixed a problem with https pages sometimes not
+loading when using a proxy.
+  + bgo#648848: SoupContentSniffer: don't use gio's sniffing rules,
+since the spec now recommends that browsers not do any
+additional sniffing beyond what's in the spec.
+  + bgo#653707: Fixed SoupRequestHTTP to work properly with
+alternate GMainContexts.
+  + bgo#655397: Added some annotations from Vala's vapi files.
+
+---

calling whatdependson for head-i586


Old:

  libsoup-2.35.4.tar.bz2

New:

  libsoup-2.35.90.tar.bz2



Other differences:
--
++ libsoup.spec ++
--- /var/tmp/diff_new_pack.oQEEUu/_old  2011-09-09 11:43:57.0 +0200
+++ /var/tmp/diff_new_pack.oQEEUu/_new  2011-09-09 11:43:57.0 +0200
@@ -20,7 +20,7 @@
 
 Name:   libsoup
 Summary:HTTP client/server library for GNOME
-Version:2.35.4
+Version:2.35.90
 Release:1
 License:LGPLv2.1+
 Group:  Development/Libraries/GNOME
@@ -36,12 +36,6 @@
 BuildRequires:  sqlite3-devel
 # We do not need these dependencies needed only for tests.
 #BuildRequires:  apache2-mod_php5 php5-xmlrpc
-Requires:   %{name}-2_4-1 = %{version}
-# bug437293
-%ifarch ppc64
-Obsoletes:  libsoup-64bit
-%endif
-#
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -62,6 +56,8 @@
 Summary:HTTP client/server library for GNOME
 Group:  Development/Libraries/GNOME
 Requires:   glib-networking = 2.27.90
+# For NTLM single sign on
+Suggests:   samba-winbind
 Provides:   %{name} = %{version}
 Obsoletes:  %{name}  %{version}
 # bug437293

++ libsoup-2.35.4.tar.bz2 - libsoup-2.35.90.tar.bz2 ++
 12739 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libwebkit for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libwebkit for openSUSE:Factory
checked in at Fri Sep 9 11:44:43 CEST 2011.




--- libwebkit/libwebkit.changes 2011-07-08 11:54:22.0 +0200
+++ /mounts/work_src_done/STABLE/libwebkit/libwebkit.changes2011-08-12 
19:55:42.0 +0200
@@ -1,0 +2,16 @@
+Fri Aug 12 19:46:03 CEST 2011 - dims...@opensuse.org
+
+- Update to version 1.5.2:
+  + Remove G_CONST_RETURN usage througout WebKit, it's deprecated
+in glib.
+  + Add plugin process support in WebKit2. Now (GTK+2) plugins can
+work again with a GTK+3 build.
+  + Add API to set local storage database path.
+  + Further UA spoofing for Google Calendar, since it assumes
+Linux+WebKit means mobile (ugh).
+  + Lots of bugfixes.
+- Drop libwebkit-no-G_CONST_RETURN.patch: fixed upstream.
+- Remove make stamp-po in %build, the bug has been fixed long ago.
+  see https://bugs.webkit.org/show_bug.cgi?id=50612
+
+---
libwebkit3.changes: same change

calling whatdependson for head-i586


Old:

  libwebkit-no-G_CONST_RETURN.patch
  webkit-1.5.1.tar.bz2

New:

  webkit-1.5.2.tar.gz



Other differences:
--
++ libwebkit.spec ++
--- /var/tmp/diff_new_pack.UiMyeh/_old  2011-09-09 11:44:38.0 +0200
+++ /var/tmp/diff_new_pack.UiMyeh/_new  2011-09-09 11:44:38.0 +0200
@@ -39,16 +39,13 @@
 
 Name:   libwebkit
 Summary:Library for rendering web content, GTK+ Port
-Version:1.5.1
+Version:1.5.2
 Release:1
-# FIXME: check if make stamp-po is still needed in %build, see 
https://bugs.webkit.org/show_bug.cgi?id=50612 (last checked: 1.3.11)
 License:LGPLv2.0 ; LGPLv2.0+
 Group:  Development/Libraries/C and C++
 Url:http://webkit.org/
-Source: webkit-%{version}.tar.bz2
+Source: http://www.webkitgtk.org/webkit-%{version}.tar.gz
 Source1:baselibs.conf
-# PATCH-FIX-UPSTREAM libwebkit-no-G_CONST_RETURN.patch vu...@opensuse.org -- 
Taken from svn, stop using deprecated G_CONST_RETURN; 
http://trac.webkit.org/changeset/88872
-Patch0: libwebkit-no-G_CONST_RETURN.patch
 BuildRequires:  bison
 BuildRequires:  enchant-devel
 BuildRequires:  flex
@@ -57,9 +54,9 @@
 BuildRequires:  gperf
 BuildRequires:  gstreamer-0_10-plugins-base-devel
 %if %{build_for_gtk3}
-BuildRequires:  gtk3-devel
+BuildRequires:  gtk3-devel = 3.0
 %else
-BuildRequires:  gtk2-devel
+BuildRequires:  gtk2-devel = 2.10
 %endif
 BuildRequires:  libgeoclue-devel
 BuildRequires:  libicu-devel
@@ -82,6 +79,7 @@
 
 %package -n libwebkitgtk%{_sover}
 
+
 Group:  Development/Libraries/C and C++
 License:LGPLv2.0 ; LGPLv2.0+
 Summary:Library for rendering web content, GTK+ Port
@@ -105,6 +103,7 @@
 
 %package -n libjavascriptcoregtk%{_sover}
 
+
 License:LGPLv2.0 ; LGPLv2.0+
 Group:  System/Libraries
 Summary:JavaScript Core Engine, GTK+ Port
@@ -120,6 +119,7 @@
 
 %package -n libwebkitgtk%{?_develnamever}-devel
 
+
 License:LGPLv2.0 ; LGPLv2.0+
 Group:  Development/Libraries/C and C++
 Summary:Library for rendering web content, GTK+ Port
@@ -143,6 +143,7 @@
 
 %package -n webkit-jsc-%{_jscver}
 
+
 License:LGPLv2.0 ; LGPLv2.0+
 Group:  Development/Libraries/C and C++
 Summary:Library for rendering web content, GTK+ Port
@@ -164,7 +165,6 @@
 %lang_package -n %{_pkgname_no_slpp}
 %prep
 %setup -q -n webkit-%{version}
-%patch0 -p2
 
 %build
 %ifarch ppc64
@@ -177,8 +177,6 @@
--enable-geolocation \
 --enable-introspection
 make %{?jobs:-j %jobs}
-# FIXME: it's only needed because of 
https://bugs.webkit.org/show_bug.cgi?id=50612
-make %{?jobs:-j %jobs} stamp-po
 
 %install
 %makeinstall

libwebkit3.spec: same change





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libwnck for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libwnck for openSUSE:Factory
checked in at Fri Sep 9 11:45:13 CEST 2011.




--- GNOME/libwnck/libwnck.changes   2011-05-24 09:07:45.0 +0200
+++ /mounts/work_src_done/STABLE/libwnck/libwnck.changes2011-08-31 
12:53:26.0 +0200
@@ -1,0 +2,29 @@
+Wed Aug 31 12:52:36 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Fixes:
+- Added missing introspection annotations
+  + Misc
+- Link against libm
+  + Updated translations.
+
+---
+Fri Aug 12 14:31:32 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + Features:
+- Add API to get WM_CLASS group name  instance name of a
+  WnckWindow
+- Change WnckClassGroup to talk about identifier instead of
+  resource class.
+  + Fixes:
+- Fix tasklist taking some space when there is no window
+- Remove unused variables
+- Stop using several deprecated APIs
+- Remove disabling of libgnomeui sounds
+- Do not connect same signal handler twice
+  + Misc:
+- Modernize build system
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  libwnck-3.0.2.tar.bz2

New:

  libwnck-3.1.90.tar.bz2



Other differences:
--
++ libwnck.spec ++
--- /var/tmp/diff_new_pack.ktCwA7/_old  2011-09-09 11:45:08.0 +0200
+++ /var/tmp/diff_new_pack.ktCwA7/_new  2011-09-09 11:45:08.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   libwnck
-Version:3.0.2
+Version:3.1.90
 Release:1
 License:LGPLv2.1+
 # WARNING: After changing versions please call Re or rpmbuild to auto-update 
spec file:
@@ -26,7 +26,7 @@
 %define libwnck-3_name 0
 Summary:Window Navigator Construction Kit (Library Package)
 Group:  Development/Libraries/GNOME
-Source: %{name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/libwnck/3.1/%{name}-%{version}.tar.bz2
 Source1:%{name}_spec-update.sh
 Source99:   baselibs.conf
 BuildRequires:  fdupes

++ libwnck-3.0.2.tar.bz2 - libwnck-3.1.90.tar.bz2 ++
 37375 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit libwnck2 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package libwnck2 for openSUSE:Factory
checked in at Fri Sep 9 11:45:27 CEST 2011.




--- libwnck2/libwnck2.changes   2011-05-04 10:05:45.0 +0200
+++ /mounts/work_src_done/STABLE/libwnck2/libwnck2.changes  2011-08-31 
12:54:15.0 +0200
@@ -1,0 +2,9 @@
+Wed Aug 31 12:52:36 CEST 2011 - vu...@opensuse.org
+
+- Update to version 2.30.7:
+  + Misc:
+- Link against libX11
+- Link against libm
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  libwnck-2.30.6.tar.bz2

New:

  libwnck-2.30.7.tar.bz2



Other differences:
--
++ libwnck2.spec ++
--- /var/tmp/diff_new_pack.vfSwcj/_old  2011-09-09 11:45:22.0 +0200
+++ /var/tmp/diff_new_pack.vfSwcj/_new  2011-09-09 11:45:22.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   libwnck2
 %define _name   libwnck
-Version:2.30.6
+Version:2.30.7
 Release:1
 License:LGPLv2.1+
 # WARNING: After changing versions please call Re or rpmbuild to auto-update 
spec file:
@@ -27,7 +27,7 @@
 %define libwnck-1_name 22
 Summary:Window Navigator Construction Kit (Library Package)
 Group:  Development/Libraries/GNOME
-Source: %{_name}-%{version}.tar.bz2
+Source: 
http://download.gnome.org/sources/libwnck/2.30/%{_name}-%{version}.tar.bz2
 Source1:%{name}_spec-update.sh
 Source99:   baselibs.conf
 BuildRequires:  fdupes

++ libwnck-2.30.6.tar.bz2 - libwnck-2.30.7.tar.bz2 ++
 8902 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit lxappearance-obconf for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package lxappearance-obconf for 
openSUSE:Factory
checked in at Fri Sep 9 11:46:02 CEST 2011.




--- lxappearance-obconf/lxappearance-obconf.changes 2011-07-25 
00:21:04.0 +0200
+++ 
/mounts/work_src_done/STABLE/lxappearance-obconf/lxappearance-obconf.changes
2011-08-14 17:38:38.0 +0200
@@ -1,0 +2,11 @@
+Sun Aug 14 15:35:30 UTC 2011 - g...@opensuse.org
+
+- update to latest git snapshot (0.1.1.99+git20110814)
+  - Openbox 3.5 support
+- added missing authors, license, and readme file
+- added lxappearance-obconf-fix-error-handling.patch to correctly
+  handle errors when saving config files
+- added lxappearance-obconf-fix-incomplete-rename.patch in order to
+  fix the incomplete renaming of symbols
+
+---

calling whatdependson for head-i586


Old:

  lxappearance-obconf-0.0.1.tar.bz2

New:

  lxappearance-obconf-0.1.1.99+git20110814.tar.bz2
  lxappearance-obconf-fix-error-handling.patch
  lxappearance-obconf-fix-incomplete-rename.patch



Other differences:
--
++ lxappearance-obconf.spec ++
--- /var/tmp/diff_new_pack.TuC2ul/_old  2011-09-09 11:45:56.0 +0200
+++ /var/tmp/diff_new_pack.TuC2ul/_new  2011-09-09 11:45:56.0 +0200
@@ -19,18 +19,21 @@
 
 
 Name:   lxappearance-obconf
-Summary:Lxappearance plugin to configure openbox
-Version:0.0.1
+Summary:Lxappearance Plugin to Configure Openbox
+Version:0.1.1.99+git20110814
 Release:1
 License:GPLv2
 Group:  System/GUI/LXDE
 Url:http://www.lxde.org/
 Source0:%name-%version.tar.bz2
+Patch0: %name-fix-error-handling.patch
+Patch1: %name-fix-incomplete-rename.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  intltool pkg-config
+BuildRequires:  intltool
+BuildRequires:  pkgconfig(gtk+-2.0)
 BuildRequires:  pkgconfig(lxappearance)
-BuildRequires:  pkgconfig(obrender-3.0)
-BuildRequires:  pkgconfig(obparser-3.0)
+BuildRequires:  pkgconfig(obrender-3.5)
+BuildRequires:  pkgconfig(obt-3.5)
 Requires:   lxappearance
 Requires:   openbox
 
@@ -46,10 +49,13 @@
 
 %prep
 %setup -q
+%patch0 -p1
+%patch1 -p1
 
 %build
+./autogen.sh
 %configure
-%__make %{?jobs:-j%{jobs}} V=1
+%__make %{_smp_mflags} V=1
 
 %install
 %makeinstall
@@ -61,6 +67,7 @@
 
 %files -f %name.lang
 %defattr(-,root,root)
+%doc AUTHORS CHANGELOG COPYING README
 %_libdir/lxappearance/plugins
 %dir %_datadir/lxappearance/obconf
 %_datadir/lxappearance/obconf/obconf.glade

++ lxappearance-obconf-fix-error-handling.patch ++
From 8814f63788b4c5cddd508a9f3226a8f89a201de7 Mon Sep 17 00:00:00 2001
From: Guido Berhoerster g...@opensuse.org
Date: Sun, 14 Aug 2011 17:20:28 +0200
Subject: [PATCH 1/2] fix error handling when saving the config file in 
tree_apply()

---
 src/tree.c |   19 ---
 1 files changed, 8 insertions(+), 11 deletions(-)

diff --git a/src/tree.c b/src/tree.c
index f6cd532..071bf6a 100644
--- a/src/tree.c
+++ b/src/tree.c
@@ -97,7 +97,6 @@ void tree_delete_node(const gchar *path)
 void tree_apply()
 {
 gchar *p, *d;
-gboolean err;
 
 if (obc_config_file)
 p = g_strdup(obc_config_file);
@@ -109,16 +108,7 @@ void tree_apply()
 obt_paths_mkdir_path(d,  0700);
 g_free(d);
 
-if (!obt_xml_save_file(xml_i, p, TRUE)) {
-gchar *s;
-s = g_strdup_printf(An error occured while saving the 
-config file '%s', p);
-obconf_error(s, FALSE);
-g_free(s);
-}
-g_free(p);
-
-if (!err) {
+if (obt_xml_save_file(xml_i, p, TRUE)) {
 XEvent ce;
 
 ce.xclient.type = ClientMessage;
@@ -134,7 +124,14 @@ void tree_apply()
 XSendEvent(GDK_DISPLAY_XDISPLAY(gdk_display_get_default()), 
GDK_ROOT_WINDOW(), FALSE,
SubstructureNotifyMask | SubstructureRedirectMask,
ce);
+} else {
+gchar *s;
+s = g_strdup_printf(An error occured while saving the 
+config file '%s', p);
+obconf_error(s, FALSE);
+g_free(s);
 }
+g_free(p);
 }
 
 void tree_set_string(const gchar *node, const gchar *value)
-- 
1.7.3.4

++ lxappearance-obconf-fix-incomplete-rename.patch ++
From bfe4346d76ed3e796c84de5337269e7e82cee13f Mon Sep 17 00:00:00 2001
From: Guido Berhoerster g...@opensuse.org
Date: Sun, 14 Aug 2011 17:21:06 +0200
Subject: [PATCH 2/2] fix the incomplete rename started with 
966cb46f0ad5420ee4dc44619012cc5301fb6051

---
 src/appearance.c |8 
 src/main.c   |4 ++--
 src/preview.c|   10 +-
 src/preview.h|4 ++--
 4 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/src/appearance.c b/src/appearance.c
index 2204007..aa07755 100644

commit memphis for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package memphis for openSUSE:Factory
checked in at Fri Sep 9 11:46:14 CEST 2011.




--- GNOME/memphis/memphis.changes   2010-12-12 13:43:01.0 +0100
+++ /mounts/work_src_done/STABLE/memphis/memphis.changes2011-09-05 
14:15:19.0 +0200
@@ -1,0 +2,8 @@
+Mon Sep  5 12:10:27 UTC 2011 - vu...@opensuse.org
+
+- Add memphis-link-gobject.patch: fix linking issue, taken from
+  Debian.
+- Add call to autoreconf, for above patch.
+- Add Url tag.
+
+---

calling whatdependson for head-i586


New:

  memphis-link-gobject.patch



Other differences:
--
++ memphis.spec ++
--- /var/tmp/diff_new_pack.m3fplr/_old  2011-09-09 11:46:11.0 +0200
+++ /var/tmp/diff_new_pack.m3fplr/_new  2011-09-09 11:46:11.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package memphis (Version 0.2.3)
+# spec file for package memphis
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,11 +19,14 @@
 
 Name:   memphis
 Version:0.2.3
-Release:2
+Release:7
 License:LGPLv2.1+
 Summary:Map-rendering library for OpenStreetMap
 Group:  System/Libraries
+Url:http://trac.openstreetmap.ch/trac/memphis/
 Source: %{name}-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM memphis-link-gobject.patch vu...@opensuse.org -- Fix 
linking issue, taken from Debian
+Patch0: memphis-link-gobject.patch
 BuildRequires:  libexpat-devel
 BuildRequires:  vala-devel
 BuildRequires:  pkgconfig(cairo)
@@ -64,8 +67,11 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
+# needed for patch0
+autoreconf -fi
 %configure \
 --disable-static \
 --enable-vala

++ memphis-link-gobject.patch ++
--- a/configure.ac
+++ b/configure.ac
@@ -89,7 +89,7 @@
 exit 0;
   fi
   VALA_EXAMPLE_PACKAGES=--pkg cairo --pkg memphis-0.2
-  PKG_CHECK_MODULES(VALA_EXAMPLE, [glib-2.0, cairo])
+  PKG_CHECK_MODULES(VALA_EXAMPLE, [glib-2.0 gobject-2.0 cairo])
   AC_SUBST(VALA_EXAMPLE_CFLAGS)
   AC_SUBST(VALA_EXAMPLE_LIBS)
   AC_SUBST(VALA_EXAMPLE_PACKAGES)





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit mousetweaks for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package mousetweaks for openSUSE:Factory
checked in at Fri Sep 9 11:46:27 CEST 2011.




--- GNOME/mousetweaks/mousetweaks.changes   2011-07-25 23:59:11.0 
+0200
+++ /mounts/work_src_done/STABLE/mousetweaks/mousetweaks.changes
2011-09-05 19:37:44.0 +0200
@@ -1,0 +2,6 @@
+Mon Sep  5 17:34:54 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  mousetweaks-3.1.4.tar.bz2

New:

  mousetweaks-3.1.91.tar.bz2



Other differences:
--
++ mousetweaks.spec ++
--- /var/tmp/diff_new_pack.IPRQ1K/_old  2011-09-09 11:46:21.0 +0200
+++ /var/tmp/diff_new_pack.IPRQ1K/_new  2011-09-09 11:46:21.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   mousetweaks
-Version:3.1.4
+Version:3.1.91
 Release:1
 License:GPLv3
 Summary:Tweak mouse settings in GNOME

++ mousetweaks-3.1.4.tar.bz2 - mousetweaks-3.1.91.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mousetweaks-3.1.4/ChangeLog 
new/mousetweaks-3.1.91/ChangeLog
--- old/mousetweaks-3.1.4/ChangeLog 2011-07-25 21:55:55.0 +0200
+++ new/mousetweaks-3.1.91/ChangeLog2011-09-05 18:58:37.0 +0200
@@ -1,5 +1,53 @@
 # Generated by Makefile. Do not edit.
 
+commit 1b00c130be265608908837d4d12c360cf6289dc1
+Author: Francesco Fumanti francesco.fuma...@gmx.net
+Date:   Mon Sep 5 18:50:12 2011 +0200
+
+Version increment to 3.1.91
+
+ README   |4 ++--
+ configure.ac |2 +-
+ 2 files changed, 3 insertions(+), 3 deletions(-)
+
+commit 12cedf5c0336a571034fc64c13aa76848cc23515
+Author: Francesco Fumanti francesco.fuma...@gmx.net
+Date:   Mon Sep 5 18:33:32 2011 +0200
+
+Add information about skipped versions to NEWS file
+
+ NEWS |5 +
+ 1 files changed, 5 insertions(+), 0 deletions(-)
+
+commit 3d635d8dd1fb6c97e346ce758e595cec59de32f6
+Author: Arash Mousavi amous...@src.gnome.org
+Date:   Wed Aug 24 00:16:06 2011 +0430
+
+Added Persian translation
+
+ po/LINGUAS |1 +
+ po/fa.po   |  297 
+ 2 files changed, 298 insertions(+), 0 deletions(-)
+
+commit ebc7cb4623ca87b944145e71fdf503534fec6687
+Author: Francesco Fumanti francesco.fuma...@gmx.net
+Date:   Mon Jul 25 22:04:50 2011 +0200
+
+Post release version increment to 3.1.5
+
+ README   |2 +-
+ configure.ac |2 +-
+ 2 files changed, 2 insertions(+), 2 deletions(-)
+
+commit f8cc6fd77ab3cd2123e7c18e8d795a158cbfdf92
+Author: Francesco Fumanti francesco.fuma...@gmx.net
+Date:   Mon Jul 25 21:58:55 2011 +0200
+
+Prepare the 3.1.4 release
+
+ NEWS |   18 +-
+ 1 files changed, 17 insertions(+), 1 deletions(-)
+
 commit a1b41475a818ce41b39094fd395b06df4af5b9b7
 Author: Aurimas Černius auri...@gmail.com
 Date:   Sat Jul 16 22:12:58 2011 +0300
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mousetweaks-3.1.4/NEWS new/mousetweaks-3.1.91/NEWS
--- old/mousetweaks-3.1.4/NEWS  2011-07-25 21:39:03.0 +0200
+++ new/mousetweaks-3.1.91/NEWS 2011-09-05 18:53:08.0 +0200
@@ -1,3 +1,15 @@
+Version 3.1.91
+--
+
+New and updated translations:
+
+[fa] Arash Mousavi 
+
+Version 3.1.5 and 3.1.90
+
+
+These versions have been skipped
+
 Version 3.1.4
 -
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mousetweaks-3.1.4/README 
new/mousetweaks-3.1.91/README
--- old/mousetweaks-3.1.4/README2011-07-05 16:44:00.0 +0200
+++ new/mousetweaks-3.1.91/README   2011-09-05 18:47:45.0 +0200
@@ -1,5 +1,5 @@
-Mousetweaks 3.1.4
--
+Mousetweaks 3.1.91
+--
 
 Description:
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/mousetweaks-3.1.4/configure 
new/mousetweaks-3.1.91/configure
--- old/mousetweaks-3.1.4/configure 2011-07-25 21:53:16.0 +0200
+++ new/mousetweaks-3.1.91/configure2011-09-05 18:56:14.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.68 for mousetweaks 3.1.4.
+# Generated by GNU Autoconf 2.68 for mousetweaks 3.1.91.
 #
 # Report bugs to http://bugzilla.gnome.org/enter_bug.cgi?product=mousetweaks.
 #
@@ -561,8 +561,8 @@
 # Identity of this package.
 PACKAGE_NAME='mousetweaks'
 PACKAGE_TARNAME='mousetweaks'
-PACKAGE_VERSION='3.1.4'
-PACKAGE_STRING='mousetweaks 3.1.4'
+PACKAGE_VERSION='3.1.91'
+PACKAGE_STRING='mousetweaks 3.1.91'
 PACKAGE_BUGREPORT='http://bugzilla.gnome.org/enter_bug.cgi?product=mousetweaks'

commit mx for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package mx for openSUSE:Factory
checked in at Fri Sep 9 11:46:45 CEST 2011.




--- mx/mx.changes   2011-07-30 15:12:27.0 +0200
+++ /mounts/work_src_done/STABLE/mx/mx.changes  2011-08-31 16:07:40.0 
+0200
@@ -1,0 +2,18 @@
+Wed Aug 31 16:03:47 CEST 2011 - vu...@opensuse.org
+
+- Update to version 1.3.1:
+  + MxKineticScrollView:
+- lower the minimum value of deceleration to 1.01
+- add clamp-duration, clamp-mode and acceleration-factor
+  properties
+  + Optimised the painting of MxImage
+  + MxStack: add a crop child property
+  + Implement the MxFocusable interface on MxMenu
+  + MxComboBox: Open the menu when return key is pressed
+  + MxMenu: close the menu when escaped is pressed, or focus moved
+elsewhere
+  + MxSlider: prevent the handle position from being changed while
+the user is dragging it
+  + Bugs fixed: bco#2674, bco#2675, bco#2678.
+
+---

calling whatdependson for head-i586


Old:

  mx-1.3.0.tar.xz
  mx-no-G_CONST_RETURN.patch

New:

  mx-1.3.1.tar.xz



Other differences:
--
++ mx.spec ++
--- /var/tmp/diff_new_pack.6gJ7BU/_old  2011-09-09 11:46:41.0 +0200
+++ /var/tmp/diff_new_pack.6gJ7BU/_new  2011-09-09 11:46:41.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   mx
-Version:1.3.0
+Version:1.3.1
 Release:1
 License:LGPLv2.1
 Summary:Clutter-based Toolkit






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit nautilus for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package nautilus for openSUSE:Factory
checked in at Fri Sep 9 11:47:13 CEST 2011.




--- GNOME/nautilus/nautilus.changes 2011-08-03 11:52:35.0 +0200
+++ /mounts/work_src_done/STABLE/nautilus/nautilus.changes  2011-08-30 
16:36:59.0 +0200
@@ -1,0 +2,6 @@
+Tue Aug 30 16:35:28 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + Remove the built-in audio previewer.
+
+---

calling whatdependson for head-i586


Old:

  nautilus-3.1.4.tar.bz2

New:

  nautilus-3.1.90.tar.bz2



Other differences:
--
++ nautilus.spec ++
--- /var/tmp/diff_new_pack.6EvctM/_old  2011-09-09 11:47:06.0 +0200
+++ /var/tmp/diff_new_pack.6EvctM/_new  2011-09-09 11:47:06.0 +0200
@@ -20,7 +20,7 @@
 Name:   nautilus
 License:GPLv2+
 Group:  Productivity/File utilities
-Version:3.1.4
+Version:3.1.90
 Release:1
 # FIXME: replace libexempi-devel BuildRequires with pkgconfig(exempi-2.0) once 
fixed exempi is in
 Summary:File Manager for the GNOME Desktop

++ nautilus-3.1.4.tar.bz2 - nautilus-3.1.90.tar.bz2 ++
 49859 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit net6 for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package net6 for openSUSE:Factory
checked in at Fri Sep 9 11:47:25 CEST 2011.




--- GNOME/net6/net6.changes 2011-04-26 21:59:08.0 +0200
+++ /mounts/work_src_done/STABLE/net6/net6.changes  2011-09-05 
19:21:24.0 +0200
@@ -1,0 +2,5 @@
+Mon Sep  5 17:16:36 UTC 2011 - vu...@opensuse.org
+
+- Add net6-gnutls-3.0.patch: fix build with gnutls 3.0.
+
+---

calling whatdependson for head-i586


New:

  net6-gnutls-3.0.patch



Other differences:
--
++ net6.spec ++
--- /var/tmp/diff_new_pack.7O2naS/_old  2011-09-09 11:47:22.0 +0200
+++ /var/tmp/diff_new_pack.7O2naS/_new  2011-09-09 11:47:22.0 +0200
@@ -27,12 +27,13 @@
 BuildRequires:  pkg-config
 License:LGPLv2.1+
 Group:  Development/Libraries/GNOME
-AutoReqProv:on
 Version:1.3.13
-Release:1
+Release:3
 Summary:Network access framework for IPv4/IPv6
-Source: %{name}-%{version}.tar.bz2
 Url:http://gobby.0x539.de/
+Source: %{name}-%{version}.tar.bz2
+# PATCH-FIX-UPSTREAM net6-gnutls-3.0.patch vu...@opensuse.org -- Fix an 
incompatibility with gnutls 3.0, due to new #define breaking things using the 
gnutls namespace in the code. Sent upstream by mail.
+Patch0: net6-gnutls-3.0.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 Requires:   %{name}-lang = %{version}
 
@@ -55,10 +56,9 @@
 %lang_package
 %prep
 %setup -q
+%patch0 -p1
 
 %build
-# FIXME: Cannot autoreconf: Bad AM_GNU_GETTEXT_VERSION check
-#ACLOCAL=aclocal -I m4 autoreconf -f -i
 %configure --disable-static --with-pic
 make %{?jobs:-j%jobs}
 

++ net6-gnutls-3.0.patch ++
Index: net6-1.3.13/inc/encrypt.hpp
===
--- net6-1.3.13.orig/inc/encrypt.hpp
+++ net6-1.3.13/inc/encrypt.hpp
@@ -34,7 +34,6 @@ typedef gnutls_anon_client_credentials g
 typedef gnutls_anon_server_credentials gnutls_anon_server_credentials_t;
 typedef gnutls_transport_ptr gnutls_transport_ptr_t;
 typedef gnutls_dh_params gnutls_dh_params_t;
-typedef gnutls_connection_end gnutls_connection_end_t;
 
 class dh_params: private net6::non_copyable
 {
Index: net6-1.3.13/src/encrypt.cpp
===
--- net6-1.3.13.orig/src/encrypt.cpp
+++ net6-1.3.13/src/encrypt.cpp
@@ -25,7 +25,7 @@ namespace
 {
const unsigned int DH_BITS = 1024;
 
-   net6::gnutls_session_t create_session(net6::gnutls_connection_end_t end)
+   net6::gnutls_session_t create_session(gnutls_connection_end_t end)
{
net6::gnutls_session_t session;
gnutls_init(session, end);





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit neverball for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package neverball for openSUSE:Factory
checked in at Fri Sep 9 11:47:55 CEST 2011.




--- neverball/neverball.changes 2010-03-14 21:54:08.0 +0100
+++ /mounts/work_src_done/STABLE/neverball/neverball.changes2011-09-07 
03:47:51.0 +0200
@@ -1,0 +2,5 @@
+Wed Sep  7 00:59:47 UTC 2011 - crrodrig...@opensuse.org
+
+- Fix build with no-add-needed 
+
+---

calling whatdependson for head-i586


New:

  neverball-add-needed.patch



Other differences:
--
++ neverball.spec ++
--- /var/tmp/diff_new_pack.rb0XN0/_old  2011-09-09 11:47:51.0 +0200
+++ /var/tmp/diff_new_pack.rb0XN0/_new  2011-09-09 11:47:51.0 +0200
@@ -1,7 +1,7 @@
 #
-# spec file for package neverball (Version 1.5.4)
+# spec file for package neverball
 #
-# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 
 Name:   neverball
 Version:1.5.4
-Release:1
+Release:9
 License:GPLv2+
 Summary:Deftly Guide a Rolling Ball through Many Slick 3D Levels
 Url:http://neverball.org
@@ -36,7 +36,9 @@
 BuildRequires:  update-desktop-files
 BuildRequires:  physfs-devel
 BuildRequires:  fdupes
+BuildRequires:  xorg-x11-libX11-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+Patch:  neverball-add-needed.patch 
 %define binary %{_prefix}/games/%{name}
 %define binary2%{_prefix}/games/%{name2}
 %define datadir%{_datadir}/games/%{name}
@@ -51,9 +53,10 @@
 
 %prep
 %setup -q
+%patch
 
 %build
-make CC=gcc %{optflags} -fexpensive-optimizations -fomit-frame-pointer 
DATADIR=%{datadir}
+make CC=gcc %{optflags} -fomit-frame-pointer DATADIR=%{datadir}
 
 %install
 install -D -m 755 %name %{buildroot}%{binary}

++ neverball-add-needed.patch ++
--- Makefile.orig
+++ Makefile
@@ -98,7 +98,7 @@ ALL_CPPFLAGS += $(CPPFLAGS)
 
 SDL_LIBS := $(shell sdl-config --libs)
 PNG_LIBS := $(shell libpng-config --libs)
-FS_LIBS := -lphysfs
+FS_LIBS := -lphysfs -lm
 
 # The  non-conditionalised values  below  are specific  to the  native
 # system. The native system of this Makefile is Linux (or GNU+Linux if
@@ -138,7 +138,7 @@ ifdef DARWIN
 endif
 
 ALL_LIBS := $(SDL_LIBS) $(BASE_LIBS) $(TILT_LIBS) $(INTL_LIBS) -lSDL_ttf \
--lvorbisfile $(OGL_LIBS)
+-lvorbisfile $(OGL_LIBS) -lX11
 
 #--
 





Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit notification-daemon for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package notification-daemon for 
openSUSE:Factory
checked in at Fri Sep 9 11:48:07 CEST 2011.




--- GNOME/notification-daemon/notification-daemon.changes   2011-04-21 
10:38:21.0 +0200
+++ 
/mounts/work_src_done/STABLE/notification-daemon/notification-daemon.changes
2011-09-05 16:08:29.0 +0200
@@ -1,0 +2,8 @@
+Mon Sep  5 14:07:09 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.7.2:
+  + Remove vestigial dbus-glib requirement
+  + Updated translations.
+- Remove now unneeded dbus-1-glib-devel BuildRequires.
+
+---

calling whatdependson for head-i586


Old:

  notification-daemon-0.7.1.tar.bz2

New:

  notification-daemon-0.7.2.tar.bz2



Other differences:
--
++ notification-daemon.spec ++
--- /var/tmp/diff_new_pack.8x2FWq/_old  2011-09-09 11:48:02.0 +0200
+++ /var/tmp/diff_new_pack.8x2FWq/_new  2011-09-09 11:48:02.0 +0200
@@ -18,15 +18,13 @@
 
 
 Name:   notification-daemon
-Version:0.7.1
+Version:0.7.2
 Release:1
 License:GPLv2+
 Summary:Notification Daemon
 Url:http://www.galago-project.org/
 Group:  System/Daemons
-Source: %{name}-%{version}.tar.bz2
-# For dbus-binding-tool
-BuildRequires:  dbus-1-glib-devel
+Source: 
http://download.gnome.org/sources/notification-daemon/0.7/%{name}-%{version}.tar.bz2
 BuildRequires:  intltool
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
@@ -46,7 +44,7 @@
 translation-update-upstream
 
 %build
-%configure\
+%configure \
 --disable-static 
 make %{?_smp_mflags} V=1
 

++ notification-daemon-0.7.1.tar.bz2 - notification-daemon-0.7.2.tar.bz2 
++
 9753 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit openssh for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package openssh for openSUSE:Factory
checked in at Fri Sep 9 11:48:41 CEST 2011.




--- openssh/openssh.changes 2011-02-04 13:08:17.0 +0100
+++ /mounts/work_src_done/STABLE/openssh/openssh.changes2011-08-30 
01:54:30.0 +0200
@@ -1,0 +2,19 @@
+Mon Aug 29 23:47:58 UTC 2011 - crrodrig...@opensuse.org
+
+-  Update to verison 5.8p2
+* Fixed vuln in systems without dev/random, we arenot affected
+* Fixes problems building with selinux enabled
+- Fix build with as-needed and no-add-needed
+
+---
+Sat Aug 13 20:46:17 UTC 2011 - crrodrig...@opensuse.org
+
+- Enable libedit/autocompletion support in sftp
+
+---
+Tue May 10 15:08:17 UTC 2011 - meiss...@novell.com
+
+- Change default keysizes of rsa and dsa from 1024 to 2048
+  to match ssh-keygen manpage recommendations.
+
+---

calling whatdependson for head-i586


Old:

  openssh-5.8p1-syntax-error.diff
  openssh-5.8p1.tar.bz2

New:

  converter-linking.patch
  openssh-5.8p2.tar.bz2



Other differences:
--
++ openssh-askpass-gnome.spec ++
--- /var/tmp/diff_new_pack.DfLjpj/_old  2011-09-09 11:48:34.0 +0200
+++ /var/tmp/diff_new_pack.DfLjpj/_new  2011-09-09 11:48:34.0 +0200
@@ -22,7 +22,7 @@
 BuildRequires:  gtk2-devel krb5-devel openssh openssl-devel pam-devel 
tcpd-devel update-desktop-files
 License:BSD3c(or similar)
 Group:  Productivity/Networking/SSH
-Version:5.8p1
+Version:5.8p2
 Release:1
 Requires:   openssh = %{version} openssh-askpass = %{version}
 AutoReqProv:on
@@ -30,14 +30,14 @@
 Url:http://www.openssh.com/
 %define _name openssh
 Source: %{_name}-%{version}.tar.bz2
-Patch:  %{_name}-%{version}-sshd_config.diff
-Patch1: %{_name}-%{version}-pam-fix2.diff
-Patch2: %{_name}-%{version}-saveargv-fix.diff
-Patch3: %{_name}-%{version}-pam-fix3.diff
-Patch4: %{_name}-%{version}-gssapimitm.patch
-Patch5: %{_name}-%{version}-eal3.diff
-Patch6: %{_name}-%{version}-engines.diff
-Patch7: %{_name}-%{version}-blocksigalrm.diff
+Patch:  %{_name}-5.8p1-sshd_config.diff
+Patch1: %{_name}-5.8p1-pam-fix2.diff
+Patch2: %{_name}-5.8p1-saveargv-fix.diff
+Patch3: %{_name}-5.8p1-pam-fix3.diff
+Patch4: %{_name}-5.8p1-gssapimitm.patch
+Patch5: %{_name}-5.8p1-eal3.diff
+Patch6: %{_name}-5.8p1-engines.diff
+Patch7: %{_name}-5.8p1-blocksigalrm.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description

++ openssh.spec ++
--- /var/tmp/diff_new_pack.DfLjpj/_old  2011-09-09 11:48:34.0 +0200
+++ /var/tmp/diff_new_pack.DfLjpj/_new  2011-09-09 11:48:34.0 +0200
@@ -23,13 +23,14 @@
 %define _appdefdir  %{_prefix}/share/X11/app-defaults
 BuildRequires:  audit-devel krb5-devel openssl-devel pam-devel tcpd-devel 
xorg-x11-devel
 BuildRequires:  libselinux-devel
+BuildRequires:  libedit-devel
 License:BSD3c(or similar) ; MIT License (or similar)
 Group:  Productivity/Networking/SSH
 Requires:   /bin/netstat
 PreReq: pwdutils %insserv_prereq  %fillup_prereq coreutils
 Conflicts:  nonfreessh
 AutoReqProv:on
-Version:5.8p1
+Version:5.8p2
 Release:1
 %define xversion 1.2.4.1
 Summary:Secure Shell Client and Server (Remote Login Program)
@@ -44,25 +45,25 @@
 Source7:ssh.reg
 Source8:ssh-askpass
 Source9:sshd.fw
-Patch:  %{name}-%{version}-sshd_config.diff
-Patch1: %{name}-%{version}-askpass-fix.diff
-Patch2: %{name}-%{version}-pam-fix2.diff
-Patch3: %{name}-%{version}-saveargv-fix.diff
-Patch4: %{name}-%{version}-pam-fix3.diff
-Patch5: %{name}-%{version}-gssapimitm.patch
-Patch6: %{name}-%{version}-eal3.diff
-Patch7: %{name}-%{version}-engines.diff
-Patch8: %{name}-%{version}-blocksigalrm.diff
-Patch9: %{name}-%{version}-send_locale.diff
-Patch10:%{name}-%{version}-xauthlocalhostname.diff
-Patch12:%{name}-%{version}-xauth.diff
-Patch14:%{name}-%{version}-default-protocol.diff
-Patch15:%{name}-%{version}-audit.patch
-Patch16:%{name}-%{version}-pts.diff
-Patch17:%{name}-%{version}-homechroot.patch
-Patch18:%{name}-%{version}-sshconfig-knownhostschanges.diff
-Patch19:%{name}-%{version}-host_ident.diff
-Patch20:%{name}-%{version}-syntax-error.diff
+Patch:  %{name}-5.8p1-sshd_config.diff
+Patch1: %{name}-5.8p1-askpass-fix.diff
+Patch2: %{name}-5.8p1-pam-fix2.diff
+Patch3: 

commit openssl for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package openssl for openSUSE:Factory
checked in at Fri Sep 9 11:49:18 CEST 2011.




--- openssl/openssl.changes 2011-08-06 02:37:39.0 +0200
+++ /mounts/work_src_done/STABLE/openssl/openssl.changes2011-09-07 
16:32:25.0 +0200
@@ -1,0 +2,6 @@
+Wed Sep  7 14:29:41 UTC 2011 - crrodrig...@opensuse.org
+
+- Update to openssl 1.0.0e fixes CVE-2011-3207 and CVE-2011-3210
+  see http://openssl.org/news/secadv_20110906.txt for details.
+
+---

calling whatdependson for head-i586


Old:

  ECDSA_signatures_timing_attack.patch
  openssl-1.0.0d.tar.bz2

New:

  openssl-1.0.0e.tar.bz2



Other differences:
--
++ openssl.spec ++
--- /var/tmp/diff_new_pack.ThJV88/_old  2011-09-09 11:49:11.0 +0200
+++ /var/tmp/diff_new_pack.ThJV88/_new  2011-09-09 11:49:11.0 +0200
@@ -32,8 +32,8 @@
 %endif
 #
 #Version:1.0.0
-Version:1.0.0d
-Release:31
+Version:1.0.0e
+Release:1
 Summary:Secure Sockets and Transport Layer Security
 Url:http://www.openssl.org/
 Source: http://www.%{name}.org/source/%{name}-%{version}.tar.bz2
@@ -50,7 +50,6 @@
 #Patch6: CVE-2010-3864.patch
 Patch7: openssl-1.0.0b-aesni.patch
 #Patch8: CVE-2011-0014.patch
-Patch9: ECDSA_signatures_timing_attack.patch
 Patch10:openssl-call-engine-reg-comp.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -188,7 +187,6 @@
 #%patch6 -p1
 %patch7 -p1
 #%patch8 -p1
-%patch9 -p1
 %patch10
 cp -p %{S:10} .
 echo adding/overwriting some entries in the 'table' hash in Configure

++ openssl-1.0.0d.tar.bz2 - openssl-1.0.0e.tar.bz2 ++
 9639 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit orca for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package orca for openSUSE:Factory
checked in at Fri Sep 9 11:49:34 CEST 2011.




--- GNOME/orca/orca.changes 2011-07-28 00:15:05.0 +0200
+++ /mounts/work_src_done/STABLE/orca/orca.changes  2011-09-06 
08:18:30.0 +0200
@@ -1,0 +2,72 @@
+Tue Sep  6 06:14:43 UTC 2011 - vu...@opensuse.org
+
+- Update to version 3.1.91:
+  + General:
+- bgo#658141: Need to add support for the 'placeholder-text'
+  object attribute
+- bgo#658133: Firefox lines which begin with bullets are not
+  always presented by Orca
+- bgo#657732: stopSpeechOnActiveDescendant shouldn't cut off
+  the presentation of a name-change
+- bgo#657902: Remove static binding cruft from configure.ac
+  and acinclude.m4
+  + Documentation:
+- Began update of the Orca 3.2 documentation
+- bgo#655642: Problems in the docs
+- Drop orca-no-pygtk-configure.patch: fixed upstream.
+- Remove gnome-common BuildRequires and call to gnome-autogen.sh:
+  they were only needed for the above patch.
+
+---
+Wed Aug 31 16:09:19 CEST 2011 - vu...@opensuse.org
+
+- Update to version 3.1.90:
+  + General:
+- bgo#626254: Migrate from PyGTK to PyGObject
+  introspection-based bindings
+- bgo#652485: Remove deprecated (or soon-to-be deprecated)
+  GtkBox, GtkTable, etc. and use GtkGrid instead.
+- bgo#657646: Default stopSpeechOnActiveDescendantChanged()
+  should not be so restrictive
+- bgo#657579: Orca should not present tooltips shown as a
+  result of mouse hovering unless the 'present tooltips'
+  setting is enabled
+  + Gecko
+- bgo#599361: Significant delay building up the contents of
+  certain lines in Firefox
+- bgo#650904: Work around AT-SPI2 caching issues with
+  Thunderbird
+  + Updated translations.
+- Remove at-spi-devel, pyatspi, python-gobject-devel,
+  python-gtk-devel BuildRequires: they are not needed with the port
+  to introspection-based bindings.
+- Add pkgconfig(atspi-2), pkgconfig(gtk+-3.0),
+  pkgconfig(pygobject-3.0) BuildRequires: new dependencies.
+- Remove python-gtk Requires as orca has been ported to
+  introspection-based bindings. However, add python-gobject
+  Requires which is still clearly needed.
+- Replace python-wnck Recommends with typelib(Wnck), to follow the
+  change to introspection-based bindings.
+- Add orca-no-pygtk-configure.patch: do not require old bindings
+  for the build.
+- Add call to gnome-autogen.sh for the above patch.
+
+---
+Mon Aug 22 13:31:35 UTC 2011 - dims...@opensuse.org
+
+- Add python-gobject-devel BuildRequires to help the build over the
+  split of gobject gi bindings vs. standard bindings.
+
+---
+Tue Aug 16 04:23:01 CEST 2011 - dims...@opensuse.org
+
+- Update to version 3.1.5:
+  + bgo#639535: KeyError: 'profile' traceback; Orca won't launch
+  + bgo#654923: Add Unity to OnlyShowIn value for autostart desktop
+file
+  + bgo#656305: Improve autotools config
+  + bgo#654114: Map clutter to CALLY toolkit script
+  + Enhanced Orca's traceit tool.
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  orca-3.1.4.tar.bz2

New:

  orca-3.1.91.tar.bz2



Other differences:
--
++ orca.spec ++
--- /var/tmp/diff_new_pack.cmTtTr/_old  2011-09-09 11:49:27.0 +0200
+++ /var/tmp/diff_new_pack.cmTtTr/_new  2011-09-09 11:49:27.0 +0200
@@ -18,31 +18,28 @@
 
 
 Name:   orca
-Version:3.1.4
+Version:3.1.91
 Release:1
 License:LGPLv2.1+
 Summary:Screen reader for GNOME
 Url:http://www.gnome.org/
 Group:  System/GUI/GNOME
 Source: 
http://download.gnome.org/sources/orca/3.1/%{name}-%{version}.tar.bz2
-BuildRequires:  at-spi-devel
 BuildRequires:  dbus-1-python
 BuildRequires:  fdupes
-BuildRequires:  gnome-common
 BuildRequires:  gnome-doc-utils-devel
 BuildRequires:  intltool
 BuildRequires:  liblouis-devel
-# pyatspi is a virtual name that is provided by the default at-spi stack
-BuildRequires:  pyatspi
 BuildRequires:  python
 BuildRequires:  python-brlapi
-BuildRequires:  python-gtk-devel
 BuildRequires:  python-louis
 BuildRequires:  python-speechd
-BuildRequires:  python-wnck
 BuildRequires:  python-xdg
 BuildRequires:  translation-update-upstream
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(atspi-2) = 2.1.90
+BuildRequires:  pkgconfig(gtk+-3.0) = 3.1.14
+BuildRequires:  pkgconfig(pygobject-3.0) = 2.90.3
 Requires:   dbus-1-python
 # the gsettings tool is used to know if a11y is enabled
 Requires:   glib2-tools
@@ -50,12 +47,12 @@
 

commit p11-kit for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package p11-kit for openSUSE:Factory
checked in at Fri Sep 9 11:49:54 CEST 2011.




--- p11-kit/p11-kit.changes 2011-07-30 15:06:48.0 +0200
+++ /mounts/work_src_done/STABLE/p11-kit/p11-kit.changes2011-09-02 
10:21:25.0 +0200
@@ -1,0 +2,20 @@
+Fri Sep  2 08:20:47 UTC 2011 - vu...@opensuse.org
+
+- Update to version 0.5:
+  + Fix crasher in p11_kit_registered_modules()
+  + Add 'critical' setting for modules, which defaults to 'no'
+  + Fix initialization issues in the proxy module
+
+---
+Fri Aug 19 19:37:44 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.4:
+  + Fix endless loop if module forks during initialization
+  + Update PKCS#11 URI code for new draft of spec
+  + Don't fail when duplicate modules are configured
+  + Better debug output
+  + Add example configuration documentation
+  + Support whitespace in PKCS#11 URIs
+- Move the p11-kit.conf.example to the doc folder.
+
+---

calling whatdependson for head-i586


Old:

  p11-kit-0.3.tar.gz

New:

  p11-kit-0.5.tar.gz



Other differences:
--
++ p11-kit.spec ++
--- /var/tmp/diff_new_pack.6tmBXI/_old  2011-09-09 11:49:49.0 +0200
+++ /var/tmp/diff_new_pack.6tmBXI/_new  2011-09-09 11:49:49.0 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   p11-kit
-Version:0.3
+Version:0.5
 Release:1
 Summary:Library to work with PKCS#11 modules
 License:BSD3c
@@ -77,6 +77,10 @@
 # Create pkcs11 config directory
 test ! -e %{buildroot}%{_sysconfdir}/pkcs11/modules
 install -d %{buildroot}%{_sysconfdir}/pkcs11/modules
+# Remove sample config away to doc folder. Having the sample there would 
conflict
+# with future versions of the library on file level. As replacement, we package
+# the file as documentation file.
+rm %{buildroot}%{_sysconfdir}/pkcs11/pkcs11.conf.example
 find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
 
 %clean
@@ -88,8 +92,11 @@
 
 %files -n libp11-kit0
 %defattr(-,root,root)
+# Package the example conf file as documentation. Like this we're sure that we 
will
+# not introduce conflicts with this version of the library and future ones.
+%doc p11-kit/pkcs11.conf.example
 %doc AUTHORS ChangeLog COPYING NEWS README
-%dir %{_sysconfdir}/pkcs11/
+%dir %{_sysconfdir}/pkcs11
 %dir %{_sysconfdir}/pkcs11/modules/
 %{_libdir}/libp11-kit.so.*
 %{_libdir}/p11-kit-proxy.so

++ p11-kit-0.3.tar.gz - p11-kit-0.5.tar.gz ++
 4521 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit parted for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package parted for openSUSE:Factory
checked in at Fri Sep 9 11:50:14 CEST 2011.




--- parted/parted.changes   2011-09-05 14:34:13.0 +0200
+++ /mounts/work_src_done/STABLE/parted/parted.changes  2011-09-07 
17:20:03.0 +0200
@@ -1,0 +2,8 @@
+Wed Sep  7 15:05:08 UTC 2011 - pu...@suse.com
+
+- change do-not-create-dm-nodes.patch so that parted does
+  not remove dm partition mappings and leaves the job up
+  to kpartx -u called via udev
+  (bnc#712177, bnc#679780)
+
+---

calling whatdependson for head-i586




Other differences:
--
++ parted.spec ++
--- /var/tmp/diff_new_pack.63K8ny/_old  2011-09-09 11:50:08.0 +0200
+++ /var/tmp/diff_new_pack.63K8ny/_new  2011-09-09 11:50:08.0 +0200
@@ -19,7 +19,7 @@
 
 Name:   parted
 Version:2.4
-Release:13
+Release:15
 License:GPLv3+
 Summary:GNU partitioner
 Url:http://www.gnu.org/software/parted/

++ do-not-create-dm-nodes.patch ++
--- /var/tmp/diff_new_pack.63K8ny/_old  2011-09-09 11:50:08.0 +0200
+++ /var/tmp/diff_new_pack.63K8ny/_new  2011-09-09 11:50:08.0 +0200
@@ -1,8 +1,8 @@
-Index: parted-1.9.0/libparted/arch/linux.c
+Index: parted-2.4/libparted/arch/linux.c
 ===
 parted-1.9.0.orig/libparted/arch/linux.c   2009-10-07 14:14:58.0 
+0200
-+++ parted-1.9.0/libparted/arch/linux.c2009-10-07 14:22:58.0 
+0200
-@@ -30,6 +30,7 @@
+--- parted-2.4.orig/libparted/arch/linux.c
 parted-2.4/libparted/arch/linux.c
+@@ -33,6 +33,7 @@
  #include stdio.h
  #include syscall.h
  #include unistd.h
@@ -10,7 +10,7 @@
  #include stdbool.h
  #include dirent.h
  #include sys/ioctl.h
-@@ -2551,29 +2552,41 @@ err:
+@@ -2770,29 +2771,39 @@ err:
  static int
  _dm_reread_part_table (PedDisk* disk)
  {
@@ -28,9 +28,8 @@
 +  FILE*   f;
  
  sync();
- if (!_dm_remove_parts(disk-dev))
+-if (!_dm_remove_parts(disk-dev))
 -rc = 0;
-+return 0;
  
 -for (i = 1; i = last; i++) {
 -PedPartition*  part;






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pciutils-ids for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package pciutils-ids for openSUSE:Factory
checked in at Fri Sep 9 11:50:27 CEST 2011.




--- AUTO/all/pciutils-ids/pciutils-ids.changes  2011-07-04 03:40:05.0 
+0200
+++ /mounts/work_src_done/STABLE/pciutils-ids/pciutils-ids.changes  
2011-09-08 03:40:07.0 +0200
@@ -2 +2 @@
-Mon Jul  4 03:40:05 CEST 2011 - autobu...@suse.de
+Thu Sep  8 03:40:06 CEST 2011 - autobu...@suse.de
@@ -4 +4 @@
-- automated update on 2011-07-04
+- automated update on 2011-09-08

calling whatdependson for head-i586




Other differences:
--
++ pciutils-ids.spec ++
--- /var/tmp/diff_new_pack.iibhEG/_old  2011-09-09 11:50:22.0 +0200
+++ /var/tmp/diff_new_pack.iibhEG/_new  2011-09-09 11:50:22.0 +0200
@@ -19,7 +19,7 @@
 
 
 Name:   pciutils-ids
-Version:2011.7.11
+Version:2011.9.8
 Release:1
 AutoReqProv:on
 Group:  Hardware/Other

++ pci.ids.bz2 ++
 1002 lines (skipped)
 between pci.ids.bz2
 and /mounts/work_src_done/STABLE/pciutils-ids/pci.ids.bz2






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit pidgin-sipe for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package pidgin-sipe for openSUSE:Factory
checked in at Fri Sep 9 11:50:42 CEST 2011.




--- GNOME/pidgin-sipe/pidgin-sipe.changes   2011-05-23 11:10:21.0 
+0200
+++ /mounts/work_src_done/STABLE/pidgin-sipe/pidgin-sipe.changes
2011-09-02 18:14:01.0 +0200
@@ -1,0 +2,27 @@
+Fri Sep  2 10:00:33 UTC 2011 - vu...@opensuse.org
+
+- Update to version 1.12.0:
+  + Add support for OCS2007R2 Group Chat (sf#3064877)
+  + Support for HTTP/1.1 Transfer-Encoding: chunked (sf##3311026)
+  + Added MS TURN support
+  + Implement timeouts for SIP request. Used for REGISTER
+  + More work on Voice  Video call support
+  + Add random Ms-Conversation-ID to INVITE
+  + Fix parsing of P-Asserted-Identity header
+  + Fix several crashes (including sf#3082602, sf#3148124,
+sf#3399007)
+  + Fix several authenticfation issues (inclusing sf#2834758,
+sf#3090663, sf#3130915)
+  + Make it compile against the purple 2.8.x  3.0.x APIs
+  + More internal changes to prepare for non-purple backends
+  + Updated/add Adium and Miranda ports
+  + Several build system fixes and improvements (including
+sf#3092324, sf#3150482, sf#3091490, sf#3108246)
+  + Other bugs fixed: sf#3156430, sf#3161273, sf#3198585,
+sf#3267073.
+- Drop pidgin-sipe-1.11.2-gcc46.patch: fixed upstream.
+- Add pkgconfig(gstreamer-0.10) and pkgconfig(nice) BuildRequires
+  on 12.1 and later (since 11.4 and earlier have a too old version
+  of libnice), to build Voice  Video call support.
+
+---

calling whatdependson for head-i586


Old:

  pidgin-sipe-1.11.2-gcc46.patch
  pidgin-sipe-1.11.2.tar.bz2

New:

  pidgin-sipe-1.12.0.tar.bz2



Other differences:
--
++ pidgin-sipe.spec ++
--- /var/tmp/diff_new_pack.5yrD1V/_old  2011-09-09 11:50:37.0 +0200
+++ /var/tmp/diff_new_pack.5yrD1V/_new  2011-09-09 11:50:37.0 +0200
@@ -19,17 +19,15 @@
 %define build_telepathy 0
 
 Name:   pidgin-sipe
-Version:1.11.2
-Release:6
+Version:1.12.0
+Release:1
 # FIXME: enable telepathy plugin when it'll be available (not in 1.11.0)
 # FIXME: enable kopete plugin when it'll be available (not in 1.11.0)
 License:GPLv2+
 Summary:Pidgin protocol plugin to connect to MS Office Communicator
 Url:http://sipe.sourceforge.net/
 Group:  Productivity/Networking/Instant Messenger
-Source: %{name}-%{version}.tar.bz2
-# PATCH-FIX-UPSTREAM pidgin-sipe-1.11.2-gcc46.patch sf#3306207 
idoen...@suse.de -- Remove write-only variables
-Patch1: pidgin-sipe-1.11.2-gcc46.patch
+Source: 
http://downloads.sourceforge.net/project/sipe/sipe/pidgin-sipe-1.12.0/%{name}-%{version}.tar.bz2
 BuildRequires:  gettext-devel
 BuildRequires:  glib2-devel = 2.12.0
 %if 0%{?suse_version}  1110
@@ -42,6 +40,11 @@
 # For directory ownership
 BuildRequires:  pidgin
 BuildRequires:  translation-update-upstream
+%if 0%{?suse_version}  1140
+# Put gstreamer in the %%if too, since it's only checked if we have libnice
+BuildRequires:  pkgconfig(gstreamer-0.10)
+BuildRequires:  pkgconfig(nice) = 0.1.0
+%endif
 BuildRequires:  pkgconfig(nss)
 %if %{build_telepathy}
 BuildRequires:  pkgconfig(telepathy-glib)
@@ -81,6 +84,7 @@
 %if %{build_telepathy}
 
 %package -n telepathy-plugin-sipe
+
 License:GPLv2+
 Summary:Microsoft LCS/OCS connection manager for Telepathy
 Group:  Productivity/Networking/Instant Messenger
@@ -97,7 +101,6 @@
 
 %prep
 %setup -q
-%patch1
 translation-update-upstream
 
 %build

++ pidgin-sipe-1.11.2.tar.bz2 - pidgin-sipe-1.12.0.tar.bz2 ++
 59028 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



commit polkit-gnome for openSUSE:Factory

2011-09-09 Thread h_root

Hello community,

here is the log from the commit of package polkit-gnome for openSUSE:Factory
checked in at Fri Sep 9 11:51:02 CEST 2011.




--- GNOME/polkit-gnome/polkit-gnome.changes 2011-04-26 18:02:00.0 
+0200
+++ /mounts/work_src_done/STABLE/polkit-gnome/polkit-gnome.changes  
2011-08-17 08:12:40.0 +0200
@@ -1,0 +2,7 @@
+Wed Aug 17 08:10:22 CEST 2011 - dims...@opensuse.org
+
+- Update to version 0.102:
+  + Use GtkBox instead of GtkHBox
+  + Updated translations.
+
+---

calling whatdependson for head-i586


Old:

  polkit-gnome-0.101.tar.bz2

New:

  polkit-gnome-0.102.tar.bz2



Other differences:
--
++ polkit-gnome.spec ++
--- /var/tmp/diff_new_pack.n5zYpU/_old  2011-09-09 11:50:57.0 +0200
+++ /var/tmp/diff_new_pack.n5zYpU/_new  2011-09-09 11:50:57.0 +0200
@@ -18,14 +18,14 @@
 
 
 Name:   polkit-gnome
-Version:0.101
+Version:0.102
 Release:1
 # FIXME: as of 0.97, parallel build fails. Reenable it later on.
 License:LGPLv2.1+
 Summary:PolicyKit integration for the GNOME desktop
 Url:http://www.freedesktop.org/wiki/Software/PolicyKit
 Group:  System/GUI/GNOME
-Source0:http://hal.freedesktop.org/releases/%{name}-%{version}.tar.bz2
+Source0:
http://download.gnome.org/sources/polkit-gnome/0.102/%{name}-%{version}.tar.bz2
 Source1:polkit-gnome-authentication-agent-1.desktop.in
 # PATCH-FIX-UPSTREAM polkit-gnome-alternative-button-order-kde.patch 
bnc#538897 l.lu...@suse.cz
 Patch3: polkit-gnome-alternative-button-order-kde.patch

++ polkit-gnome-0.101.tar.bz2 - polkit-gnome-0.102.tar.bz2 ++
 6266 lines of diff (skipped)






Remember to have fun...

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org



  1   2   3   >